package.loaded["app.base.enum"] = nil
require "app.base.enum"
-- Conf
package.loaded["app.base.configure"] = nil
require('app.base.configure')

--sdk
cc.exports.sdkManager = {}
cc.exports.sdkManager.BuglyManager = require("app.sdk.BuglyManager"):create();
cc.exports.sdkManager.SDKLuaHelper = require('app.sdk.SDKLuaHelper'):create()
require("app.sdk.SDKGlobalFunc")

package.loaded["app.base.globalfunction"] = nil
require "app.base.globalfunction"

-- language
-- check location
-- cc.exports.LANG = require("language.language_cn");

-- event
require "app.event.eventManager"

-- resTable
package.loaded["app.resTable.resTable"] = nil
require "app.resTable.resTable"
-- 在 require "app.base.globalfunction" 和 require "app.resTable.resTable" 之后可调用
cc.exports.model = {}
cc.exports.model.UserDefaultModel = require("app.model.UserDefaultModel"):create()

package.loaded["language.language_cn"] = nil
GlobalFunctions:loadLanguage();

-- dragonbones
require "app.actor.DragonBonesManager"

-- audio
require "app.audio.audioManager"

-- skill script
require "app.fight.SkillScriptManager"
-- effect
require "app.effect.UIEffectManager"
require "app.effect.FightEffectManager"
require "app.effect.EffectFunction"
-- require "app.effect.EffekseerManager"
require "app.effect.FrameEffectManager"

-- fight
require "app.fight.fightShowSkillManager"
require "app.fight.fightSkillManager"
require "app.fight.fightAttackManager"
require "app.fight.fightFunction"
require "app.fight.fightBuffManager"
require "app.fight.fightManager"

-- actor
require "app.actor.ActorManager"

-- UI
require "app.layer.UIManager"

-- Loading
--require "app.layer.LoadingManager"


-- 工具类
cc.exports.tools = {}
cc.exports.tools.RedDotTools = require('app.common.RedDotTools'):create()
cc.exports.tools.LevelLockTools = require('app.common.LevelLockTools'):create()
cc.exports.tools.ConfigStateTools = require('app.common.ConfigStateTools'):create()
cc.exports.tools.SensitiveTools = require('app.common.SensitiveTools'):create()
-- 异步加载
cc.exports.AsyncLoadManager = require("app.base.AsyncLoadManager");

-- models


cc.exports.model.AccountModel = require("app.model.AccountModel"):create()
cc.exports.model.AdmobModel = require("app.model.AdmobModel"):create()
-- cc.exports.model.StatusModel=require("app.model.StatusModel"):create()
cc.exports.model.UserModel = require("app.model.UserModel"):create()
cc.exports.model.MailModel = require("app.model.MailModel"):create()
cc.exports.model.CardModel = require("app.model.CardModel"):create()
cc.exports.model.ShopModel = require("app.model.ShopModel"):create()
cc.exports.model.TeamModel = require("app.model.TeamModel"):create()
cc.exports.model.RoundModel = require("app.model.RoundModel"):create()
cc.exports.model.SkillLevelUpModel = require("app.model.SkillLevelUpModel"):create()
cc.exports.model.GuildModel = require("app.model.GuildModel"):create()
cc.exports.model.ActivityModel = require("app.model.ActivityModel"):create()
cc.exports.model.DailyRoundModel = require("app.model.DailyRoundModel"):create()
cc.exports.model.RecountModel = require("app.model.RecountModel"):create()
cc.exports.model.RechargeModel = require("app.model.RechargeModel"):create()
cc.exports.model.EventModel = require("app.model.EventModel"):create()
cc.exports.model.GachaModel = require("app.model.GachaModel"):create()
cc.exports.model.GuideModel = require("app.model.GuideModel"):create()
cc.exports.model.HomeModel = require("app.model.HomeModel"):create()
cc.exports.model.EquipModel = require("app.model.EquipModel"):create()
cc.exports.model.GemModel = require("app.model.GemModel"):create()
cc.exports.model.ItemModel = require("app.model.ItemModel"):create()
cc.exports.model.MoneyModel = require("app.model.MoneyModel"):create()
cc.exports.model.RoundBossModel = require("app.model.RoundBossModel"):create()
cc.exports.model.AutoFightModel = require("app.model.AutoFightModel"):create()
cc.exports.model.ChatModel = require("app.model.ChatModel"):create()
cc.exports.model.HarvestModel = require("app.model.HarvestModel"):create()
cc.exports.model.OnlineModel = require("app.model.OnlineModel"):create()
cc.exports.model.TrialModel = require("app.model.TrialModel"):create()
cc.exports.model.AnnouncementModel = require("app.model.AnnouncementModel"):create()
cc.exports.model.BattlepassEventModel = require("app.model.BattlepassEventModel"):create()
cc.exports.model.MissionModel = require("app.model.MissionModel"):create()
cc.exports.model.ArenaModel = require("app.model.ArenaModel"):create()
cc.exports.model.ConfigStateModel = require("app.model.ConfigStateModel"):create()
cc.exports.model.EnterGameRedDotModel = require("app.model.EnterGameRedDotModel"):create()
cc.exports.model.CardCommentModel = require("app.model.CardCommentModel"):create()
cc.exports.model.BareCollectModel = require("app.model.BareCollectModel"):create()
cc.exports.model.FutureCardModel = require("app.model.FutureCardModel"):create()
cc.exports.model.RankModel = require("app.model.RankModel"):create()
cc.exports.model.OperateModel = require("app.model.OperateModel"):create()
cc.exports.model.GachaAdmobModel = require("app.model.GachaAdmobModel"):create()
cc.exports.model.StoryModel = require("app.model.StoryModel"):create()
-- logical models

require "app.model.CardProManager"

-- network
require "app.network.network"

require "app.common.control.MessageBox"

require "app.common.DownloadControler"
--TimeManager
require "app.base.TimeManager"

--require "app.layer.MainScene.HeaderPanel"

--template 
cc.exports.template = {}
-- cc.exports.template.ActivityItemTemplate = require "app.template.ActivityItemTemplate"
cc.exports.template.ActivityLevelGiftItemTemplate = require "app.template.ActivityLevelGiftItemTemplate"
cc.exports.template.ActivitySignTemplate = require "app.template.ActivitySignTemplate"
-- cc.exports.template.BagEquipItemTemplate = require "app.template.BagEquipItemTemplate"
-- cc.exports.template.BaseSkillTemplate = require "app.template.BaseSkillTemplate"
-- cc.exports.template.CardSoundTemplate = require "app.template.CardSoundTemplate"
-- cc.exports.template.CardMidHeadTemplate = require "app.template.CardMidHeadTemplate"
-- cc.exports.template.CardRemodelIconTemplate = require "app.template.CardRemodelIconTemplate"
-- cc.exports.template.CardHeadNewTemplate = require "app.template.CardHeadNewTemplate"
-- cc.exports.template.CardFetterAddAttTemplate = require "app.template.CardFetterAddAttTemplate"
-- cc.exports.template.CardFetterTemplate = require "app.template.CardFetterTemplate"
-- cc.exports.template.CardBreakTemplate = require "app.template.CardBreakTemplate"
-- cc.exports.template.CardHeadComposeTemplate = require "app.template.CardHeadComposeTemplate"
cc.exports.template.CardTemplate = require "app.template.CardTemplate"
-- cc.exports.template.CardTreatmentTemplate = require "app.template.CardTreatmentTemplate"
-- cc.exports.template.CardBigHeadTemplate = require "app.template.CardBigHeadTemplate"
cc.exports.template.DailyRoundTemplate = require "app.template.DailyRoundTemplate"
-- cc.exports.template.EventRoundTemplate = require "app.template.EventRoundTemplate"
-- cc.exports.template.EventRewardTemplate = require "app.template.EventRewardTemplate"
cc.exports.template.EquipTemplate = require "app.template.EquipTemplate"
cc.exports.template.EventMapItemTemplate = require "app.template.EventMapItemTemplate"
cc.exports.template.FightItemTemplate =require "app.template.FightItemTemplate" 
cc.exports.template.GuildMemberTemplate = require "app.template.GuildMemberTemplate"
cc.exports.template.GuildJoinItemTemplate = require "app.template.GuildJoinItemTemplate"
cc.exports.template.GuildChatItemTemplate = require "app.template.GuildChatItemTemplate"
cc.exports.template.HomeBaseItemTemplate = require "app.template.HomeBaseItemTemplate"
cc.exports.template.IconNewTemplate = require "app.template.IconNewTemplate"
cc.exports.template.IconTemplate = require "app.template.IconTemplate"
cc.exports.template.ItemTemplate = require "app.template.ItemTemplate"
cc.exports.template.IconNodeTemplate = require "app.template.IconNodeTemplate"
cc.exports.template.MainBgSelectTemplate = require "app.template.MainBgSelectTemplate"
cc.exports.template.MailItemTemplate = require "app.template.MailItemTemplate"
cc.exports.template.MessageBoxTemplate = require "app.template.MessageBoxTemplate"
cc.exports.template.MessageBoxType2Template = require "app.template.MessageBoxType2Template"
cc.exports.template.OnlineItemTemplate = require "app.template.OnlineItemTemplate"
cc.exports.template.RoundBossItemTemplate = require "app.template.RoundBossItemTemplate"
cc.exports.template.RoleTemplate = require "app.template.RoleTemplate"
cc.exports.template.ShopGiftTemplate = require "app.template.ShopGiftTemplate"
cc.exports.template.TableViewTemplate =require "app.template.TableViewTemplate"     
cc.exports.template.RandomShopItemTemplate = require "app.template.RandomShopItemTemplate"
cc.exports.template.RoundTargetRewardTemplate = require "app.template.RoundTargetRewardTemplate"
cc.exports.template.RoundRewardTemplate = require "app.template.RoundRewardTemplate"
cc.exports.template.TrialRewardTemplate = require "app.template.TrialRewardTemplate"
cc.exports.template.CardStarLevelUpTemplate = require "app.template.CardStarLevelUpTemplate"
cc.exports.template.EventBuffTemplate = require "app.template.EventBuffTemplate"
cc.exports.template.EventBuffBigTemplate = require "app.template.EventBuffBigTemplate"
cc.exports.template.EventHardLogTemplate = require "app.template.EventHardLogTemplate"
cc.exports.template.ShopGiftItemTemplate = require "app.template.ShopGiftItemTemplate"
cc.exports.template.ShopRechargeItemTemplate = require "app.template.ShopRechargeItemTemplate"
cc.exports.template.ShopRechargeOnlineTemplate = require "app.template.ShopRechargeOnlineTemplate"
cc.exports.template.ShopGiftActivityTemplate = require "app.template.ShopGiftActivityTemplate"
cc.exports.template.FrameLoadScrollViewTemplate = require "app.template.FrameLoadScrollViewTemplate"
cc.exports.template.BattlepassEventTemplate = require "app.template.BattlepassEventTemplate"
cc.exports.template.EventBattlePassItemCell = require "app.template.EventBattlePassItemCell"
cc.exports.template.DailyMissionTemplate = require "app.template.DailyMissionTemplate"
cc.exports.template.BattlePassRewardTemplate = require "app.template.BattlePassRewardTemplate"
cc.exports.template.BattlepassEventMissionTemplate = require "app.template.BattlepassEventMissionTemplate"
cc.exports.template.LifeMissionTemplate = require "app.template.LifeMissionTemplate"
cc.exports.template.GetTemplate = require "app.template.GetTemplate"
cc.exports.template.ArenaRankListTemplate = require "app.template.ArenaRankListTemplate"
cc.exports.template.ArenaMultEnemyTemplate = require "app.template.ArenaMultEnemyTemplate"
cc.exports.template.ArenaRewardTemplate = require "app.template.ArenaRewardTemplate"
cc.exports.template.ArenaMultRwdItem = require "app.template.ArenaMultRwdItem"
cc.exports.template.CardCommentTemplate = require "app.template.CardCommentTemplate"
cc.exports.template.BareCollectTemplate = require "app.template.BareCollectTemplate"
cc.exports.template.GuildRaidRankTemplate = require "app.template.GuildRaidRankTemplate"
cc.exports.template.GuildRaidRankRewardTemplate = require "app.template.GuildRaidRankRewardTemplate"
cc.exports.template.ShopItemTemplate = require "app.template.ShopItemTemplate"
cc.exports.template.ShopAvatarTemplate = require "app.template.ShopAvatarTemplate"
cc.exports.template.SkillBuffTemplate = require "app.template.SkillBuffTemplate"
cc.exports.template.LoveTemplate = require "app.template.LoveTemplate"
cc.exports.template.LoveListTemplate = require "app.template.LoveListTemplate"
cc.exports.template.ShopGrowupTemplate = require "app.template.ShopGrowupTemplate"

cc.exports.template.ServerCellTemplate = require "app.template.ServerCellTemplate"
cc.exports.template.FutureCardSelCell = require "app.template.FutureCardSelCell"
cc.exports.template.CommonRowItemCell = require "app.template.CommonRowItemCell"
cc.exports.template.EventUseToRoleCell = require "app.template.EventUseToRoleCell"

cc.exports.template.Common2RowItemCell = require "app.template.Common2RowItemCell"
cc.exports.template.ItemCell = require "app.template.ItemCell"
cc.exports.template.GemListCell = require "app.template.GemListCell"

cc.exports.template.RankItem = require "app.template.RankItem"
cc.exports.template.BareLoveWearTemplate = require "app.template.BareLoveWearTemplate"
cc.exports.template.ThreeDayTemplate = require "app.template.ThreeDayTemplate"
cc.exports.template.BankTaskItem = require "app.template.BankTaskItem"
cc.exports.template.CommonTaskCell = require "app.template.CommonTaskCell"
cc.exports.template.RechargeTaskCell = require "app.template.RechargeTaskCell"
cc.exports.template.ArenaRwdRankItem = require "app.template.ArenaRwdRankItem"
cc.exports.template.ArenaMultHistoryItem = require "app.template.ArenaMultHistoryItem"
cc.exports.template.StoryCell = require "app.template.StoryCell"
cc.exports.template.StorySkillCell = require "app.template.StorySkillCell"

-- c++ 
cc.exports.autolua = {}
cc.exports.autolua.opensslToLua = require('app.autolua.opensslToLua'):create();
cc.exports.autolua.SDKCToollua = require('app.autolua.SDKCToollua'):create();

-- 8888/4444
--cc.Texture2D:setDefaultAlphaPixelFormat(cc.TEXTURE2_D_PIXEL_FORMAT_RGB_A4444)


-- layer
local layerRoot = 'app.layer.MainScene.';
local layerNameList = 
{
	'ActivityPanel',
	'ActivityRechargePanel',
	'ArenaRankListInfoPanel',
	'ArenaRankListPanel',
	'ArenaRewardPanel',
	'ArenaPanel',

	'ArenaMultPanel',
	'ArenaMultFightPanel',
	'ArenaMultTeamPanel',
	'ArenaMultListPanel',
	'ArenaMultRewardPanel',
	'ArenaMultRwdListPanel',
	'ArenaMultFightResult',
	'ArenaMultHistoryPanel',
	
	'BattlePassGiftPanel',
	'BattlepassEventPanel',
	'BattlePassRewardPanel',
	'BareCollectActiveTipPanel',
	'BareCollectPanel',
	'BareCollectSelectPanel',
	'BareCollectViewPanel',
	'BgSelectPanel',

	'CardAvatarUsePanel',
	'CardBookPanel',
	'CardBookViewPanel',
	'CardBreakSuccessPanel',
	'CardBreakOpenSkillPanel',
	'CardCommentPanel',
	'CardComposePanel',
	'CardCvPanel',
	'CardLevelUpStarSuccessPanel',
	'CardLevelUpStarPanel',
	'CardLevelUpStarCardListPanel',
	'CardLevelUpStarComplatePanel',
	'CardLevelUpStarSelectCardPanel',
	'CardLivePanel',
	'CardListPanel',
	'CardLoveActiveTipPanel',
	'CardLoveListPanel',
	'CardLoveLivePanel',
	'CardLovePanel',
	'CardPanel',
	'CardResolvePanel',
	'CardResolveRewardPanel',
	'TeamListPanel',

	'ChatPanel',
	'CommonInfoPanel',

	'DailyRoundPanel',

	'FutureCardPanel',


	'EquipPanel',
	'EquipWearPanel',
	'EquipWearBareLoveSelectPanel',
	'EquipComposePanel',
	'EquipWearSelectPanel',
	'EquipOneKeyComposePanel',
	'EventBuffPanel',
	'EventBuffSelectPanel',
	'EventMainPanel',
	'EventRoleStatePanel',
	'EventShopPanel',
	'EventMapPanel',

	'FastFightRewardPanel',
	'FooterPanel',
	'FightPanel',
	'FightOverPanel',
	'FightIncomePanel',
	'FightItemPanel',
	--'FightFooterPanel',
	'FightRoundBreakPanel',
	
	'GachaListPanel',
	'GachaProbabilityPanel',
	'GachaResultPanel',
	'ItemProbabilityPanel',
	'GuidePanel', -- 新手引导
	'GuildPanel', -- 公会
	'GuildBossPanel',
	'GuildBossBonusListPanel',
	'GuildCreatePanel',
	'GuildChatPanel',
	'GuildDonatePanel',
	'GuildIconSelectPanel',
	'GuildMainPanel',
	'GuildMemberPanel',
	'GuildMemberDetailPanel',
	'GuildNotJoinPanel',
	'GuildeNoticePanel',
	'GuildSearchPanel',
	'GuildRaidRankPanel',
	'GuildRaidRankRewardPanel',

	'HeaderPanel',
	--'HeaderMainPanel',
	'HeadSelectPanel',
	'HomeBaseSkillPanel',
	'HomeBasePanel',
	'HelpPanel',
	'AnnouncePanel',

	'KanBanSelectPanel',
	--'LoadingPanel',
	'LevelUpPanel',
	'Login7RewardPanel',
	'Login7CtnRwdPanel',
	'LoginConRewardPanel',

	'MailPanel',
	'MainPanel',
	'MissionPanel',

	'OnlineRewardPanel',

	-- 'PaymentHelperPanel',
	'PreparePanel',
	'PlotPanel',

	'RandomShopPanel',
	'RewardPanel',
	'RoleShowPanel',
	'RoundInfoPanel',
	'EventRoundInfoPanel',
	'NewRoundInfoPanel',
	'RoundBossPanel',
	'RoundTargetRewardPanel',

	'ScreenEffectPanel',
	'SettingAudioPanel',
	'SettingPanel',
	'StarAndBreakComplatePanel',
	-- 'AccountBindPanel',
	'SettingCDKPanel',
	'ShopPanel',
	'ShopAvatarInfoPanel',
	'SkillBuffPanel',
	'StorePanel',
	'SpecialOfferPanel',
	'ShopGiftShowPanel',

	'TeamPanel',
	'TeamFormationPanel',
	'TeamRestraintPanel',
	'ThreeDayActivityPanel',
	'BankPanel',
	'ComTaskPanel',
	'RechargeTaskPanel',
	'TipsShopPanel',
	'ComTipsItemPanel',
	'EventTireSelPanel',
	'TipsEquipPanel',
	'TrialPanel',
	'TrialSelPanel',
	'CopyRoundPanel',
	--'TrialRewardPanel',
	'TipsOfflineRewardPanel',

	'FightStatisticsPanel',
	'FutureCardSelPanel',
	'FutureCardTakeOffPanel',
	'EventShopOncePanel',
	'EventNpcSelPanel',
	'EventItemPanel',
	'EventItemUsePanel',
	'EventMsgTipPanel',
	'EventResultPanel',
	'EventBattlePassPanel',
	'EventBattlePassGiftPanel',
	'RankListPanel',

	'GemListPanel',
	'GemSkillPanel',
	'GemComposePanel',
	'GemRecastPanel',
	'GemInfoPanel',

	'ZfUpPanel',
	'PlayBallPanel',
	'BelleBallMainPanel',
	'StoryLinePanel',

	'StoryPanel',
	'StoryRoundPanel',
	'StoryCardPanel',
	'StoryRwdPanel',
	'StoryPlotPanel',
	'StorySkillSelPanel',
	'StorySkillListPanel',

	'ShopGiftRecommendPanel',
}


cc.exports.LayerHandlerClassList = layerNameList;--{};
-- for _, v in pairs(layerNameList) do
-- 	cc.exports.LayerHandlerClassList[v] = require(layerRoot .. v);
-- end

cc.exports.AllPanelsInitEnd = false
cc.exports.Prompt = require(layerRoot..'Prompt'):create();
--cc.exports.MainPanel = require(layerRoot..'MainPanel1');
cc.exports.WaitingPanel = require(layerRoot..'WaitingPanel'):create();
cc.exports.FpUpPanel = require(layerRoot..'FpUpPanel');
cc.exports.ShowAnimationPanel = require(layerRoot..'ShowAnimationPanel');
cc.exports.ReconnectionPanel = require(layerRoot..'ReconnectionPanel');


cc.exports.Webproxy = require('app.network.Webproxy'):create();

-- others
cc.exports.StageSize = cc.Director:getInstance():getVisibleSize();
cc.exports.DesignSize = cc.size(640, 1136);
cc.exports.NetworkBeforeValue = {OldFp = 0};
--print(json.encode(cc.Director:getInstance():getVisibleSize()))
--cc.exports.StageSize = {width = 640, height = 1136};

local targetPlatform = cc.Application:getInstance():getTargetPlatform()

if (cc.PLATFORM_OS_IPHONE == targetPlatform) or (cc.PLATFORM_OS_ANDROID == targetPlatform) then

	-- sdkbox.IAP:init()
	
end

-- 
cc.exports.NOTCH_HEIGHT = 0;
-- sdkManager.SDKL
local director = cc.Director:getInstance()
local view = director:getOpenGLView()
local framesize = view:getFrameSize()
local scale = framesize.width/StageSize.width
local notchHight = sdkManager.SDKLuaHelper:getNotchHeight();
print('notchHight ==== ',notchHight);
cc.exports.NOTCH_HEIGHT = math.floor(tonumber(notchHight/scale))


GlobalFunctions:recordTime('fb-log---allrequire end')

cc.exports.CURRENCY = GlobalFunctions:getTokenByLan(model.UserDefaultModel:getLanguageSet())
