

local OpensslToLua = class('OpensslToLua')


function OpensslToLua:ctor(  )
	-- body
end

function OpensslToLua:md5Str( str )

	local ret = ego.OpensslTool:getInstance():opensslMd5Str(str);
	return ret;
end

function OpensslToLua:md5File( fileName )
	
	local fileUtils = cc.FileUtils:getInstance();
	if fileUtils:isFileExist(fileName) then 
		local fullPath =  fileUtils:fullPathForFilename(fileName)
		local ret = ego.OpensslTool:getInstance():opensslMd5File(data);
		return ret;
	end 

	return nil;

end

function OpensslToLua:aes_ecb_encrypt( data )
	local ret = ego.OpensslTool:getInstance():aes_ecb_encrypt(data);
	-- print('aes_ecb_encrypt=====11111==========ret ==== '..tostring(ret));
	return ret;
end

function OpensslToLua:aes_ecb_decrypt( data )
	local ret = ego.OpensslTool:getInstance():aes_ecb_decrypt(data);
	-- print('aes_ecb_decrypt====22222222===========ret ==== '..tostring(ret));
	return ret;
end

function OpensslToLua:base64Encode( str )
	
	local ret = ego.OpensslTool:getInstance():opensslBase64Encode(str);
	-- print('base64Encode==============ret === '..tostring(ret));
	return ret;
end

function OpensslToLua:base64Decode( str )
	local ret = ego.OpensslTool:getInstance():opensslBase64Decode(str)
	-- print('base64Decode========== ret === '..tostring(ret));
	return ret;
end


function OpensslToLua:test( var )
	local ret = ego.OpensslTool:getInstance():test(var);
	print('test  ret === '..tostring(ret));
end

function OpensslToLua:getToken( timeStr  )

	local token = ego.OpensslTool:getInstance():opnesslGetToken(timeStr);
	-- print("getToken =====timeStr =="..tostring(timeStr));
	-- print("getToken ===== token  =="..tostring(token));
	return token
end


function OpensslToLua:getMilliseconds(  )
	
	-- local millisecond = ego.OpensslTool:getInstance():getMilliseconds();
	local millisecond = ego.EgoTools:getInstance():getMilliseconds();
	millisecond = millisecond + 8*60*60*1000 --GMT time转 beijing time
	-- print('============millisecond === '..tostring(millisecond));
	-- print('============nowSecodn === '..os.time())
	return millisecond;

end

----------------
function OpensslToLua:decodeURI(s) 
   s = string.gsub(s, '%%(%x%x)', function(h) 
   		return string.char(tonumber(h, 16))
   	 end)   
   return s
end

function OpensslToLua:encodeURI(s)    
	s = string.gsub(s, "([^%w%.%- ])", function(c) 
		return string.format("%%%02X", string.byte(c)) 
	end)    
	return string.gsub(s, " ", "+")
end


return OpensslToLua;