-- configure.lua
--
--
--========================================================================
--
--策划配置文件
local Configure = {};
Configure = 
{
	--========================
	-- fight
	ShowSkillTimeToCaster	= 0.6,
	ShowSkillTimeToTarget	= 1.2,
	ShowSkillTimeBack		= 0.4,

	-- fight const
	DefCoefficient = 5000,
	MissileCoefficientA = 2,
	MissileCoefficientB = 0.5,

	-- 阵型 默认位置
	FORMATION_DEFAULT_INDEX = 5,
	-- 特殊道具
	GAMEMONEY	=10001, --游戏币  
	REDDIAMOND	=10002, --红钻
	BLUEDIAMOND	=10002, --蓝钻
	OIL			=10003, --虚数能
	PLAYEREXP	=10005, --玩家经验
	VIPEXP		=10006,	--VIP经验
	DNACHIP		=10007, --DNA芯片

	-- 通用tag，
	TAG_RED_DOT_DEFAULT = 99999, -- 红点默认tag
	TAG_LOCK_DEFAULT	= 99998, -- 等级解锁 默认tag

	-- -- 委托任务开放等级
	-- entrustOpenLevel=1,

	-- -- 每日副本开放等级
	-- taskOpenLevel=1,

	-- -- 关卡选择开放等级
	-- customsOpenLevel=1,

	--编队开放等级
	teamOpenLevel=1,

	--突破可替代牌
	breakSubstitute={901,902},

	--工会默认boss id
	guildBossMonsterId = 100001,
	--挂机，道具 收益间隔
	HEART_BEAT_TIME		= 20,
	--音频
	--家园界面
	getCollection		=	'V_UI_Gold_Get',
	getGas				=	'V_UI_Gas_Get',
	SkillLvUp			=	'V_UI_Skill_LvUp',

	--弹窗按钮
	buttonClick			=	'V_UI_Common_Click',
	confirmButton		=	'V_UI_Common_Confirm',
	cancleButton		=	'V_UI_Common_Cancel',
	commonControlFly	=	'V_UI_Common_ControlFly',
	commonLogin			=	'V_UI_Common_Login',
	skill				=	'skill',
	getReward2			=	'V_UI_GetReward_2',

	--卡牌音频
	cardHeroLevelUp		=	'V_UI_Common_LvUp',
	teamingSwipe		=   'V_UI_Teaming_Swipe',
	teaming				=   'V_UI_Teaming',
	cardHeroStarLevelUp	=   'V_UI_StarLvUp',

	--装备音频
	equipmentChange		=	'V_UI_Equip_Wear',	--'V_UI_Equip_002'
	equipmentDecompose	=	'V_UI_Item_Break',
	equipmentSell		=	'V_UI_Item_Sell',
	equipmentStrengthen	=	'V_UI_Equip_Streng',
	equipmentBoxOpen	=	'V_UI_Item_Get',
	equipmentBoxOpening	=	'V_UI_Equip_BoxOpening',
	cardOpen			=	'V_UI_Card_Open',
	cardGet				=	'V_UI_Card_Get',

	--抽卡音频
	gachaFly			=	'V_UI_Gacha_Card',
	gachaTouch			=	'V_UI_Gacha_Touch',
	gachaTouch3			=	'V_UI_Gacha_Touch3',
	
	--战斗过程音频
	commonFight			=	'V_BGM_FC',
	bossFight			=	'V_BGM_FB',
	copyFight			=	'V_BGM_FE',
	attributeFight		=	'V_BGM_FB',
	winAudio 			=	'V_BGM_win',
	failAudio			=	'V_BGM_fail',
	winEffect			=	'V_UI_Win',
	failEffect			=	'V_UI_Fail',
	winReward			=   'V_UI_Win_reward',
	
	--登录CV
	AUDIO_CV_LOGIN  	= 'loginIn/loginIn',
	
	--界面BGM
	title = 'V_BGM_title',
	main = 'V_BGM_home',
	
	--剧情BGM
	scenario_normal = 'V_BGM_Scenario_normal',
	scenario_sad = 'V_BGM_Scenario_sad',
	battle_boss = 'V_BGM_FB',
	home = 'V_BGM_home',
	scenario_happy = 'V_BGM_Scenario_happy',
	scenario_kintyou = 'V_BGM_Scenario_kintyou',
	scenario_noise = 'V_BGM_Scenario_noise',
	
	
	
	--普通攻击音频
	--100
	ordinaryBullet 		=	'V_SKILL_Atk_Nomal',
	--101
	armorBullet 		=	'V_SKILL_Atk_Nomal',
	--102
	highExplosiveBullet =	'V_SKILL_Atk_Nomal',
	
	--技能攻击受击音频
	--201
	artilleryAttack_1	=	'V_SKILL_Atk_AntiMedium',
	artilleryHit_1		=	'V_SKILL_Hit_CommonSkill',
	--202
	antitankAttack		=	'V_SKILL_Atk_AntiMedium',
	antitankHit			=	'V_SKILL_Hit_Anti',
	--203
	artilleryAttack_2	=	'V_SKILL_Atk_HeavyArt',
	artilleryHit_2		=	'V_SKILL_Hit_CommonSkill',
	--204
	rocketAttack		=	'V_SKILL_Atk_Rocket',
	rocketHit			=	'V_SKILL_Hit_CommonSkill',

	restraintNum		= 20,

	--装备操开启等级
	equip_slot_1_level = 1,
	equip_slot_2_level = 2,
	equip_slot_3_level = 3,
	equip_slot_4_level = 4,
	equip_slot_5_level = 5,

	-- 每日副本最大次数
	daily_round_max_times = 4,

	--竞技场免费挑战次数
	arena_chellenge_num = 5,

	--竞技场挑战消耗道具数量
	arena_cost_item_num = 1,

	-- event
	event_fight_map = 'BG_chapter_0',
	event_fight_scene = 6,

	-- arena
	arena_fight_map = 'BG_chapter_0',
	arena_fight_scene = 6,

	-- account
	-- use_account = false,
	account_type = 0 , -- 0 默认，无账号登陆，1 账号登陆，2 SDK登陆
	-- skill delay time
	skill_delay_time = 0.1,

	-- chat close time
	chat_close_time = 300,
}

cc.exports.Conf = Configure;
cc.exports.IsKr = true; --韩国等海外包内容 开关

--TODO
cc.exports.ItemLevel = {
  WHITE = 0,
  GREEN = 1,
  BLUE = 2,
  PURPLE = 3,
  GOLD = 4
}

cc.exports.PANEL_ZORDER = 100;

cc.exports.EQUIP_BAG_PAGE = 3
cc.exports.EQUIP_ITEM_TYPES = {}
cc.exports.BOOK_TYPE = 3

cc.exports.LRect = cc.rect(155 , 240 , 175 , 369)


cc.exports.MONEY_ID = 10001 -- 钱币
cc.exports.COLOR_DIA = 10002 -- 彩钻
cc.exports.BLUE_DIA = 10002 -- 蓝钻
cc.exports.COLOR_DIA_PAY = 10003 -- 付费钻石
cc.exports.EXP_ID = 10004 -- 用户经验
cc.exports.REFRESHER = 10006 -- 刷新令
cc.exports.GUILD_MONEY = 10011 -- 公会币
cc.exports.CARD_COMPOSE_ITEM = 14001 -- 合成道具
cc.exports.BREAK_MONEY = 14002 -- 突破道具
cc.exports.SKILL_MONEY = 10008 -- 技能升级道具
cc.exports.EVENT_PT = 10009
cc.exports.EVENT_MONEY = 10010
cc.exports.EVENT_BUFF = 10012
cc.exports.BATTLEPASS_POINT = 10013
cc.exports.CARD_LEVEL_UP_EXP = 10014
cc.exports.RESOLVE_ITEM = 10015 --分解币
cc.exports.MAZE_ITEM = 10019 --分解币
cc.exports.ARENA_ITEM = 15002
cc.exports.ARENA_MULT_ITEM = 15004
cc.exports.FAST_FIGHT_ITEM = 15003
cc.exports.DAILY_MISSION_ITEM = 10017 --每日活跃度
cc.exports.BATTLEPASS_SHOP_1_ITEM = 10023 --battlepass商店兑换币1
cc.exports.BATTLEPASS_SHOP_2_ITEM = 10024 --battlepass商店兑换币2
cc.exports.ARENA_MONEY = 10025 --竞技场币
cc.exports.ARENA_MULT_MONEY = 10031 --竞技场币
cc.exports.ADVENTURE1_MONEY = 10033--10030
cc.exports.ADVENTURE2_MONEY = 10032--10029

cc.exports.ROLE_TYPE = 90000 -- 角色类型
cc.exports.ROLE_AVATAR_TYPE = 90001 -- 角色皮肤类型
cc.exports.BARE_COLLECT_TYPE = 90002 --图鉴
cc.exports.MONSTER_TYPE = 99999 -- 怪物类型
cc.exports.MONSTER_ROLE_TYPE = 95555 --怪物玩家

cc.exports.TREATMENT_MONEY = 13001 -- 治疗绿券

-- Const
cc.exports.TEAM_MAX_MEMBER = 4;
cc.exports.MAX_CHALLENGE_TIME = 120;

cc.exports.HARVEST_TIMES1 = 1;
cc.exports.HARVEST_TIMES2 = 25;
cc.exports.HARVEST_TIMES3 = 45;

cc.exports.HARVEST_NODE_X = 320-70;
cc.exports.HARVEST_NODE_Y = -40;

cc.exports.FIGHTER_ALLY_SCALE = 0.40;

cc.exports.COST_ITEM_SIZE = cc.size(38 , 38);

cc.exports.ROUND_REWARD_ITEM_SCALE = 0.7;

cc.exports.PARTNER_MAX_LEVEL = 120;

cc.exports.QUALITY_3_MAX_LEVEL = 60;
cc.exports.QUALITY_4_MAX_LEVEL = 180;
cc.exports.QUALITY_5_MAX_LEVEL = 340;

cc.exports.GACHA_ADMOB_TYPE_17 = 17;
cc.exports.GACHA_ADMOB_TYPE_18 = 18;
cc.exports.FAST_FIGHT_ADMOB_TYPE_19 = 19;

cc.exports.LOVE_MAX_LEVEL = 5;--恋爱最高等级

cc.exports.INCOME_TIME_PHASE = {
	[1]		= 0,
	[2]		= 60,
	[3]		= 300,
}

cc.exports.INCOME_HEAP_POS = {
	[1]		= cc.p(0, -40),
	[2]		= cc.p(0, -10),
	[3]		= cc.p(0, 20),
}

cc.exports.AUTOFIGHT_TIMESCALE_LIST = {
	[1]		= 1,
	[2]		= 2,
}
cc.exports.AUTOFIGHT_TIMESCALE_RUN = 1.7;
cc.exports.AUTOFIGHT_TIMESCALE_ATTACK = 2;
cc.exports.AUTOFIGHT_TIMESCALE_CD = 5;

cc.exports.CARD_STAR_SSR_MAX_LEVEL = 9;
cc.exports.CARD_STAR_MAX_LEVEL = 12;--已在ResTable改成读表修改
cc.exports.CARD_MAX_NUM = 500; --卡包上限

cc.exports.FOOTER_HEIGHT = 98; --footer高度

--删除的功能
cc.exports.RemoveFeatures = {
	DailyRoundPanel = 1,
}

-- 物品使用类型
cc.exports.ItemUsage = {
  -- 物品的通用属性信息，例如装备的等级等成长属性详见各自系统；
	OPEN = 1,			-- 仅开启：礼盒类，开启可获取其他物品；
	USE = 2,			-- 仅使用：系统消耗类，点击后需按道具类型跳转到相关系统；
	SYNTHETISE = 3,		-- 仅合成：按配方合成高级同类道具，背包中直接使用；
	GET = 4,			-- 仅获取：按道具类型跳转到相关产出系统；
	SELL = 5,			-- 仅售出：根据售价直接售出；
	DISASSEMBLE = 6,	-- 仅拆解；将装备拆解成其他物品（该属性仅用于辨识，不用于背包中）
	NONE = 0,			-- 无

	--[[
		当物品有两个属性时，采用堆叠，比如同时有合成和出售，则数值为305
	--]]
}

cc.exports.BUFF_EFFECT_POSITION = {
	reflect		= {pos = 'mid', zorder = 'front'},
	dot_per		= {pos = 'mid',	zorder = 'front'},
	dot_red		= {pos = 'bot', zorder = 'front'},
	dot_blue	= {pos = 'bot', zorder = 'front'},
	dot_green	= {pos = 'mid', zorder = 'front'},
	heal		= {pos = 'mid', zorder = 'front'},
	dazed_red	= {pos = 'top', zorder = 'front'},
	dazed_blue	= {pos = 'bot', zorder = 'front'},
	dazed_green	= {pos = 'bot', zorder = 'front'},
	shield		= {pos = 'bot', zorder = 'front'},
	dispel		= {pos = 'bot', zorder = 'front'},
	purge		= {pos = 'mid', zorder = 'front'},
	haste		= {pos = 'top', zorder = 'front'},
	slow		= {pos = 'bot', zorder = 'back'},
	haste		= {pos = 'bot', zorder = 'front'},
	silent		= {pos = 'top', zorder = 'front'},
	refresh		= {pos = 'bot', zorder = 'front'},
	imm_neg		= {pos = 'bot', zorder = 'front'},
	imm_dam		= {pos = 'bot', zorder = 'front'},
	reject_1	= {pos = 'top', zorder = 'front'},
	reject_2	= {pos = 'bot', zorder = 'front'},
	combo		= {pos = 'top', zorder = 'front'},
	reborn		= {pos = 'bot', zorder = 'front'},
	imm_kill_2	= {pos = 'bot', zorder = 'front'},
}

cc.exports.FIGHT_SCENE_EFFECT_POS = {
	--	1 ally 2 enemy
	-- all 
	[1]	= {
		[1]	= {x = -180,y = -230},
		[2] = {x = 180,y = -230},
	},
	-- row
	[2] = {
		[1] = {
			[1] = {x = -90,	y = -230},
			[2]	= {x = -180,y = -230},
			[3] = {x = -270,y = -230},
		},
		[2] = {
			[1] = {x = 90,	y = -230},
			[2]	= {x = 180,	y = -230},
			[3] = {x = 270,	y = -230},
		},
	},
	-- col
	[3] = {
		[1] = {
			[1] = {x = -180,y = -140},
			[2]	= {x = -180,y = -230},
			[3] = {x = -180,y = -320},
		},
		[2] = {
			[1] = {x = 180,	y = -140},
			[2]	= {x = 180,	y = -230},
			[3] = {x = 180,	y = -320},
		},
	},
	-- front mid / back row
	[4] = {
		[1] = {
			[1] = {x = -135,y = -230},
			[2]	= {x = -270,y = -230},
		},
		[2] = {
			[1] = {x = 135,	y = -230},
			[2]	= {x = 270,	y = -230},
		},
	},
}

cc.exports.equipStar = {
	[2] = 1,
	[3] = 2,
	[4] = 1,
	[5] = 2,
	[6] = 1,
	[7] = 2,
	[8] = 3,
	[9] = 1,
	[10] = 2,
	[11] = 3,
	[12] = 4,
	[13] = 5,
	[14] = 1,
	[15] = 2,
	[16] = 3,
	[17] = 4,
	[18] = 5,
	[19] = 1,
	[20] = 2,
}
