local FightScene = class("FightScene", function()
	local scene = nil;
	scene = display.newScene("FightScene")
	return scene;
end)

function FightScene:ctor()
	--加载资源
	--设置进入退出回调
	local function onNodeEvent(event)
		if event == "enter" then
			self:onEnter()
		elseif event == "exit" then
			self:onExit()
		end
	end
	self:registerScriptHandler(onNodeEvent)
	self.m_scheduleHandler = nil;
end

function FightScene:onEnter()
	--进入场景回调
	--调度器注册
	self.m_scheduleHandler = scheduler:scheduleScriptFunc( handler(self, self.update), 0, false);
	--初始化战斗模式
	self:Init();
	--载入资源
	self:loadRes();
end

function FightScene:onExit()
	if self.m_scheduleHandler then 
		scheduler:unscheduleScriptEntry(self.m_scheduleHandler)
		self.m_scheduleHandler = nil 
	end
end

function FightScene:update(dt)

end

function FightScene:Init()
end
