﻿local scheduler = cc.Director:getInstance():getScheduler();

local TutoPlotScene = class("TutoPlotScene", function()
	local scene = nil;
	scene = display.newScene("VersionUpdateScene");

	return scene;
end)

function TutoPlotScene:ctor()
	local function onNodeEvent(event)
		if event == "enter" then
			self:onEnter()
		elseif event == "exit" then
			self:onExit()
		end
	end
	self:registerScriptHandler(onNodeEvent)
	self.m_scheduleHandler = nil;

	self.plotPanel = require('app.layer.MainScene.PlotPanel'):create(self, 'TutoPlotScene')
	self.plotPanel:Initialize()
end

function TutoPlotScene:onEnter()
	--AudioManager:stopAllEffects()
	--AudioManager:playEffect( 'home', 1, true )
	self.plotPanel:onBaseEnter(1, 1);
end

function TutoPlotScene:onExit()
	self.plotPanel:onBaseLeave()
end

return TutoPlotScene;
