--fightFollowSkill.lua
--=================================================================
local FightFollowSkill = class("FightFollowSkill", require("app.fight.fightBaseSkill"));
--=================================================================
--普通攻击类
local SkillType = Enum:getTable("SkillType");

--构造函数
function FightFollowSkill:ctor(fighter, id, lv)
	FightFollowSkill.super.ctor(self, fighter, id, lv);
	self.m_priority = 1;							--优先级为1，最低
	self:initSkillProperty();
end

function FightFollowSkill:initSkillProperty()
	local skillOriData = ResTable:getRowData('skill', self.m_resid);
	self.hit_type = skillOriData['hit_type'];
	self.tableData = skillOriData;
end

--=================================================================
--释放技能
function FightFollowSkill:RunSkill(targetList, secList)
	self.targetList = targetList;
	self.secTagList = secList;

	self.m_fighter:castNoScriptSkill(self, targetList);
end

return FightFollowSkill;
