local FightIncomePanel = class("FightIncomePanel", require('app.layer.BaseLayer'))

local fonts = Enum:getTable("SystemFont");
local imgPath = 'image/fight/income/';
local scheduler = cc.Director:getInstance():getScheduler();

-- 未完成：
-- 1，奖励加成数据未知(缺 活动)

function FightIncomePanel:ctor(scene, sceneName)
	self.super.ctor(self, scene, sceneName, 'FightIncomePanel');

	self.scene = scene;
	self.useCCreator = false;
	self.isPopup = true;
	self.haveSwallowLayer = true;

	self.rewardCount = 0;
	self.incomeRewadList = {};
end

function FightIncomePanel:Init(root)
	self.root = root;
	self.root:setVisible(false);

	self:InitPanel();

	EventManager:RegisterEvent(EventType.FightIncomeChange, handler(self, self.updateIncomeReward));
	EventManager:RegisterEvent(EventType.FightIncomeGetReward, handler(self, self.retIncomeGetReward));

end
function FightIncomePanel:InitPanel()
	
	local bg = ccui.Layout:create();
	bg:addTo(self.root);
	bg:setBackGroundImage('image/commonImg/bg_2_11_4_18_21.png');
	bg:setBackGroundImageScale9Enabled(true);
	bg:setBackGroundImageCapInsets(cc.rect(11,4,18,21));
	bg:setTouchEnabled(true);
	bg:setContentSize(cc.size(604,564));
	bg:setAnchorPoint(0.5,0.5);
	bg:setPosition(0 , -45);

	local titleNode =  GlobalFunctions:createTitle(LANG.UI_FIGHT_60 , 606 , 56);
	titleNode:addTo(self.root);
	titleNode:setPosition(0 , 265);

	local bg = cc.Scale9Sprite:create('image/commonImg/bg_1_11_11_34_28.png');
	bg:addTo(self.root);
	bg:setPosition(0 , 174);
    bg:setCapInsets(cc.rect(11,11,34,28));
    bg:setContentSize(cc.size(582 , 125));

    local bg = cc.Scale9Sprite:create('image/commonImg/bg_1_11_11_34_28.png');
	bg:addTo(self.root);
	bg:setPosition(0 , -66);
    bg:setCapInsets(cc.rect(11,11,34,28));
	bg:setContentSize(cc.size(582 , 337));
	
	--local bg = ccui.ImageView:create(imgPath .. 'income_bg.png')
	--	:setPosition(0, -3)
	--	:setTouchEnabled(true)
	--	:addTo(self.root)
--
	--local title = cc.Label:createWithTTF(LANG.UI_FIGHT_60, fonts.FONT_SIYUAN, 20) --挂机收益
	--	:setPosition(0, 270)
	--	:addTo(self.root)
	
	local bg = cc.Sprite:create('image/commonImg/arrow_bg.png')
		:addTo(self.root)
		:setPosition(-259 , 206)

	local incomeTimeWord = cc.Label:createWithTTF(LANG.UI_FIGHT_62, fonts.FONT_SIYUAN, 23) --挂机时间
		:setTextColor(cc.c3b(165, 200, 255))
		:setPosition(-236, 206)
		:setAnchorPoint(0,0.5)
		:addTo(self.root)

	self.incomeTimeLabel = cc.Label:createWithTTF('00:00:00', fonts.FONT_SIYUAN, 20)
		:setPosition(270, 206)
		:setAnchorPoint(1, 0.5)
		:addTo(self.root)

	local itemIcon = ResTable:getValue('item' , MONEY_ID , 'icon');
	local iconMoney = cc.Sprite:create('image/icon/I'..itemIcon..'.png')
		:setPosition(-238, 153)
		:setScale(0.4)
		:addTo(self.root)
	
	local wordMoney = cc.Label:createWithTTF(LANG.UI_FIGHT_63, fonts.FONT_SIYUAN, 20) --收益
		:setTextColor(cc.c3b(165, 200, 255))
		:setPosition(-191, 153)
		:addTo(self.root)

	self.moneyLabel = cc.Label:createWithTTF('', fonts.FONT_SIYUAN, 20)
		:setAnchorPoint(1, 0.5)
		:setPosition(-17, 153)
		:addTo(self.root)

	local itemIcon = ResTable:getValue('item' , EXP_ID , 'icon');
	local iconExp = cc.Sprite:create('image/icon/I'..itemIcon..'.png')
		:setPosition(37, 151)
		:setScale(0.45)
		:addTo(self.root)
	
	local wordExp = cc.Label:createWithTTF(LANG.UI_FIGHT_63, fonts.FONT_SIYUAN, 20)--收益
		:setTextColor(cc.c3b(165, 200, 255))
		:setPosition(83, 153)
		:addTo(self.root)

	self.expLabel = cc.Label:createWithTTF('', fonts.FONT_SIYUAN, 20)
		:setAnchorPoint(1, 0.5)
		:setPosition(260, 153)
		:addTo(self.root)

	local bg = cc.Sprite:create('image/commonImg/arrow_bg.png')
		:addTo(self.root)
		:setPosition(-259 , 71)

	local incomeItemWord = cc.Label:createWithTTF(LANG.UI_FIGHT_64, fonts.FONT_SIYUAN, 23) --获得物品
		:setTextColor(cc.c3b(165, 200, 255))
		:setPosition(-236, 71)
		:setAnchorPoint(0,0.5)
		:addTo(self.root)

	self.rewardScrollView = ccui.ListView:create();
	self.rewardScrollView:setTouchEnabled(true);
	self.rewardScrollView:setBounceEnabled(true);
	self.rewardScrollView:setDirection(ccui.ScrollViewDir.vertical);
	self.rewardScrollView:setContentSize(cc.size(547, 272));
	self.rewardScrollView:setAnchorPoint(0.5 , 0.5);
	self.rewardScrollView:setPosition(0, -93);
	self.rewardScrollView:setScrollBarEnabled(false);
	self.rewardScrollView:setItemsMargin(20)
	self.rewardScrollView:addTo(self.root);
	--
	self.noRewardNode = cc.Node:create()
		:setPosition(0, -95)
		:addTo(self.root)

	local noRewardSp = cc.Sprite:create(imgPath .. 'income_null_bg.png')
		:setPosition(0, 0)
		:addTo(self.noRewardNode)

	local str = LANG.UI_FIGHT_26;
	local endPos = string.find(str,'\\n');
	local str1 = str;
	local str2 = '';
	if endPos then
		str1 = string.sub(str,1,endPos-1);
		str2 = string.sub(str,endPos+2,-1);
	end
	local noRewardLabel1 = cc.Label:createWithTTF(tostring(str1), fonts.FONT_HUAKANG, 22) --暂未获得
		:setPosition(-127, 17)
		:addTo(self.noRewardNode)

	local noRewardLabel2 = cc.Label:createWithTTF(tostring(str2), fonts.FONT_HUAKANG, 22) --任何战利品
		:setPosition(-127, -22)
		:addTo(self.noRewardNode)
	if str2 == '' then
		noRewardLabel1:setPosition(-127, 2);
	else
		noRewardLabel1:setPosition(-127, 17);
	end

	local btnRewardLabel = cc.Label:createWithTTF(LANG.UI_FIGHT_25, fonts.FONT_SIYUAN, 20)
		:enableOutline(cc.c3b(50 , 85 , 150) , 2)

	self.btnReward = ccui.Button:create('image/commonImg/btn_1_219_55.png')
		:setPosition(0, -275)
		:setTitleLabel(btnRewardLabel)
		:addTo(self.root)
	self.btnReward:addClickEventListener(handler(self, self.getReward))

end

function FightIncomePanel:onEnter()
	self.root:setVisible(true);
	self.isVisible = true;
	self:addSwallowCallback(handler(self, self.onClickBack));

	self.moneyMultiply = 1;

	local incomeMoney = model.AutoFightModel:getIncomeMoney();
	local incomeExp = model.AutoFightModel:getIncomeExp();
	self:updateIncomeReward(incomeMoney, incomeExp);

	self:setIncomeTime();

	if self.m_scheduleHandler == nil  then
		self.m_scheduleHandler = scheduler:scheduleScriptFunc(handler(self, self.update), 1, false);
	end

	self:updateData();

	self:updateRoundIncome();

end

function FightIncomePanel:onLeave()
	self.root:setVisible(false);
	self.isVisible = false;

	if self.m_scheduleHandler then 
		scheduler:unscheduleScriptEntry(self.m_scheduleHandler)
		self.m_scheduleHandler = nil 
	end
end

function FightIncomePanel:updateData(  )
end

function FightIncomePanel:update()
	self:setIncomeTime();
end

function FightIncomePanel:onClickBack()
	UIManager:pop('FightIncomePanel');
end

function FightIncomePanel:setIncomeTime()
	local time = model.AutoFightModel:getIncomeTime();
	if time < 0 then
		time = 0;
	end
	self.incomeTimeLabel:setString(Sec2MinTime(time));
end

function FightIncomePanel:updateRoundIncome()
	self.moneyMultiply = self.moneyMultiply or 1;
	-- print("self.moneyMultiply ==== "..self.moneyMultiply);
	local curRound = model.RoundModel:getRoundIndex();
	local roundData = ResTable:getRowData('round', curRound);
	self.moneyLabel:setString('+' .. ConvertStrToDigitUnit(HpMultiply(ConvertDigitUnitToStr(roundData['coin']), self.moneyMultiply*3)) .. '/m');
	self.expLabel:setString('+' .. (tonumber(roundData['exp'])*3) .. '/m');
end

function FightIncomePanel:updateIncomeReward(money, exp)
	if not self.isVisible then
		return;
	end
	self.incomeMoney = money;
	self.incomeExp = exp;
	if money == '0' then
		self.noRewardNode:setVisible(true);
		self:updateScrollView(false);
	else
		self.noRewardNode:setVisible(false);

		self:updateScrollView(true);
	end		
end

function FightIncomePanel:updateScrollView( isShow)
	if isShow ~= true  then
		self.rewardScrollView:setVisible(false);
		self:resetAllItems();
		return ;
	end
	self.rewardScrollView:setVisible(true);

	if self.incomeRewadList[MONEY_ID] == nil  then
		if self.incomeMoney ~= '0' then
			self:pushItem({MONEY_ID,self.incomeMoney});
		end
	else
		if self.incomeMoney == '0' then
			self.incomeRewadList[MONEY_ID]:setVisible(false)
		else
			self.incomeRewadList[MONEY_ID]:setVisible(true)
			self.incomeRewadList[MONEY_ID]:setItemNum(MONEY_ID,self.incomeMoney);
		end
	end
	
	if self.incomeRewadList[EXP_ID] == nil then
		if self.incomeExp ~= '0' then
			self:pushItem({EXP_ID,self.incomeExp});
		end
	else
		if self.incomeExp == '0' then
			self.incomeRewadList[EXP_ID]:setVisible(false)
		else
			self.incomeRewadList[EXP_ID]:setVisible(true)
			self.incomeRewadList[EXP_ID]:setItemNum(EXP_ID,self.incomeExp);
		end
	end

	local income_items = model.AutoFightModel:getIncomeItems();
	-- dump(income_items,'income_items = ')
	for k,v in pairs(income_items) do
		if k ~= ROLE_TYPE then
			if self.incomeRewadList[k] == nil then
				self:pushItem({k,v});
			else
				self.incomeRewadList[k]:setItemNum(k,v);
			end
		else
			for i=1,#v do
				local partnerKey = tostring(ROLE_TYPE)..'i'
				if self.incomeRewadList[partnerKey] == nil then
					self:pushItem({ROLE_TYPE,partnerKey});
				else
					-- 
				end
			end
		end
	end

end

function FightIncomePanel:pushItem( data )
	if self.rewardCount % 5 == 0 then
		self.curLayout = ccui.Layout:create()
		self.curLayout:setContentSize(cc.size(547, 103))
		self.rewardScrollView:pushBackCustomItem(self.curLayout)
	end
	
	local item  = template.ItemTemplate:create(2);
	item:Init(data[1], data[2]);
	item:addTo(self.curLayout);
	item:setPosition(cc.p(51.5+(self.rewardCount % 5)*111, 51.5))
	self.incomeRewadList[data[1]] = item;

	self.rewardCount = self.rewardCount + 1;
end

function FightIncomePanel:resetAllItems(  )
	self.rewardScrollView:removeAllChildren()

	self.incomeRewadList = {};
	self.rewardCount = 0;
end


function FightIncomePanel:getReward()
	if not self.noRewardNode:isVisible() then
		model.GuideModel:stopGuide()
		model.AutoFightModel:reqIncomeReward()
	else
		Prompt:Show(LANG.UI_FIGHT_31);
	end
end

function FightIncomePanel:retIncomeGetReward( msg , incomeTime)
	self:onClickBack();
	if msg and msg.itemChange then
		local items = {};
		for _k , item in pairs(msg.itemChange) do
			if item.no ~= COLOR_DIA then
				table.insert(items,item);
			end
		end
		msg.itemChange = items
	end
	UIManager:push('RewardPanel',msg , {rewardType = Enum:getTable('RewardType').REWARD_TYPE_FIGHT_INCOME , incomeTime = incomeTime or 0, callback=handler(self,self.guideCallBack)})
end

function FightIncomePanel:guideCallBack()
	model.GuideModel:resumeGuide()
end

-- 引导相关
function FightIncomePanel:getGuidePosition( guideNo )
	local pos = cc.p(0,0);
	if guideNo == 48 then
		local btn = self.btnReward;
		pos = btn:getParent():convertToWorldSpace(cc.p(btn:getPosition()));
	end
	return pos;
end

return FightIncomePanel;
