local GuildDonatePanel = class("GuildDonatePanel",require('app.layer.BaseLayer'))

local MessageBoxType = Enum:getTable('MessageBoxType')

local fonts = Enum:getTable('SystemFont')
local imagePath = 'image/guild/donate/'

local DONATE_TOTAL_TIMES = 5;

---未完成
--
function GuildDonatePanel:ctor(scene, sceneName)
	self.super.ctor(self, scene, sceneName, 'GuildDonatePanel');

	self.useCCreator = false;
	self.isPopup = false;
	self.haveSwallowLayer = false;

	self.showHeaderType = Enum:getTable('HeaderType').HEAD_TITLE;
	self.showFooter = true;
end

function GuildDonatePanel:Init(root)
	self.root = root;
	self:initPanels()
	self:registEvent()
end

function GuildDonatePanel:initPanels(  )

	local bg = cc.Sprite:create('image/bg/Bg_12.png')
	:addTo(self.root)

	local bg = cc.Scale9Sprite:create('image/commonImg/bg_2_11_4_18_21.png');
	bg:addTo(self.root);
	bg:setPosition(0 , 332);
    bg:setCapInsets(cc.rect(11,4,18,21));
	bg:setContentSize(cc.size(604 , 204));

	local titleNode = GlobalFunctions:createTitle( LANG.UI_GUILD_81,604,46);
	titleNode:addTo(self.root);
	titleNode:setPosition(0,457);

	local bg = cc.Scale9Sprite:create('image/commonImg/bg_2_11_4_18_21.png');
	bg:addTo(self.root);
	bg:setPosition(0 , -117);
    bg:setCapInsets(cc.rect(11,4,18,21));
	bg:setContentSize(cc.size(604 , 562));

	local titleNode = GlobalFunctions:createTitle(LANG.UI_GUILD_107,604,46);
	titleNode:addTo(self.root);
	titleNode:setPosition(0,187);


	local progressBg = cc.Sprite:create(imagePath..'donate_bg_2.png')
			:addTo(self.root)
			:setPosition(cc.p(0,352));

	self.donateProgressBar = cc.Scale9Sprite:create(imagePath..'donate_bg_4.png');
	self.donateProgressBar:addTo(self.root);
	self.donateProgressBar:setPosition(-267 , 352);
	self.donateProgressBar:setAnchorPoint(0 , 0.5);
	self.donateProgressBar:setCapInsets(cc.rect(10,0,6,13));

	local donateBg = cc.Scale9Sprite:create('image/commonImg/edit_bg_28_0_177_49.png')
		:addTo(self.root)
		:setPosition(0 , 266)
		:setCapInsets(cc.rect(28,0,177,49))
		:setContentSize(cc.size(212 , 37))

	local activenessTitle = cc.Label:createWithTTF(LANG.UI_GUILD_108 , fonts.FONT_SIYUAN , 18)
		:addTo(self.root)
		:setPosition(cc.p(-49,267))

	self.activenessLabel =  cc.Label:createWithTTF('0', fonts.FONT_SIYUAN , 18)
		:addTo(self.root)
		:setPosition(cc.p(91,267))
		:setAnchorPoint(1,0.5)
		
		-- [[

		local rewardNode = cc.Node:create();
		rewardNode:addTo(self.root);
		-- rewardNode:setPosition(cc.p(0,5));
		self.donateBoxList = {};
		--local boxPos = {cc.p(-194,355),cc.p(-41,355),cc.p(110,355),cc.p(251,355)}
		for i = 1 , 4 do
			self.donateBoxList[i] ={};
			local box  = cc.Node:create();
			box:addTo(rewardNode);
			box:setPosition(-267 , 359);

			local boxBtn = ccui.Button:create(imagePath.."activeBox_1.png",imagePath..'activeBox_1.png');
			boxBtn:addTo(box);
			boxBtn:addClickEventListener(handler(self , self.getDonateReward));
			boxBtn:setTag(i);

			local notGet = cc.Sprite:create(imagePath..'donate_bg_5.png')
			notGet:addTo(box);

			local particle = cc.ParticleSystemQuad:create("Effect/particle/huoyue.plist")
			particle:addTo(box);
			particle:stopSystem()

			local num =  cc.Label:createWithTTF("MONEY", fonts.FONT_IMPACT, 18);
			num:setPosition(cc.p(0,-42));
			num:addTo(box);
			num:enableOutline(cc.c4b(60,60,60,255),2);

			local get = cc.Sprite:create('image/commonImg/geted_1.png');
			get:addTo(box);
			get:setVisible(false);

			self.donateBoxList[i].box = box ;
			self.donateBoxList[i].boxBtn = boxBtn;
			self.donateBoxList[i].notGet = notGet;
			self.donateBoxList[i].particle = particle;
			self.donateBoxList[i].get = get;
			self.donateBoxList[i].num = num;
		end

	do
		local pageNode = cc.Node:create();
		pageNode:addTo(self.root);

		--self.donateTimes = cc.Label:createWithTTF('5/5' , fonts.FONT_SIYUAN , 20)
		--	:addTo(pageNode)
		--	:setPosition(cc.p(239,49))
		--	:enableOutline(cc.c4b(255 , 255 , 255 , 255) , 2)
		--	:setTextColor(cc.c4b(60 , 60 , 60 , 255));

		local guildDonateData = ResTable:getTable('guild_donate').contain;
		local bgPos = {cc.p(1,-97),cc.p(1,-288)}
		local nodePos = {cc.p(1,-97),cc.p(149,-266)};
		for i=1,2 do
			local data = guildDonateData[tostring(i)];
			if data ~= nil  then

				local rewardNode = cc.Node:create();
				rewardNode:addTo(pageNode);
				rewardNode:setPosition(i == 1 and -147 or 147,-121);

				local bg = cc.Sprite:create(imagePath..'donate_'..i..'.png');
				bg:addTo(rewardNode);

				local label =cc.Label:createWithTTF(LANG.UI_GUILD_109, fonts.FONT_SIYUAN, 18);
				label:setPosition(cc.p(85, 173));
				label:addTo(rewardNode)

				local rewardData = {data.reward[1],{10005,data.guild_exp} , {10006,data.progress} }
				for j=1,3 do
					local rewardDataItem = rewardData[j]
					if rewardDataItem then
						local reward1 = template.ItemTemplate:create(2);
						reward1:addTo(rewardNode);
						reward1:Init(rewardDataItem[1], rewardDataItem[2]);
						reward1:setScale(0.9);
						reward1:setPosition(84,112-102*(j-1));
					end
				end
			
				local cost = data.cost;
				local costImg = 'image/icon/I10001.png';
				if cost[1] == 10002 then
					costImg = 'image/icon/I10002.png'
				end
				
				local costBg = cc.Sprite:create(imagePath..'donate_bg_3.png')
				costBg:addTo(rewardNode);
				costBg:setPosition(cc.p(0,-170))

				local costSp = cc.Sprite:create(costImg);
				costSp:setScale(0.35);
				costSp:addTo(rewardNode);
				costSp:setPosition(-106,-170);
				
				local label =cc.Label:createWithTTF(LANG.UI_GUILD_110, fonts.FONT_SIYUAN, 18);
				label:setPosition(cc.p(-79, -170));
				label:setAnchorPoint(cc.p(0,0.5));
				label:setTextColor(cc.c3b(255,255,0));
				label:addTo(rewardNode)

				local numLabel =cc.Label:createWithTTF(tostring(cost[2]), fonts.FONT_SIYUAN, 18);
				numLabel:setPosition(cc.p(62, -170));
				numLabel:addTo(rewardNode)

				local label = cc.Label:createWithTTF(LANG.UI_SHOP_43 ,  fonts.FONT_SIYUAN , 20)
    			label:enableOutline(cc.c4b(130 , 15 , 0 , 255),2);
    			local buyBtn = ccui.Button:create('image/commonImg/btn_10.png' , 'image/commonImg/btn_10.png');
    			buyBtn:addTo(rewardNode);
    			buyBtn:addClickEventListener(handler(self , self.donateClickCall));
    			buyBtn:setPosition(0 , -224);
				buyBtn:setTitleLabel(label);
				buyBtn:setTag(i);

				local size = buyBtn:getContentSize();
				label:setPosition(size.width/2,size.height/2+2)
			end
		end
	end 

	do
		self.donateBoxRewardNode = cc.Node:create();
		self.donateBoxRewardNode:addTo(self.root);
		self.donateBoxRewardNode:setVisible(false);
		self.donateBoxRewardNode:setPosition(0,408);

		local donateBoxRewardBg1 = cc.Sprite:create(imagePath..'donate_bg_1.png');
		donateBoxRewardBg1:addTo(self.donateBoxRewardNode);

		self.donateBoxRewardItem = template.ItemTemplate:create(2);
		self.donateBoxRewardItem:addTo(self.donateBoxRewardNode);
		self.donateBoxRewardItem:setScale(0.6);
		self.donateBoxRewardItem:setPosition(cc.p(0,8));

	end

	self.root:setVisible(false);
end

function GuildDonatePanel:registEvent( ... )
	EventManager:RegisterEvent(EventType.NetworkGuildRetGuildDonate, handler(self, self.retGuildDonate))
	EventManager:RegisterEvent(EventType.NetworkGuildRetGetDonateReward, handler(self, self.retGetDonateReward))
	EventManager:RegisterEvent(EventType.NetworkGuildRetGuildDonateInfo, handler(self, self.retGuildDonateInfo))
end

function GuildDonatePanel:onEnter()

	model.GuildModel:reqGuildDonateInfo();

end

function GuildDonatePanel:retGuildDonateInfo(msg)
		self:updateUI();

		self.root:setVisible(true);
end

function GuildDonatePanel:updateUI()
	local guildInfo = model.GuildModel:getGuildInfo();
	if not guildInfo then
		return;
	end
	local guildDonate = model.GuildModel:getGuildDonateInfo();

	if not guildDonate then
		return;
	end
	
	--self.donateTimes:setString(tostring(guildDonate.donate)..'/'..tostring(DONATE_TOTAL_TIMES));
	
	local id = 1;
	local index = 1;
	local maxValue = tonumber(guildDonate.donate_reward_target[4][2]);
	local curExp = guildDonate.donate_exp < maxValue and guildDonate.donate_exp or maxValue;
	local guildDonateData; 
	local curGuildLevel = guildInfo.level;

	local percentage = curExp/maxValue;
	percentage = percentage > 100 and 100 or percentage;
	local progress = percentage *100

	self.activenessLabel:setString(tostring(curExp)..'/'..tostring(maxValue)) --string.format( "%.2d%%",progress)

	local width = 534 * percentage;
	if width > 0 then
		width = width < 24 and 24 or width;
	end
	self.donateProgressBar:setContentSize(cc.size(width,13));

	for _k , reward in pairs(guildDonate.donate_reward) do
		local index = tonumber(_k);
		local targetExp = guildDonate.donate_reward_target[index][2]

		self.donateBoxList[index].box:setPositionX(targetExp/maxValue*534 - 267);
		self.donateBoxList[index].boxBtn:setTag(index);
		self.donateBoxList[index].boxBtn:loadTextures(imagePath..'activeBox_'..index..'.png',imagePath..'activeBox_'..index..'.png');

		if tonumber(reward) == 1 then
			--已领取
			self.donateBoxList[index].particle:stopSystem()
			self.donateBoxList[index].num:setString(LANG.UI_ACTIVITY_19)
			self.donateBoxList[index].get:setVisible(true)
			self.donateBoxList[index].notGet:setVisible(false);
		else
			if curExp >= tonumber(targetExp) then
				-- 可领取
				self.donateBoxList[index].particle:resetSystem()
				self.donateBoxList[index].num:setString(LANG.UI_ACTIVITY_20)
				self.donateBoxList[index].get:setVisible(false)
				self.donateBoxList[index].notGet:setVisible(false);
			else
				self.donateBoxList[index].notGet:setVisible(true);
				self.donateBoxList[index].particle:stopSystem()
				self.donateBoxList[index].get:setVisible(false)
				self.donateBoxList[index].num:setString(tostring(targetExp)) --(string.format('%.2d%%',(tonumber(targetExp)/maxValue)*100))
			end
		end
	end
	
	--local curGuildLv = ResTable:getRowData('guild_lv' , guildInfo.level);
	--local curGuildExp = guildInfo.exp;
	--local totalExp = 0;
	--if curGuildLv ~= nil then
	--	if guildInfo.level > 1 then
	--		local preGuildLv = ResTable:getRowData('guild_lv' , guildInfo.level  - 1);
	--		if preGuildLv ~= nil then
	--			totalExp = (curGuildLv['exp'] - preGuildLv['exp']) or curGuildLv['exp'];
	--			curGuildExp = guildInfo.exp - preGuildLv['exp'];
	--		end
	--	else
	--		totalExp = curGuildLv['exp'];
	--	end
	--end

	--self.donateGuildLevelProgress:setPercentage((curGuildExp / totalExp) * 100);  
	--self.donateGuildExp:setString(tostring(curGuildExp)..'/'..tostring(totalExp));

end

function GuildDonatePanel:donateClickCall( sender )

	local guildDonate = model.GuildModel:getGuildDonateInfo();

	if guildDonate.donate == 0 then
		Prompt:Show(LANG.UI_GUILD_61);
		return;
	end
	local donateType = sender:getTag();

	local guildDonateData = ResTable:getRowData('guild_donate' , donateType)
	local costType = guildDonateData.cost[1];
	local moneyData = self:getMoneyData(costType);
	local donateCost = guildDonateData.cost[2]

	if guildDonateData then
		if compareTwoNumGreaterAndEqual(tostring(moneyData.num),tostring(donateCost),true) then
			local format1 = LANG.UI_DONATE_1;
			if donateType == 1 then
				format1 = LANG.UI_DONATE_2;
			end
			local formatString = string.format( format1,tostring(donateCost) ); 
			local msgBox = MessageBox:create(formatString,MessageBoxType.CANCEL_OK,function (  )
				model.GuildModel:reqGuildDonate(donateType);
			end)
			msgBox:setTitle(LANG.UI_SHOP_78);
		else
			Prompt:Show(LANG.UI_DONATE_COST_TYPE[donateType]);
		end
	end

end

function GuildDonatePanel:donateItemTouch( sender,event )
	if event == ccui.TouchEventType.ended then
		self:donateClickCall(sender);
	end

end
function GuildDonatePanel:getMoneyData( type )
	local data = {
		img = "",
		num = "",
		type = type,
	}
	-- cc.exports.MONEY_ID = 10001 -- 钱币
	-- cc.exports.COLOR_DIA = 10002 -- 彩钻
	-- cc.exports.BLUE_DIA = 10002 -- 蓝钻
	-- cc.exports.DUMMY_ENERGY = 10003 -- 虚数能
	-- cc.exports.REFRESHER = 10006 -- 刷新令
	-- cc.exports.GUILD_MONEY = 10011 -- 公会币

	if type == MONEY_ID then
		data.img = 'image/icon/I'..MONEY_ID..'.png';
		data.num = model.MoneyModel:getMoney();
	elseif type == COLOR_DIA then
		data.img = 'image/icon/I'..COLOR_DIA..'.png';
		data.num = model.ItemModel:getItemNum(Conf.REDDIAMOND);
	elseif type == GUILD_MONEY then
		data.img = 'image/icon/I'..GUILD_MONEY..'.png';
		data.num = model.ItemModel:getItemNum(GUILD_MONEY);
	else
		data.num = model.ItemModel:getItemNum(type);
	end

	return data;
end

function GuildDonatePanel:retGuildDonate(msg)
	self:updateUI();

	local donateType = msg.donate_type
	local guildDonateData = ResTable:getRowData('guild_donate' , donateType)
	local tempReward = {{10005,guildDonateData.guild_exp} , {10006,guildDonateData.progress}  }
	msg.tempReward = tempReward;
	UIManager:push('RewardPanel' , msg);

end
--获得祭奠奖励
function GuildDonatePanel:getDonateReward(sender , event)
	local rewardId = sender:getTag();
	local guildDonate = model.GuildModel:getGuildDonateInfo();

	if not guildDonate then
		return;
	end

	local curMaxValue = tonumber(guildDonate.donate_reward_target[rewardId][2]);
	local curExp = guildDonate.donate_exp < curMaxValue and guildDonate.donate_exp or curMaxValue;
	local reward = guildDonate.donate_reward[rewardId];

	if curExp >= curMaxValue and tonumber(reward) ~= 1 then
		self:reqGetDonateReward(sender,eventType);
		-- UIManager:push('CommonRewardPanel' , rewards);
		return ;
	end

	self.donateBoxRewardNode:stopAllActions();
	local rewards = ResTable:getValue('guild_donatepro' , guildDonate.donate_reward_target[rewardId][1] , 'reward');

	local itemKey = next(rewards,itemKey);
	if itemKey == nil then
		return 
	end
	local rewardItem = rewards[itemKey];
	self.donateBoxRewardItem:Init(rewardItem[1],rewardItem[2])

	self.donateBoxRewardNode:setVisible(true);

	local pos = cc.p(sender:getPosition());
	local posWorld = sender:getParent():convertToWorldSpace(pos);
	local posNode = self.root:convertToNodeSpace(posWorld);

	self.donateBoxRewardNode:setPosition(posNode.x,408);
  
	 local act4 = cc.CallFunc:create(function (  )
        -- print("====================");
		self.donateBoxRewardNode:setVisible(false);
    end)

	self.donateBoxRewardNode:runAction(cc.Sequence:create(cc.DelayTime:create(2.0),act4));

end

function GuildDonatePanel:reqGetDonateReward(sender , event)
	local rewardId = sender:getTag();
	local guildDonate = model.GuildModel:getGuildDonateInfo();
	if not guildDonate then
		return;
	end
	if guildDonate.donate_reward[tostring(rewardId)] == 1 then
		return;
	end
	model.GuildModel:reqGetDonateReward(rewardId);
end
function GuildDonatePanel:retGetDonateReward(msg)
	-- self.donateRewardPanel:setVisible(false);
	self:updateUI();

	local rewardId = msg.reward_id;
	local guildDonate = model.GuildModel:getGuildDonateInfo();
	-- 如果有工会经验，则需要配表
	-- local rewards = ResTable:getValue('guild_donatepro' , guildDonate.donate_reward_target[rewardId][1] , 'reward');
	-- msg.tempReward = rewards;
	UIManager:push('RewardPanel', msg);

	-- dump(msg);
	-- local reward = guildDonate.donate_reward[tostring(rewardId)];
    -- UIManager:push('CommonRewardPanel' , reward);


end
function GuildDonatePanel:onClickBack()
	UIManager:pop('GuildDonatePanel');
	tools.RedDotTools:pushGuildRedDot(2)

end

function GuildDonatePanel:onLeave()
	self.root:setVisible(false);
end

return GuildDonatePanel;
