local PaymentHelperPanel = class('PaymentHelperPanel',function (  )
    return cc.Node:create();
end)

function PaymentHelperPanel:ctor( ... )
    self:initPanel()
    self:registEvent()
end

function PaymentHelperPanel:initPanel( ... )
 
    local blackBg = cc.LayerColor:create(cc.c4b(0, 0, 0, 1));
    blackBg:setContentSize(StageSize);
    blackBg:setPosition(-StageSize.width/2, -StageSize.height/2);
    blackBg:addTo(self);

	-- local layout = ccui.Layout:create();
	-- layout:setContentSize(StageSize);
    -- layout:setTouchEnabled(true);
	-- layout:setAnchorPoint(cc.p(0.5,0.5));
    -- layout:setPosition(0, 0);
	-- layout:addClickEventListener(handler(self , self.exitPanel));
    -- layout:addTo(self);
    
    -- add HelloWorld label
    self.title = cc.Label:createWithSystemFont("payment waiting...... ", "Arial", 40)
        :setPosition(0, display.cy -300)
        :addTo(self)
        :setVisible(false)

end

function PaymentHelperPanel:registEvent( ... )
    print('PaymentHelperPanel:registEvent======================================');
    EventManager:RegisterEvent(EventType.NetworkRetRechargeGoodInfo,handler(self,self.retRechargeGoodInfo));
    EventManager:RegisterEvent(EventType.NetworkRetRechargeGoodVerify,handler(self,self.retRechargeGoodVerify));
    EventManager:RegisterEvent(EventType.NetworkRetRechargeGoodReward,handler(self,self.retRechargeGoodReward));
   
    EventManager:RegisterEvent(EventType.NetworkRetRechargeUncomsumed,handler(self,self.retRechargeUncomsumed));
    EventManager:RegisterEvent(EventType.NetworkRetRechargeChangeAuto,handler(self,self.retRechargeChangeAuto));
end

function PaymentHelperPanel:changeState( state,errorMsg )
    -- self.title:setString(tostring(errorMsg))
    -- print('==================errorCode == '..tostring(errorMsg))
    -- if state == -1 or state == 4 then
    --     self.canPop = true;
    -- end
end

function PaymentHelperPanel:exitPanel( sender,event )
    -- body
    self:setVisible(false);
    self.onPaymentCallback = nil;
    -- print('exitPanel====self.canPop == ',self.canPop);
    -- if self.canPop ~= true then
    --     self:changeState(-1,'payment waiting');
    -- else
    --     self:setVisible(false);
    --     self.onPaymentCallback = nil;
    -- end

end

function PaymentHelperPanel:showWait( bTrue )
    if bTrue then
        WaitingPanel:Show()
--        WaitingPanel:HideAni()--不显示动画
    else
        WaitingPanel:Hide()

    end
end

-- function PaymentHelperPanel:sdkLoginCallback( strData )
--     print(" === 1 sdkLoginCallback  === ")
--     print(tostring(strData))
--     print("==== 结束 ==== ")
-- end

-- function PaymentHelperPanel:sdkQueryProductsCallback( strData )
--     print(" === 1 sdk回调结束  === ")
--     print(tostring(strData))
--     print("==== 结束 ==== ")
-- end

-- queryPurchasees 0
function PaymentHelperPanel:queryPurchasees( pruduct_type,callback )
    -- 漏单：已购买，但未消耗，同一商品只会产生一个漏单
    -- 0 发起SDK，获取未处理订单 <如果有多个订单未处理，需要提供UI，然后每个订单单独处理>

    -- 后续操作
    -- 1 请求服务器，验证订单
    -- 2 发起SDK，消耗订单
    -- -- 3 请求服务器，获取奖励
    -- self.onPaymentCallback = callback;
    -- sdkManager.SDKLuaHelper:queryPurchases("inapp",handler(self,self.sdkQueryPurchasesCallback));
end
-- queryPurchasees 1
function PaymentHelperPanel:sdkQueryPurchasesCallback( strData )

    -- local jsonData = Cjson.decode(strData)
    -- if self.onPaymentCallback ~= nil then
    --     self.onPaymentCallback(jsonData);
    -- end

    -- if jsonData.code ~= 0 then
    --     print("  SDK callback error : "..tostring(jsonData.code))
    --     print("  error msg: "..tostring(jsonData.error_msg))
    --     print("==== over ==== ")
    --     return ;
    -- end

end
-- queryPurchasees 验证并消耗漏单
function PaymentHelperPanel:queryPurchaseConsume( purchase,callback )
    -- 1 请求服务器，验证订单
    -- 2 发起SDK，消耗订单
    -- 3 请求服务器，获取奖励
    -- if purchase == nil  then
    --     return 
    -- end
    -- self.onPaymentCallback = callback;
      -- local msg = {
    --     purchases = {purchase}

    -- }
    -- Network.NetworkManager:Send(Network.NetworkCmdType.req_recharge_good_verify, msg);
end



function PaymentHelperPanel:retRechargeChangeAuto( msg )
    -- print("==== 2 变更自动订阅状态 ==== ")
    -- print(Cjson.encode(msg))
    -- print("=======  订阅状态 === "..tostring(msg.autoRenewing));

    -- local itemId = msg.no;
    -- self.shopData[itemId]['autoRenewing'] = msg.autoRenewing

    -- if msg.autoRenewing == 1  then
    --     self.autoBtn:setTitleText('重新订阅')
    -- else
    --     self.autoBtn:setTitleText('取消订阅')
    -- end
end

function PaymentHelperPanel:retRechargeUncomsumed(msg)
    print("====4 server goodReward result  ==== ")
    if msg.state == 0 then
        return;
    elseif msg.state == 1 then
    elseif msg.state == 2 then        
	    Network.NetworkManager:Send(Network.NetworkCmdType.req_recharge_unconsumed, {lan = model.UserDefaultModel:getLanguageSet()});
    end

    local eName = '';
    local package_name = sdkManager.SDKLuaHelper:getPackageName()
	if package_name == 'com.nani.ego.kr.aos' then
		eName = Enum:getTable('TrackEventTokenAOS').TRACK_PURCHASE;
	elseif package_name == 'com.nani.ego.kr.one' then
		eName = Enum:getTable('TrackEventTokenOne').TRACK_PURCHASE;
	else
		return;
	end
    local args = {
        eventName = eName,
        price = msg.price or 0,           -- 收入统计必传
        currency = 'KRW',
    }
    sdkManager.SDKLuaHelper:trackEvent(args)

end


---  on payment 0
function PaymentHelperPanel:onPayment( buyItem,callback )
    -- 1 请求服务器，获取支付参数
    -- 2 SDK调用支付
    -- 3 支付成功，请求服务器 验证支付结果
    -- 4 SDK调用消耗
    -- 5 消耗成功，请求服务器获取商品
    self:setVisible(true)
    self.canPop = false;
    self.onPaymentCallback = callback;
    -- self.title:setString("waiting!!!")
    
    self.price = 0
    self.price_kr = 0
    buyItem.country = sdkManager.SDKLuaHelper:getCountry()
	buyItem.lan = model.UserDefaultModel:getLanguageSet()
    if buyItem == nil then
        print(" === Failed to initiate payment. This item was not found end === ")
        -- print("==== payment over ==== ")
         return 
    end
    print(" === 0 Request the server to retrieve the item data  ===  on payment 0 ")
    -- buyItem = {
    --     no = 1,     -- id
    --     type = 1,    -- 类型 ： 1rechage 2 recharge_online 3 shop_gift 4 month_card
    -- }
    dump(buyItem,'buyItem == ')
    Network.NetworkManager:Send(Network.NetworkCmdType.req_recharge_good_info, buyItem);

end

---  on payment 1
function PaymentHelperPanel:retRechargeGoodInfo( msg )
    print(" === 0 Get server purchase info  ===    on payment 1 ")

    if msg == nil or msg.product == nil then
        print(" === no purchase found  end === ")
        print("==== payment over ==== ")
        -- self:changeState(-1,'0 no purchase found')
        if self.onPaymentCallback then
            self.onPaymentCallback({code = -1,error_msg = 'no purchase found'});
        end
        self:exitPanel()

        return 
    end

    local product = msg.product;
    self.price = product.price;
    self.price_kr = product.price_kr;

    if global_branch.branch_paysdk_invalid == true  then
        print('=================================  branch_paysdk_invalid ===========================')
        -- 跳过后续SDK支付，直接触发获取订单成功
        local msg = {
            purchases ={
                {
                    payload         = product.payload,
                    purchase_id     = product.payload..'_test',
                    product_id      = product.product_id
                }
            },
			lan = model.UserDefaultModel:getLanguageSet()
        }
        dump(msg,'branch_paysdk_invalid === ')
        Network.NetworkManager:Send(Network.NetworkCmdType.req_recharge_goods_reward, msg);

        return ;
    end 
    print(" === 1 request sdk payment  === ")
    local args = {
        product_id = product.product_id,
        payload     = product.payload,
        product_type = product.product_type
    }
    self.mPayload = product.payload
    sdkManager.SDKLuaHelper:onPayment(args,handler(self,self.sdkPaymentCallback))
    self:showWait(true)

end
---  on payment 2 SDK购买成功，请求服务器验证
function PaymentHelperPanel:sdkPaymentCallback( strData )
    dump(strData,"payment callback =====  on payment 2 ");
    print(" === 1  sdk callback  === ")

    local jsonData = Cjson.decode(strData)

    if jsonData.code ~= 0 then
        print("  sdk callback error  msg: "..tostring(jsonData.code))
        print("  error_msg: "..tostring(jsonData.error_msg))
        print("==== payment over ==== ")
        self:showWait(false)
        -- self:changeState(-1,'1 sdk payment error')
        if self.onPaymentCallback then
            self.onPaymentCallback(jsonData);
        end
        self:exitPanel()

        return ;
    end
    print("====2 Request the server to verify the payment result  ==== ")

    local msg = {}
    msg.purchases = {}
    for n, data in pairs(jsonData.purchases) do
        local insertData = {}
        for key, value in pairs(data) do
            if key == 'purchaseData' then
                insertData[key] = autolua.opensslToLua:aes_ecb_encrypt(value)
            else
                insertData[key] = value
            end
        end
        if self.mPayload then
            insertData['payload'] = self.mPayload
            self.mPayload = nil
        end
        table.insert(msg.purchases, insertData)
    end

    -- local jsonData = Cjson.decode(data)
    -- 请求服务器验证支付
    -- 1 验证payload是否一致
    -- 2 signedData + signature 证书验证

    Network.NetworkManager:Send(Network.NetworkCmdType.req_recharge_good_verify, msg);

end
---  on payment 3 验证成功，SDK消耗商品
function PaymentHelperPanel:retRechargeGoodVerify( msg )
    dump(msg,"retRechargeGoodVerify")
    print("====2 server verify result  ==== ")
    print(Cjson.encode(msg))

    if msg.products == nil then
        -- self:changeState(-1,'2 server verify error')
        if self.onPaymentCallback then
            self.onPaymentCallback({code = -1,error_msg = 'verify error'});
        end
        self:exitPanel()

        return 
    end

    local products = msg.products;
    if products == nil or products.verifyCode ~= 0  then
        -- self:changeState(-1,'2 server verify error')
        if self.onPaymentCallback then
            self.onPaymentCallback({code = -1,error_msg = 'verify error'});
        end
        self:exitPanel()

        return 
    end


    print(" === 3 request sdk payment  === ")
    local args = {
        product_id = products.product_id,
        payload     = products.payload,
        product_type = products.product_type
    }
    -- ios未提供客户端消耗操作
    -- ios 订单号，需要在验证回调中获取
    args['transaction_id'] = products.transaction_id;  -- ios验证才会返回此参数 订单号
    
    sdkManager.SDKLuaHelper:consumePurchase(args,handler(self,self.sdkConsumeCallback))



end
---  on payment 4 SDK消耗成功，请求服务器获取奖励
function PaymentHelperPanel:sdkConsumeCallback( strData )
    -- body
    print("====3 SDK consumePurchase result  ==== ")
    print(tostring(strData))

    local jsonData = Cjson.decode(strData)

    if jsonData.code ~= 0 then
        print("  sdk callback error  msg: "..tostring(jsonData.code))
        print("  error_msg: "..tostring(jsonData.error_msg))
        print("==== payment over ==== ")
        self:showWait(false)
        -- self:changeState(-1,'3 sdk consume error')
        if self.onPaymentCallback then
            self.onPaymentCallback(jsonData);
        end
        self:exitPanel()

        return ;
    end
    print("====4 server get goods reward ==== ")

    local msg = {
        purchases = jsonData.purchases,
		lan = model.UserDefaultModel:getLanguageSet()
    }
    Network.NetworkManager:Send(Network.NetworkCmdType.req_recharge_goods_reward, msg);

end
---  on payment 5 返回奖励结果
function PaymentHelperPanel:retRechargeGoodReward( msg )
    print("====4 server goodReward result  ==== ")
    -- print(Cjson.encode(msg))
    -- print("====buy over ==== ")
    -- self:changeState(4,'payment over')
    if self.onPaymentCallback then
        self.onPaymentCallback(msg);
    end
	
    local eName = '';
    local package_name = sdkManager.SDKLuaHelper:getPackageName()
	if package_name == 'com.nani.ego.kr.aos' then
		eName = Enum:getTable('TrackEventTokenAOS').TRACK_PURCHASE;
	elseif package_name == 'com.nani.ego.kr.one' then
		eName = Enum:getTable('TrackEventTokenOne').TRACK_PURCHASE;
	else
		return;
	end
    local args = {
        eventName = eName,
        price = self.price_kr or 0,           -- 收入统计必传
        currency = 'KRW',
    }
    sdkManager.SDKLuaHelper:trackEvent(args)

    self:showWait(false)
    self:exitPanel()

end


return PaymentHelperPanel

