local MoneyModel = class("MoneyModel")

function MoneyModel:ctor()
	self:clearAll()

end
function MoneyModel:clearAll(  )
	-- body
end
function MoneyModel:Init(data)
	self:clearAll()

	self.money = data.money;
	self:handleMoney();
end

function MoneyModel:getMoney()
	return self.displayedMoney;
end

function MoneyModel:getWholeMoney()
	return self.money;
end
-- money = { total = '123',change = '123'}
function MoneyModel:updateMoney(moneyTable)
	local money = moneyTable
	if type(moneyTable) == 'table' then
		money = moneyTable.total;
	end
	self.money = money;
	self:handleMoney();
	-- if UIManager:panelIsVisible('FightPanel') then
	-- 	tools.RedDotTools:pushFightSceneRedDot(4)

	-- end
	EventManager:FireEvent(EventType.UIHeadeMoneyUpdate);
end

function MoneyModel:handleMoney()
	local len = string.len(self.money);
	if len < 1 then
		return 0;
	end

	local unitNum = math.floor((len-1)/3);
	local frontNum = len % 3;
	if frontNum == 0 then
		frontNum = 3;
	end
	local frontStr = string.sub(self.money, 1, frontNum);

	local backStr = '';
	if len >= 4 then
		backStr = '.' .. string.sub(self.money, frontNum+1, frontNum+2);
	end

	local unit = '';
	if unitNum >= 1 then
		unit = ResTable:getValue('unit', unitNum, 'unit');
	end

	self.displayedMoney = frontStr .. backStr .. unit;
	self.unit = unit;
	self.moneyNum = frontStr .. backStr;
	self.unitLevel = unitNum;
end

function MoneyModel:isEnough(cost)
	local cost = ConvertDigitUnitToStr(tostring(cost));
	--[[
	local posB, posE = string.find(cost, '[A-Z]+');
	local unit = '';
	local costUnitLevel = 0;
	local costNum = '0';
	if posB then
		unit = string.sub(cost, posB, posE);
		costNum = string.sub(cost, 1, posB-1);
	end

	local findUnit = false;
	for i=1, self.unitLevel do
		local u = ResTable:getValue('unit', i, 'unit');
		if u == unit then
			costUnitLevel = i;
			findUnit = true;
			break;
		end
	end

	if findUnit then --都带单位 位数小于等于
		if costUnitLevel < self.unitLevel then
			return true;
		elseif costUnitLevel > self.unitLevel then
			return false;
		else
			return (tonumber(self.moneyNum) >= tonumber(costNum));
		end
	elseif unit ~= '' then -- unit带单位 位数大于
		return false;
	elseif unit == '' and self.unitLevel > 0 then --unit不带单位 , money带单位
		return true;
	elseif costUnitLevel == 0 and self.unitLevel == 0 then -- 都不带单位
		return (tonumber(self.money) >= tonumber(cost));
	end
	]]
	return HpCompare(self.money,'>=',cost);
end

return MoneyModel;
