--NetworkMsg_Admob.lua

--========================================================================

local NetworkMsg_Admob = class("NetworkMsg_Admob")

function NetworkMsg_Admob:ctor()
end

function NetworkMsg_Admob:onRetAdmobInfo(msg)
    model.AdmobModel:onRetAdmobInfo(msg.admob)
    model.AdmobModel:retAdmobInfo(msg)
    EventManager:FireEvent(EventType.NetworkRetAdmobInfo , msg);
end

function NetworkMsg_Admob:onRetAdmobReward(msg)
    model.AdmobModel:onRetAdmobInfo(msg.admob);
    if msg.buff then
        local buff = {
            buffType        = msg.buff[1],
            incomeType      = msg.buff[2],
            times           = msg.buff[3],
            time			= msg.buff[4],
        }
        model.AutoFightModel:addBuff(buff);
    end
    EventManager:FireEvent(EventType.NetworkRetAdmobReward , msg);

    if msg and msg.admob  then
        for k,v in pairs(msg.admob) do
            local admobId = v.admob_id;
            if admobId == 1 or admobId == 2 then
                local admobItem = model.AdmobModel:getAdmobItem(admobId);
                if admobItem then
                    local remainTimes = admobItem.remain_times;
                    Prompt:Show(string.format( LANG.UI_ADMOB_4,remainTimes ));
                end 
            end
        end
    end

    UIManager:push('RewardPanel',msg)
end

return NetworkMsg_Admob;
