--NetworkMsg_Event.lua

--========================================================================
--网络消息_活动事件

local NetworkMsg_Event = class("NetworkMsg_Event")

function NetworkMsg_Event:ctor()
end

function NetworkMsg_Event:onRetGetEventInfo(msg)
	model.EventModel:initData(msg);
	EventManager:FireEvent(EventType.NetworkEventInitInfo);
end

function NetworkMsg_Event:onRetEventActive(msg)
	-- model.EventModel:retEventActive(msg);
	-- EventManager:FireEvent(EventType.NetworkGetEventInfo,msg);
end

function NetworkMsg_Event:onRetEventSelectBuff(msg)
	model.EventModel:retEventMapFightBuff(msg);
end	

function NetworkMsg_Event:onRetEventSelectShopOnce(msg)
	model.EventModel:retEventMapShopOnce(msg);
end	

function NetworkMsg_Event:onRetGiveUpShop(msg)
	model.EventModel:retGiveUpShopOnce(msg);
end

function NetworkMsg_Event:onRetEventEmployRobot(msg)
	model.EventModel:retEventMapEmployRobot(msg);
end	

function NetworkMsg_Event:onRetEventUseItem(msg)
	model.EventModel:retUseItem(msg);
end	

function NetworkMsg_Event:onRetGetEventReward(msg)
	if msg.id then
		for _k , id in pairs(msg.id) do
			model.EventModel:updateEventRewardState(id);
		end
	end
	
	EventManager:FireEvent(EventType.NetwordRetRoundTargetReward,msg);
	--EventManager:FireEvent(EventType.NetwordEventGetReward,msg);
end

function NetworkMsg_Event:onRetEventWelfareReward(msg)
	model.EventModel:updateEventWelfare(msg.id , msg.times);
	model.RechargeModel:retRecharge(msg);
	EventManager:FireEvent(EventType.UIBuyEventShop,msg);
end

function NetworkMsg_Event:onRetEventGetMapInfo( msg )
	model.EventModel:retEventMapInfo(msg);
end

function NetworkMsg_Event:onRetEventTileInfo( msg )
	model.EventModel:retEventTileInfo(msg);
end

function NetworkMsg_Event:onRetEventGetHardLog(msg)
	model.EventModel:updateHardLog(msg.event_hard_log);
	EventManager:FireEvent(EventType.NetworkEventGetHardLog,msg);
end

function NetworkMsg_Event:onRetEventReset(msg)
	model.EventModel:retEventRest(msg);
	EventManager:FireEvent(EventType.NetworkEventReset,msg);
end

function NetworkMsg_Event:onRetEventResult(msg)
	model.EventModel:retEventResult(msg);
end

function NetworkMsg_Event:onRetEventBPRwd(msg)
	model.EventModel:updateBattlepassReward(msg);
end

function NetworkMsg_Event:onRetPlayBall(msg)
	model.ItemModel:retPlayBallList(msg);
end

return NetworkMsg_Event;
