--NetworkMsg_Notice.lua
--========================================================================
--网络消息_通知

local NetworkMsg_Notice = class("NetworkMsg_Notice")

function NetworkMsg_Notice:ctor()
end

function NetworkMsg_Notice:Init()
	local f1 = handler(model.ItemModel, model.ItemModel.onChangeItems);
	local f2 = handler(model.CardModel, model.CardModel.onAddCard);
	local f3 = handler(model.CardModel, model.CardModel.updateHps);
	local f5 = handler(model.MailModel, model.MailModel.setNtNewMail);
	local f6 = handler(model.UserModel, model.UserModel.updateUserLevelAndExp);
	local f8 = handler(model.MoneyModel, model.MoneyModel.updateMoney);
	local f9 = handler(model.EventModel, model.EventModel.updateEventTotalMoney);
	local f10 = handler(model.CardModel, model.CardModel.updateEventHps);
	local f11 = handler(model.MissionModel, model.MissionModel.updateDailyMissionData);
	local f12 = handler(model.MissionModel, model.MissionModel.updateLifeMissionData);
	local f13 = handler(model.CardModel, model.CardModel.onAddAvatar);
	local f14 = handler(model.EnterGameRedDotModel, model.EnterGameRedDotModel.updateRedDot);
	local f15 = handler(model.BareCollectModel, model.BareCollectModel.addBareCollect);
	local f16 = handler(model.UserModel, model.UserModel.addMainBg);
	local f17 = handler(model.EquipModel, model.EquipModel.onChangeEquips);
	local f18 = handler(model.EquipModel, model.EquipModel.onChangeEquipWear);
	local f19 = handler(model.GuideModel, model.GuideModel.onSaveGuideNotice);
	local f20 = handler(model.GemModel, model.GemModel.addOneGem);
	local f21 = handler(model.MissionModel, model.MissionModel.updateDailyMissionItem);
	local f22 = handler(model.BattlepassEventModel, model.BattlepassEventModel.updateBattlepassMission);
	local f23 = handler(model.BattlepassEventModel, model.BattlepassEventModel.updateBattlepassPoint);

	-- local f24 = handler(model.SecTeamModel, model.SecTeamModel.pushSecTeamInfo);
	local f25 = handler(model.EventModel, model.EventModel.updateMazeBattlepassPoint);
	local f26 = handler(model.RoundModel, model.RoundModel.updateRoundMissionState);
	-- local f9 = handler(model.RoundBossModel,model.RoundBossModel.updateRoundBossList);
	self.noticeList = {
		itemChange = f1,
		newPartner = f2,
		partnerHp = f3,
		mail = f5,
		userExp = f6,
		achievement = f7,
		-- moneyChange = f8;
		money = f8,
		eventMoney = f9,
		maze_team = f10,
		dailyMission = f11,
		lifeMission = f12,
		newAvatar = f13,
		redDot = f14,
		bareCollect = f15,
		BgActivate = f16,
		equipChange = f17,
		equipWearChange = f18,
		saveGuideStep  = f19,
		crystal  = f20,
		dailyMissiontItem  = f21,
		battlepassMission = f22,
		battlepassPoint = f23,
		-- push_coordination = f24,
		mazeBattlepassPoint = f25,
		user_bank = f26,
	}
end

function NetworkMsg_Notice:onHandler( msg )
	for keyA, valueA in pairs(self.noticeList) do
		if msg[keyA] then
			if type(valueA) == 'table' then
				for keyB, valueB in pairs(valueA) do
					if msg[keyA][keyB] then
						valueB(msg[keyA][keyB]);
					end
				end
			else
				valueA(msg[keyA]);
			end
		end
	end
end

return NetworkMsg_Notice;
