local NetworkMsg_Recharge = class("NetworkMsg_Recharge")

function NetworkMsg_Recharge:ctor()
  
end

function NetworkMsg_Recharge:onRetGetRechargeInfo(msg)
    if msg.code == 0 then
        model.RechargeModel:Init(msg);
        EventManager:FireEvent(EventType.NetworkRetRechargeInfo);
    end
end

function NetworkMsg_Recharge:onRetGetRechargeReward(msg)
    if msg.code == 0 then
        model.RechargeModel:retRecharge(msg);
        EventManager:FireEvent(EventType.NetworkRetRechargeGetReward,msg);
    end
end

function NetworkMsg_Recharge:onRetGetRechargeMonthCardReward(msg)
    if msg.code == 0 then
        model.RechargeModel:retRecharge(msg);
        EventManager:FireEvent(EventType.NetworkRetRechargeRewardMonthCard,msg);
    end
end


function NetworkMsg_Recharge:onRetGetRechargeGoodInfo(msg)
    if msg.code == 0 then
        print('===============onRetGetRechargeGoodInfo============')
        EventManager:FireEvent(EventType.NetworkRetRechargeGoodInfo,msg);
    end
end

function NetworkMsg_Recharge:onRetGetRechargeGoodVerify(msg)
    if msg.code == 0 then
        EventManager:FireEvent(EventType.NetworkRetRechargeGoodVerify,msg);
    end
end

function NetworkMsg_Recharge:onRetGetRechargeGoodReward( msg )
    if msg.code == 0 then
        model.RechargeModel:retRecharge(msg);
        EventManager:FireEvent(EventType.NetworkRetRechargeGoodReward,msg);
    end
end

function NetworkMsg_Recharge:onRetGetRechargeUncomsumed(msg)
    if msg.code == 0 then
        -- model.RechargeModel:retRechargeVerify(msg);
        EventManager:FireEvent(EventType.NetworkRetRechargeUncomsumed,msg);
    end
end

function NetworkMsg_Recharge:onRetGetRechargeChangeAuto(msg)
    if msg.code == 0 then
        -- model.RechargeModel:retRechargeVerify(msg);
        EventManager:FireEvent(EventType.NetworkRetRechargeChangeAuto,msg);
    end
end

function NetworkMsg_Recharge:onRetGetRechargeGrowupReward(msg)
    if msg.code == 0 then
        if msg.type == 18 then
            model.RechargeModel:updateGrowupSpState(msg.no,1);
        else --msg.type == 12
            model.RechargeModel:updateGrowupState(msg.no,1);
        end
        EventManager:FireEvent(EventType.NetworkRetRechargeGrowupReward,msg);
    end
end

function NetworkMsg_Recharge:onRetGetRechargeGiftFree(msg)
    if msg.code == 0 then
        model.RechargeModel:retRecharge(msg);
        EventManager:FireEvent(EventType.NetworkRetRechargeGiftFree,msg);
    end
end

function NetworkMsg_Recharge:onRetGetRechargeTaskRwd(msg)
    if msg.code == 0 then
        model.RechargeModel:retGetRechargeTaskRwd(msg);
    end
end

function NetworkMsg_Recharge:onRetTest( msg )
    dump(msg);
end

return NetworkMsg_Recharge;
