
-- 初始化或者从后台返回时，检测到订单需要验证
cc.exports.queryPurchaseCallback = function( strData )
	print("==========queryPurchaseCallback==========")
	if not cc.exports.queryFlag then
		cc.exports.queryFlag = 1
	else
		cc.exports.queryFlag = cc.exports.queryFlag + 1
	end
	if cc.exports.queryFlag == 1 then
		local jsonData = Cjson.decode(strData)

		if jsonData.code ~= 0 then
			print("  sdk callback error  msg: "..tostring(jsonData.code))
	        print("  error_msg: "..tostring(jsonData.error_msg))
			print("==== payment over ==== ")
			return
		end

		local msg = {}
	    msg.purchases = {}
	    for n, data in pairs(jsonData.purchases) do
		    local insertData = {}
		    for key, value in pairs(data) do
		        if key == 'purchaseData' then
			        insertData[key] = autolua.opensslToLua:aes_ecb_encrypt(value)
				else
		            insertData[key] = value
		        end
		    end
			table.insert(msg.purchases, insertData)
		end
		cc.exports.queryMsg = msg
	end
end

cc.exports.xignCodeErrorCallback = function(  )
	print("==== ego xignCodeErrorCallback ==== ")
	local xignCode = sdkManager.SDKLuaHelper:getXignCodeInfo();
	print("==== ego xignCode: ==== ", xignCode)
	MessageBox:create(LANG.UI_XIGNCODE_ERROR , 1, function()
					cc.Director:getInstance():endToLua();
				end);
end
