local EquipTemplate = class("EquipTemplate" , function() 
	return ccui.Layout:create();
end)

function EquipTemplate:ctor(father)
	self:addTo(father);
	--self:setSwallowTouches(false);

	self.icon = template.IconTemplate:create(self);
	--self.icon:setTouchEnabled(false);

	self.clickBtn = ccui.Layout:create();
	self.clickBtn:addTo(self);
	self.clickBtn:setAnchorPoint(0.5 , 0.5);
	self.clickBtn:setContentSize(cc.size(114 , 118));
	self.clickBtn:setSwallowTouches(false);
	self.clickBtn:setTouchEnabled(true);
end

function EquipTemplate:Init(no)
	self.icon:Init(no);

	self.clickBtn:setContentSize(cc.size(114 , 118));
	self.clickBtn:setSwallowTouches(false);
	self.clickBtn:setTouchEnabled(true);
end

function EquipTemplate:setEquipInSlot(bTrue)
	self.icon:setEquipInSlot(bTrue);
end

function EquipTemplate:setEquipTag(tag)
	self.clickBtn:setTag(tag);
end

function EquipTemplate:addEquipClickEventListener(callback)
	self.clickBtn:addClickEventListener(callback);
end

return EquipTemplate;
