local EventBombMapItem = class("EventBombMapItem", require("app.template.EventBaseMapItem"))

local fonts = Enum:getTable("SystemFont");
local FightType = Enum:getTable('FightType');
local imagePath = 'image/event/map/';
local MessageBoxType = Enum:getTable('MessageBoxType')

function EventBombMapItem:ctor(pos)

	EventBombMapItem.super.ctor(self, pos);

end

function EventBombMapItem:showSpine()
	self.aniNode:removeAllChildren();
	if self.tileData.state == 1 then
		-- local spr = cc.Sprite:create()
		-- spr:addTo(self.aniNode)

		-- local act1 = cc.ScaleTo:create(0.3,0.8);
		-- local act2 = cc.ScaleTo:create(0.3,1.0);
		-- local act3 = cc.ScaleTo:create(0.3,0.8);
		-- local act4 = cc.ScaleTo:create(0.3,1.1);
		-- local act5 = cc.ScaleTo:create(0.3,0.8);
		-- local act6 = cc.ScaleTo:create(0.3,1.2);

		-- local endFunc = cc.CallFunc:create(function (  )
		-- 	self:showItemInfo( true );
		-- end)
		-- spr:runAction(cc.Sequence:create(act1,act2,act3,act4,act5,act6,endFunc));

		local spine_res = 'zhadan_spine';
		if cc.FileUtils:getInstance():isFileExist('spine/'..spine_res.."/"..spine_res..".json") then
			local spine = sp.SkeletonAnimation:create('spine/'..spine_res.."/"..spine_res..".json", 'spine/'..spine_res.."/"..spine_res..".atlas", 1)
			spine:addTo(self.aniNode)
			spine:registerSpineEventHandler(function (event)
				self:showItemInfo( true );
				EventManager:FireEvent(EventType.ShieldGuide, false);
			end, sp.EventType.ANIMATION_COMPLETE)

			EventManager:FireEvent(EventType.ShieldGuide, true);
			spine:setAnimation(0, "zhadan_spine", false)
		end

	end
	
end

function EventBombMapItem:showItemInfo( bclick )
	if self.tileData.state == 1 then
		model.EventModel:reqEventTileInfo( self.pos )
		Prompt:Show(LANG.UI_MAZE_26)
	end
	print('fubin---EventBombMapItem---showItem:', self.pos)
end

return EventBombMapItem;