local EventBoxMapItem = class("EventBoxMapItem", require("app.template.EventBaseMapItem"))

local fonts = Enum:getTable("SystemFont");
local FightType = Enum:getTable('FightType');
local imagePath = 'image/event/map/';
local MessageBoxType = Enum:getTable('MessageBoxType')

function EventBoxMapItem:ctor(pos)

	EventBoxMapItem.super.ctor(self, pos);

end

function EventBoxMapItem:showSpine()
	self.aniNode:removeAllChildren();
	if self.tileData.state == 1 then
		local spine_res = 'events_baoxiang_spine';
		if cc.FileUtils:getInstance():isFileExist('spine/'..spine_res.."/"..spine_res..".json") then
			local spine = sp.SkeletonAnimation:create('spine/'..spine_res.."/"..spine_res..".json", 'spine/'..spine_res.."/"..spine_res..".atlas", 1)
			spine:addTo(self.aniNode)
			spine:setAnimation(0, "events_baoxiang_spine", true)
		end
	end
end

function EventBoxMapItem:showItemInfo( bclick )
	print('fubin---EventBoxMapItem---showItem:', self.pos)
	if bclick == false then
		return;
	end
	if self.tileData.state == 1 then
		model.EventModel:reqEventTileInfo( self.pos )
	end
end

return EventBoxMapItem;