local EventShopMapItem = class("EventShopMapItem", require("app.template.EventBaseMapItem"))

local fonts = Enum:getTable("SystemFont");
local FightType = Enum:getTable('FightType');
local imagePath = 'image/event/map/';
local MessageBoxType = Enum:getTable('MessageBoxType')
local AnimationType = Enum:getTable('AnimationType');

function EventShopMapItem:ctor(pos)

	EventShopMapItem.super.ctor(self, pos);

end

function EventShopMapItem:showSpine()
	self.aniNode:removeAllChildren();
	if self.tileData.state == 1 then
		local armature, id = DragonBonesManager:GetArmature('B006_Model')
		armature:addTo(self.aniNode)
		armature:setScale(0.35);
		armature:getAnimation():play(AnimationType.idle, -1);
	end
end

function EventShopMapItem:showItemInfo( bclick )
	print('fubin---EventShopMapItem---showItem:', self.pos)
	if self.tileData.state == 1 then --state==1
		UIManager:push('EventShopOncePanel', self.pos, bclick)
	end
end

return EventShopMapItem;