local FightItemTemplate = class('FightItemTemplate')

function FightItemTemplate:ctor(  )
	self.root = cc.Node:create();
	self.no = 0;


	self.icon = template.IconTemplate:create(self.root); 
	self.icon:addClickEventListener(handler(self, self.itemCall));
	self.icon:setSwallowTouches(false);

	self.selectedBg = cc.Sprite:create('image/fight/item/item_bg.png');
	self.selectedBg:addTo(self.root);
	self.selectedBg:setTag(2);
	-- self.selectedBg:setPosition(cc.p(-22,0))
	
	self.redDot = cc.Sprite:create('image/commonImg/tip_1.png')
	self.redDot:addTo(self.root);
	self.redDot:setPosition(cc.p(35,44));
	self.redDot:setVisible(false);
end
function FightItemTemplate:initData(data)
	self.no = data.no;

	self.icon:Init(data.no, data.num);
	-- self.icon:setNum(data.num,true);
	self.icon:setTag(data.no);
	self:setNum(data.num);
	-- self.redDot:setVisible(data.num ~= 0)

end

function FightItemTemplate:getRoot( ... )
	return self.root;
end
function FightItemTemplate:setSelected( selected )
	self.selectedBg:setVisible(selected);
	if selected == true then
		self.root:setOpacity(255);
		self.root:setScale(1);
	else
		self.root:setOpacity(125);
		self.root:setScale(0.95);
	end
end

function FightItemTemplate:setNum( num )
	self.redDot:setVisible(num ~= 0)
	self.icon:setNum(num,true);

end

function FightItemTemplate:itemCall(  )
	if self.callback then
		self.callback(self.no);
	end
end
function FightItemTemplate:setCallback(callback )
	self.callback = callback;
end

return FightItemTemplate;