local LoveListTemplate = class("LoveListTemplate" , function()
	return ccui.Layout:create();
end)

local fonts = Enum:getTable("SystemFont")

function LoveListTemplate:ctor()
    
    self.navi = cc.Sprite:create()
    self.navi:addTo(self);
    -- self.navi:setPosition(0,-11);

    self.fg = ccui.ImageView:create('image/cardLove/card_love_1.png')
    self.fg:addTo(self);
    
    self.nameImg = cc.Sprite:create();
    self.nameImg:addTo(self);
    self.nameImg:setPosition(0,316);

    local title = cc.Sprite:create('image/cardLove/card_love_10.png');
    title:addTo(self);
    title:setPosition(0,268);

    local bottomBg = cc.Sprite:create('image/cardLove/card_love_3.png');
    bottomBg:addTo(self);
    bottomBg:setPosition(0,-295)

    local levelNode = cc.Node:create();
    levelNode:addTo(self);
    levelNode:setPosition(0,-353);

    local levelBg = cc.Sprite:create('image/cardLove/card_love_4.png');
    levelBg:addTo(levelNode);

    local bgPos = {cc.p(-1,12),cc.p(13,3),cc.p(8,-13),cc.p(-10,-13),cc.p(-14,3)};
    self.levelList = {};
    for i = 1 , 5 do
        local bg = cc.Sprite:create('image/cardLove/card_love_level_'..i..'.png');
        bg:addTo(levelNode);
        bg:setPosition(bgPos[i]);
        bg:setVisible(false);
        self.levelList[i] = bg;
    end
end
function LoveListTemplate:Init(data)
    for i = 1 , 5 do
        self.levelList[i]:setVisible(data.loveLevel >= i);
    end

    local loveData = data.loveData[1];
    self.navi:setTexture('image/cardLove/'..loveData.show_small_pg..'.png');
    self.nameImg:setTexture('image/cardLove/love_name_'..loveData.role_id..'.png');
end

function LoveListTemplate:addLoveClickEventListener(callback)
    self.fg:setTouchEnabled(true);
    self.fg:addClickEventListener(callback);
    self.fg:setSwallowTouches(false);
end

function LoveListTemplate:setLoveTag(tag)
    self.fg:setTag(tag);
end

return LoveListTemplate;
