local ShopGiftActivityTemplate = class("ShopGiftActivityTemplate" , function()
	return ccui.Layout:create();
end)

local fonts = Enum:getTable("SystemFont")

function ShopGiftActivityTemplate:ctor()

    self.bg = ccui.ImageView:create('image/shop/shop_gift_1.png');
    self.bg:addTo(self);

     -- 剩余次数
 
     self.remainingTimeLabel = cc.Label:createWithTTF('' , fonts.FONT_SIYUAN , 15)
     self.remainingTimeLabel:addTo(self);
     self.remainingTimeLabel:setAnchorPoint(1,0.5);
     self.remainingTimeLabel:setPosition(133,-62);
     self.remainingTimeLabel:enableOutline(cc.c4b(0 , 0 , 0 , 255) , 2)

	self.priceBg = cc.Sprite:create('image/shop/shop_buy_btn_1.png');
    self.priceBg:addTo(self);
    self.priceBg:setPosition(84 , -87);
    
    local priceBgSize = self.priceBg:getContentSize();
    self.price = cc.Label:createWithTTF('' , fonts.FONT_SIYUAN ,  20);
    self.price:addTo(self.priceBg);
    self.price:setPosition(priceBgSize.width / 2 , priceBgSize.height / 2);
    self.price:enableOutline(cc.c3b(40 , 100 , 180) , 2);

    self.haveBg = ccui.Button:create('image/shop/shop_buy_btn_4.png');
    self.haveBg:addTo(self);
    self.haveBg:setPosition(84 , -87);

    local haveBgSize = self.haveBg:getContentSize();
    self.haveLabel = cc.Label:createWithTTF(LANG.UI_SHOP_71 , fonts.FONT_SIYUAN , 15);
    self.haveLabel:addTo(self.haveBg);
    self.haveLabel:enableOutline(cc.c3b(0 , 0 , 0) , 2);
    self.haveLabel:setPosition(haveBgSize.width / 2 , haveBgSize.height / 2);
end
function ShopGiftActivityTemplate:Init(data)

     --no,price,type,giftname,item,times,resource
    self.bg:loadTexture('image/shop/'..data.resource..'.png');
    self.price:setString(string.format(LANG.UI_SHOP_72 , data.price));
    self.priceBg:setVisible(data.times > 0);
    self.haveBg:setVisible(data.times <= 0);

    if data.days then
        self.remainingTimeLabel:setVisible(true);
        self.remainingTimeLabel:setString(string.format(LANG.UI_ACTIVITY_38,data.days));
    else 
        self.remainingTimeLabel:setVisible(data.times ~= -1);
        self.remainingTimeLabel:setString(string.format(LANG.UI_SHOP_50,data.times));
        
    end
end

function ShopGiftActivityTemplate:addItemClickEventListener(callback)
    self.bg:setTouchEnabled(true);
    self.bg:addClickEventListener(callback);
    self.bg:setSwallowTouches(false);
end

function ShopGiftActivityTemplate:setItemTag(tag)
    self.bg:setTag(tag);
end

return ShopGiftActivityTemplate;
