local ShopRechargeOnlineTemplate = class("ShopRechargeOnlineTemplate" , function()
	return ccui.Layout:create();
end)

local fonts = Enum:getTable("SystemFont")

function ShopRechargeOnlineTemplate:ctor(iconType)
	self.bg = ccui.ImageView:create('image/shop/shop_bg_5.png');
	self.bg:addTo(self);

	--[[
	self.tip = cc.Label:createWithTTF(LANG.UI_SHOP_74 , fonts.FONT_SIYUAN , 17); 
	self.tip:addTo(self);
	self.tip:setPosition(131 , 80);-- 59,10
	self.tip:enableOutline(cc.c3b(0 , 0 , 0) , 2);

	self.extPercentImg = cc.Sprite:create();
	self.extPercentImg:addTo(self);
	self.extPercentImg:setAnchorPoint(1 , 0.5);
	self.extPercentImg:setPosition(0 , 82); -- -47 , 94
	self.extPercentImg:setScale(1); --0.7
	]]
	
	self.priceSp = cc.Sprite:create('image/shop/shop_buy_btn_2.png');
	self.priceSp:addTo(self);
	self.priceSp:setPosition(80 , -72); -- 0,-79

	local priceSpSize = self.priceSp:getContentSize();
	self.price = cc.Label:createWithTTF('0', fonts.FONT_SIYUAN, 20);
	self.price:addTo(self.priceSp);
	self.price:setPosition(priceSpSize.width / 2 , priceSpSize.height / 2);
	self.price:enableOutline(cc.c4b(40 , 100 , 170 , 255) , 2);

	if iconType == 2 then
		self:createTypeOne();
	else
		self:createTypeTwo();
	end
end

function ShopRechargeOnlineTemplate:createTypeOne()
	--[[
	self.diamondNum = cc.Label:createWithTTF('' , fonts.FONT_SIYUAN , 17);
	self.diamondNum:addTo(self);
	self.diamondNum:setAnchorPoint(1 , 0.5);
	self.diamondNum:setPosition(131 , 56);
	self.diamondNum:setTextColor(cc.c3b(110 , 120 , 135));
	self.diamondNum:enableOutline(cc.c3b(0 , 0 , 0) , 2);

	self.diamondLine = cc.Sprite:create();
	self.diamondLine:addTo(self);
	self.diamondLine:setPosition(131 , 56);

	self.rewardDiamond = cc.Label:createWithTTF('0' , fonts.FONT_SIYUAN , 35);
	self.rewardDiamond:addTo(self);
	self.rewardDiamond:setTextColor(cc.c3b(60 , 200 , 255));
	self.rewardDiamond:enableOutline(cc.c4b(0 , 0 , 0 , 255) , 2);
	self.rewardDiamond:setAnchorPoint(1 , 0.5);
	self.rewardDiamond:setPosition(131 , 25);

	self.extDiamond = cc.Label:createWithTTF('' , fonts.FONT_SIYUAN , 20);
	self.extDiamond:addTo(self);
	self.extDiamond:setAnchorPoint(1 , 0.5);
	self.extDiamond:setPosition(131 , -5);
	self.extDiamond:enableOutline(cc.c3b(0 , 0 , 0) , 2);
	]]
	self.lastTimes = cc.Label:createWithTTF('' , fonts.FONT_SIYUAN , 17);
	self.lastTimes:addTo(self);
	self.lastTimes:setAnchorPoint(1 , 0.5);
	self.lastTimes:setPosition(131 , -42);
	self.lastTimes:enableOutline(cc.c3b(0 , 0 , 0) , 2);
end

function ShopRechargeOnlineTemplate:createTypeTwo()
	--[[
	self.diamondNum = cc.Label:createWithTTF('' , fonts.FONT_SIYUAN , 15);
	self.diamondNum:addTo(self);
	self.diamondNum:setPosition(0 , 4);
	self.diamondNum:setTextColor(cc.c3b(110 , 120 , 135));
	self.diamondNum:enableOutline(cc.c3b(0 , 0 , 0) , 2);

	self.diamondLine = cc.Sprite:create();
	self.diamondLine:addTo(self);
	self.diamondLine:setPosition(0 , 4);

	self.rewardDiamond = cc.Label:createWithTTF('0' , fonts.FONT_SIYUAN , 20);
	self.rewardDiamond:addTo(self);
	self.rewardDiamond:enableOutline(cc.c4b(0 , 0 , 0 , 255) , 2);
	self.rewardDiamond:setPosition(0 , 4);

	self.extDiamond = cc.Label:createWithTTF('' , fonts.FONT_SIYUAN , 15);
	self.extDiamond:addTo(self);
	self.extDiamond:setPosition(0 , -17);
	self.extDiamond:enableOutline(cc.c3b(0 , 0 , 0) , 2);
	]]
	self.lastTimes = cc.Label:createWithTTF('' , fonts.FONT_SIYUAN , 15);
	self.lastTimes:addTo(self);
	self.lastTimes:setPosition(0 , -90);
	self.lastTimes:enableOutline(cc.c3b(0 , 0 , 0) , 2);
end

function ShopRechargeOnlineTemplate:Init(data)
	--[[
	local totalDiamond = data.diamond + data.extra_reward;
	local pecent = math.floor(data.extra_reward / data.diamond * 100);

	self.price:setString(tostring(data.price));
	self.diamondNum:setString(tostring(data.diamond));
	self.extDiamond:setString(string.format(LANG.UI_SHOP_75 , data.extra_reward));
	self.rewardDiamond:setString(tostring(totalDiamond));
	self.lastTimes:setString(string.format(LANG.UI_SHOP_50 , tostring(data.times)));

	if data.diamond < 1000 then
		self.diamondLine:setTexture('image/shop/diamond_line_2.png');
	else
		self.diamondLine:setTexture('image/shop/diamond_line_1.png');
	end

	self.extPercentImg:setTexture('image/shop/recharge_ext_'..pecent..'.png');
	local width = self.diamondNum:getContentSize().width;
	if data.icon_type == 2 then
		self.extPercentImg:setScale(1);
		self.tip:setPosition(131 , 80);
		self.priceSp:setPosition(80 , -72);
		self.extPercentImg:setPosition(0 , 82);
		self.bg:loadTexture('image/shop/recharge_bg_1.png');
		self.diamondLine:setPositionX(self.diamondNum:getPositionX() - width / 2);
	else
		self.extPercentImg:setScale(0.7);
		self.tip:setPosition(59 , 10);
		self.priceSp:setPosition(0,-60);
		self.extPercentImg:setPosition(-24 , 94);
		self.bg:loadTexture('image/shop/recharge_bg_2.png');
		local rewardDiamondWidth = self.rewardDiamond:getContentSize().width;
		local posX = -rewardDiamondWidth / 2;
		self.diamondNum:setPositionX(posX);
		self.rewardDiamond:setPositionX(posX + (width+10) / 2 + rewardDiamondWidth / 2);
		self.diamondLine:setPositionX(posX);
	end
	]]

	if data.icon_type == 2 then
		self.priceSp:setPosition(80 , -72);
	else
		self.priceSp:setPosition(0,-60);
	end

	self.bg:loadTexture('image/shop/'..data.resource..'.png');
	self.price:setString(string.format(LANG.UI_SHOP_72,data.price));
	self.lastTimes:setString(string.format(LANG.UI_SHOP_50 , tostring(data.times)));
end

function ShopRechargeOnlineTemplate:setItemTag(tag)
	self.bg:setTag(tag);
end

function ShopRechargeOnlineTemplate:addItemClickEventListener(callback)
	self.bg:setTouchEnabled(true);
	self.bg:addClickEventListener(callback);
	self.bg:setSwallowTouches(false);
end

return ShopRechargeOnlineTemplate;
