local language = {
	COMMON_NAME     =    ' 닉네임 ' ,
    COMMON_OK       =    ' 확인 ' ,
    COMMON_CANCEL   =    ' 취소 ' ,
    COMMON_YES      =    ' YES ' ,
    COMMON_NO       =    ' NO ' ,
    COMMON_UPGRADE  =    ' 레벨업 ' ,
    COMMON_NONE     =    ' "NONE" ' ,
    COMMON_ALL      =    ' "모두" ' ,
    COMMON_REFUSE   =    ' 거부 ' ,
    COMMON_AGREE    =    ' 동의 ' ,
    COMMON_GO       =    ' GO ' ,
    COMMON_TIP      =    ' TIP ' ,
    COMMON_CLOSE    =    ' 暂未开启 ' ,
    COMMON_NOT      =    ' 当前无法进行该操作 ' ,
    TAPTAP_BUY      =    ' 点击就送 ' ,

	UI_UPDATE_1     =    ' 업데이트 완료 ' ,
    
    UI_SENSITIVE    =    ' 内容无效请重新输入 ' ,
    
	TUTORIAL_1      =    ' 사용자명 입력 ' ,
    TUTORIAL_2      =    ' 创建ID ' ,
    TUTORIAL_3      =    ' -CREATE ID- ' ,
    TUTORIAL_4      =    ' 指挥官请输入您的用户名 ' ,
    TUTORIAL_5      =    ' ※最多可输入8个字符 ' ,
    TUTORIAL_6      =    ' 한 번 생성한 캐릭터 이름은 변경할 수 없습니다. ' ,
    TUTORIAL_7      =    ' 님네임이 입력되지 않았습니다. ' ,

	ACCOUNT_1       =    ' ID를 입력해주세요 ' ,
    ACCOUNT_2       =    ' 비밀번호를 입력해주세요 ' ,
                
    USER_STATUS_BANNED    =    ' 您的账号已被封禁直至%s ' ,
    USER_STATUS_MUTED     =    ' 您的账号已被禁言直至%s ' ,
    TIME_FORMAT           =    ' %d年%d月%d日%d时%d分 ' ,

	UI_ARENA_1    =    ' 이번 시즌 남은 시간: ' ,
    UI_ARENA_2    =    ' 도전 ' ,
    UI_ARENA_3    =    ' %d天  ' ,
    UI_ARENA_4    =    ' 战力: ' ,
    UI_ARENA_5    =    ' 무료 전투 횟수: ' ,
    UI_ARENA_6    =    ' 전투 시작 ' ,
    UI_ARENA_7    =    ' 카운트 다운: ' ,
    UI_ARENA_8    =    ' 새로고침 ' ,
    UI_ARENA_9    =    ' 전투 ' ,
    UI_ARENA_10    =    ' 도전에 필요한 아이템이 부족합니다. ' ,
    UI_ARENA_11    =    ' 对手队伍详情 ' ,
    UI_ARENA_12    =    ' 恭喜达到%s段位！ ' ,
    UI_ARENA_13    =    ' 胜利: ' ,
    UI_ARENA_14    =    ' 级别不足功能尚未开放 ' ,
    UI_ARENA_15    =    ' 竞技场未开启 ' ,

	UI_ARENA_MENU		={
		[1]    =    ' 段位奖励 ' ,
        [2]    =    ' 일일 보상 ' ,
        [3]    =    ' 시즌 보상 ' ,
	},

	UI_ARENA_RANK_LABEL		={
        [1]    =    ' 현재 티어 ' ,
        [2]    =    ' 최고 기록 ' ,
        
    },

	UI_ARENA_RANK_REWARD_TIP ={
		[1] = '首次达到以下段位，可在本界面领取奖励',
		[2] = '保持对应段位，即可获得本日奖励',
		[3] = '达到对应段位，在赛季结束时可获得奖励',
	},

	UUI_MAIN_1    =    ' 等级:%d ' ,
    UI_MAIN_2    =    '     우편 ' ,
    UI_MAIN_3    =    ' 聊天 ' ,
    UI_MAIN_4    =    '     배경 ' ,
    UI_MAIN_5    =    ' 图鉴 ' ,
    UI_MAIN_6    =    ' 商城 ' ,
    UI_MAIN_7    =    ' 이벤트 ' ,
    UI_MAIN_8    =    '     출석 ' ,

	UI_FOOTER_NAME = {
		[1]    =    ' 主页 ' ,
        [2]    =    ' 카드 ' ,
        [3]    =    ' 전투 ' ,
        [4]    =    ' 길드 ' ,
        [5]    =    ' 基地 ' ,
        [6]    =    ' 뽑기 ' ,
	},

	UI_CARD_1    =    ' 착용 중인 장비는 분해할 수 없습니다. ' ,
    UI_CARD_2    =    ' 该角色暂未实装live资源 ' ,
    UI_CARD_3    =    ' 없음 ' ,
	UI_CARD_4			= '',
	UI_CARD_5    =    ' 卡牌数量不足无法晋升 ' ,
    UI_CARD_6    =    ' 동일한 캐릭터 두 개로 진화 할 수 있습니다. ' ,
    UI_CARD_7    =    ' 卡牌数量不足三张无法合成 ' ,
    UI_CARD_8    =    ' FULL ' ,
    UI_CARD_9    =    ' 합성 ' ,
    UI_CARD_10    =    ' 치료 ' ,
    UI_CARD_11    =    ' 전체 치료 ' ,
    UI_CARD_12    =    ' 캐릭터 보기 ' ,
    UI_CARD_13    =    ' 角色未完成修复是否立即取消修复? ' ,
    UI_CARD_14    =    ' 취소 실패 ' ,
    UI_CARD_15    =    ' 모두 ' ,
    UI_CARD_16    =    ' 등급 미오픈 ' ,
    UI_CARD_17    =    '      <캐릭터 보기>에서는 종류별 가장 높은 품질의 캐릭터만 표시됩니다. ' ,
    UI_CARD_18    =    ' 이미 모든 캐릭터 정보를 표시 하였습니다. ' ,
    UI_CARD_19    =    ' 보유 ' ,
    UI_CARD_20    =    ' 필수 ' ,
    UI_CARD_21    =    ' CV一览 ' ,
    UI_CARD_22    =    ' 등급 업그레이드 재료 ' ,
    UI_CARD_23    =    ' 등급 업그레이드 ' ,
    UI_CARD_24    =    ' 100%返还材料卡升级所消耗的金币和突破石 ' ,
    UI_CARD_25    =    ' 材料卡不足无法升星 ' ,
    UI_CARD_26    =    ' 스킬 활성화 ' ,
    UI_CARD_27    =    ' 스킬 ' ,
    UI_CARD_28    =    ' 라벨 ' ,
    UI_CARD_29    =    ' 취미 ' ,
    UI_CARD_30    =    ' 진화 소모 ' ,
    UI_CARD_31    =    ' 진화 ' ,
    UI_CARD_32    =    ' 레벨업 소모 ' ,
    UI_CARD_33    =    ' 升%d级 ' ,
    UI_CARD_34    =    ' 등급이 낮아 진화할 수 없습니다. ' ,
    UI_CARD_35    =    ' 현재 최고 레벨입니다. ' ,
    UI_CARD_36    =    ' 已经达到最高等级无法继续升级。 ' ,
    UI_CARD_37    =    ' 游戏币不足无法升级 ' ,
    UI_CARD_38    =    ' 레벨 ' ,
    UI_CARD_39    =    ' 캐릭터 정보 ' ,
    UI_CARD_40    =    ' 월 ' ,
    UI_CARD_41    =    ' 일 ' ,
    UI_CARD_42    =    ' 활성화 ' ,
    UI_CARD_43    =    ' 진화 ' ,
    UI_CARD_44    =    ' "모두" ' ,
    UI_CARD_45    =    ' 레벨업 ' ,
    UI_CARD_46    =    ' 已达到SSR品质最高星级：五星 ' ,
    UI_CARD_47    =    ' 현재 버전 최고 등급에 도달하였습니다: 12성 ' ,
    UI_CARD_48    =    ' %s头像激活 ' ,
    UI_CARD_49    =    ' 已升至最高需要提升星级才可以继续突破 ' ,
    UI_CARD_50    =    ' 현재 최고 레벨입니다. ' ,
    UI_CARD_51    =    ' 오픈 ' ,
    UI_CARD_52    =    ' 치료 대상을 찾지 못하였습니다. ' ,
    UI_CARD_53    =    ' 쿨타임이 없습니다. ' ,
    UI_CARD_54    =    ' 入场 ' ,
    UI_CARD_55    =    ' 초 시전 ' ,
    UI_CARD_56    =    ' 쿨타임 ' ,
    UI_CARD_57    =    ' 초 ' ,
    UI_CARD_58    =    ' 전투 진입 시 즉시 시전 ' ,
    UI_CARD_59    =    ' 同名卡 ' ,
    UI_CARD_60    =    ' 不能查看未激活的图鉴 ' ,
    UI_CARD_AVATAR    =    ' 已穿戴%s ' ,
    UI_CARD_AVATAR_USE    =    ' 使用中 ' ,

	UI_CARD_COMPOSE_ERROR = {
		[1]    =    ' 该角色正在战斗或驻派当中不可以进行合成。 ' ,
        [2]    =    ' 해당 캐릭터는 현재 치료 중입니다. ' ,
        [3]    =    ' 최고 레벨 ' ,
        [4]    =    ' 当前卡牌最高阶为%d阶无法合成%d阶卡牌 ' ,
        [5]    =    ' 동일한 캐릭터를 선택할 수 없습니다. ' ,
        [6]    =    ' 该角色正在活动战斗中请先下阵再进行升星 ' ,
	},

	UI_CARD_IN_TEAM_TIPS = {
		[1] = '该角色正在编队中',
		[2] = '该角色正在Event编队',
		[3] = '该角色正在竞技场编队中',
	},
	

	UI_CARD_LIST_SWITCH_BTN_LABEL = 
	{
		[1] = '일러스트',
		[2] = 'LV2D',
	},

	UI_CARD_INFO = {
		[1]    =    ' 이름 ' ,
        [2]    =    ' 키 ' ,
        [3]    =    ' 몸무게 ' ,
        [4]    =    ' 보이스 ' ,
        [5]    =    ' 생일 ' ,
        [6]    =    ' 세력 ' ,
        [7]    =    ' 기호 ' ,
        [8]    =    ' 취미 ' ,
        [9]    =    ' 싫어하는 것 ' ,
	},

	UI_CARD_ATT_NAME = {
		[1]    =    '내구 ' ,
        [2]    =    ' 공격력 ' ,
        [3]    =    ' 방어 ' ,
        [4]    =    '공격 속도 ' ,
        [5]    =    ' 치명타 확률 ' ,
        [6]    =    '데미지 ' ,
	},

	UI_CARD_LIST_TYPE = {
		[1] = '카드',
		[2] = '캐릭터',
	},

	UI_CARD_INFO_MENU = {
		[1] = '장비 장착',
		[2] = '장비 장착',
	},

	UI_CARD_BREAK_INFO_LABEL = {
		[1] = '캐릭터 이름 -',
		[2] = '캐릭터 유형 -',
		[3] = '진화 레벨 -',
	},

	UI_CARD_JOB_TYPE = {
		[1] ='坦克',
		[2] ='法师',
		[3] ='战士',
		[4] ='辅助',
	},

	UI_CARD_SWITCH_BTN = {
		[1]    =    ' 장비 장착 ' ,
        [2]    =    ' 캐릭터 승급 ' ,
	},

	UI_CARD_BTN = {
		[1]    =    ' 장비 장착 ' ,
        [2]    =    ' 편성 ' ,
	},
	UI_CARD_MENU_BTN = {
		[1]    =    ' 캐릭터 레벨업 ' ,
        [2]    =    ' 캐릭터 스킬 ' ,
        [3]    =    ' 캐릭터 정보 ' ,
	},

	UI_CARD_INFO_LABEL = {
		[1]    =    ' 생일 ' ,
        [2]    =    ' 취미 ' ,
	},

	UUI_BASE_SKILL_1   =   '     정보 ' ,
    UI_BASE_SKILL_2    =    ' 레벨 ' ,
    UI_BASE_SKILL_3    =    '     속성 ' ,
    UI_BASE_SKILL_4    =    '     연구 상한 ' ,
    UI_BASE_SKILL_5    =    ' 쿨타임 ' ,
    UI_BASE_SKILL_6    =    ' 레벨업 ' ,
	UI_BASE_SKILL_7 = '清除冷却',
	
	UI_COMMON_1 	= '道具描述',
	UI_COMMON_2 	= '基础属性',
	UI_COMMON_3 	= '装备描述',

	UI_GACHA_1		= '再来一次',
	UI_GACHA_2		= '获得赠品',
	UI_GACHA_3		= '继续',
	UI_GACHA_4		= '常规卡包',
	UI_GACHA_5    =    ' 한정 카드팩 ' ,
	UI_GACHA_6		= '%sD %s:%s:%s',
	UI_GACHA_7    =    '                 화폐 부족' ,
    UI_GACHA_8    =    ' 일괄 수령 ' ,
	UI_GACHA_9		= '次数不足，暂时无法领取奖励',
	UI_GACHA_10    =  '         비용 ' ,
	UI_GACHA_11		= '%d次',
	UI_GACHA_12		= '获得概率 - 20%',
	UI_GACHA_13		= '领取必出',
	UI_GACHA_14		= '五星HSSR角色',
	UI_GACHA_15		= '获得概率 : 100%',
	UI_GACHA_16		= '获得概率 : 0%',
	UI_GACHA_17		= '获得概率 : 20%',
	UI_GACHA_18		= '累计次数不足无法激活特殊奖励',
	UI_GACHA_19		= '获得概率 : %d%%',
	UI_GACHA_20    =    '         월정액 구매 후 보상을 받을 수 있습니다! ' ,
    UI_GACHA_21    =    ' 뽑을 카드 횟수를 선택해주세요 ' ,
	UI_GACHA_22		= '单次抽卡',
	UI_GACHA_23		= '十连抽卡',
	UI_GACHA_24		= '抽卡概率',
	
	UI_GACHA_BAG	=
	{
		[1]    =    ' 일반 카드팩 ' ,
        [2]    =    ' 한정 카드팩 ' ,
        [3]    =    ' 코스튬 카드팩 ' ,
        [4]    =    ' 이벤트 카드팩 ' ,
	},

	UI_ROUND_1    =    ' 출전 ' ,
    UI_ROUND_2    =    ' 경험치 보상 ' ,
    UI_ROUND_3    =    ' 최초 획득 ' ,
    UI_ROUND_4    =    ' 도전 ' ,
    UI_ROUND_5    =    ' 파티 정보 ' ,
	UI_ROUND_6			= '-ROUND INFOMATION-',
	UI_ROUND_7    =    ' 추천 전투력 ' ,
	UI_ROUND_8			= '感知能够发现隐藏BOSS',
	UI_ROUND_9			= '每次必定感知一个隐藏BOSS',
	UI_ROUND_10			= '隐藏BOSS掉落类型不同',
	UI_ROUND_11			= '根据掉落丰厚程度划分隐藏BOSS品质',
	UI_ROUND_12			= '可以根据感知罗盘刷新隐藏BOSS',
	UI_ROUND_13    =    ' 스테이지 클리어 보상 ' ,
    UI_ROUND_14    =    ' 취소 ' ,
    UI_ROUND_15    =    ' 일괄 수령 ' ,
	UI_ROUND_16			= '请继续挑战后续boss关卡',
	UI_ROUND_17			= '没有奖励可领取,请继续挑战后续boss关卡',
	UI_ROUND_18    =    ' 수령 ' ,
    UI_ROUND_19    =    ' GO ' ,
    UI_ROUND_20    =    ' 스테이지 클리어 ' ,
    UI_ROUND_21    =    ' 미달성 ' ,
    UI_ROUND_22    =    ' 수집 ' ,
    UI_ROUND_23    =    ' 第%s关 ' ,
    UI_ROUND_24    =    ' 추천 전투력 ' ,


	UI_SHOP_TITLE1    =    ' 폭격 ' ,
    UI_SHOP_TITLE2    =    ' 방어 ' ,
    UI_SHOP_TITLE3    =    ' 내구 ' ,
    UI_SHOP_TITLE4    =    ' 战车 ' ,
    UI_SHOP_TITLE5    =    ' 요격 ' ,
    UI_SHOP_TITLE6    =    ' 유도 ' ,

	UI_SHOP_1    =    ' 속성 ' ,
    UI_SHOP_2    =    ' 한정 구매 ' ,
    UI_SHOP_3    =    ' 회 ' ,
	UI_SHOP_4			= '首充额赠送60钻石',
	UI_SHOP_5    =    ' 남은 ' ,
	UI_SHOP_6    =    ' 일 ' ,
    UI_SHOP_7    =    ' 팬시 다이아 ' ,
	UI_SHOP_8			= '￥',
	UI_SHOP_9			= '首次购买额外赠送',
	UI_SHOP_10    =    ' 블루 다이아 ' ,
	UI_SHOP_11			= '抱歉，彩钻购买尚未开通。',
	UI_SHOP_12			= '抱歉，要购买此蓝钻，您还需要至少%d彩钻。',
	UI_SHOP_13			= '是否要购买“%s”？这将花费%d彩钻。',
	UI_SHOP_14			= '抱歉，该礼盒已经到达购买次数限制。',
	UI_SHOP_15			= '抱歉，“%s”已达到购买次数限制。',
	UI_SHOP_16			= '抱歉，要购买“%s”，您还需要至少%d个%s。',
	UI_SHOP_17			= '抱歉，您现在不满足购买该商品的条件。',
	UI_SHOP_18			= '是否要购买“%s”？这将花费%d个%s。',
	UI_SHOP_19			= '抱歉，“%s”已经达到最大购买次数限制。',
	UI_SHOP_20			= '抱歉，要购买此礼盒，您还需要至少%d%s',
	UI_SHOP_21			= '是否要购买礼盒？这将消耗%d个%s',
	UI_SHOP_22			= '刷新失败！可能是因为您的刷新道具已用尽，或者服务器有故障。 (错误码:%d)',
	UI_SHOP_23			= '购买失败！可能是因为您已购买过此物品，或者服务器有故障。 (错误码:%d)',
	UI_SHOP_24			= '购买失败！可能是因为您已超过购买次数限制，或者服务器有故障。 (错误码:%d)',
	UI_SHOP_25			= '购买失败！您的购买条件不足，或者服务器有故障。(错误码: %d)',
	UI_SHOP_26			= '购买失败！您的购买条件不足，该礼盒可能已经售完，也可能是服务器有故障。(错误码: %d)',
	UI_SHOP_27			= '是否要请求刷新商店？这将耗费1个%s。 (刷新后，%s还剩%d个。)',
	UI_SHOP_28			= '抱歉，您没有%s，不能刷新商店。',
	UI_SHOP_29			= "购买另送",
	UI_SHOP_30    =    ' 향후' ,
    UI_SHOP_31    =    ' 일 후 오픈' ,
	UI_SHOP_32			= "您已成功购买“%s”。现在您的%s数量增加到%d个，%s剩余%d个。",
	UI_SHOP_33			= "购买成功，获得%s×%d",
	UI_SHOP_34    =    ' 부족' ,
    UI_SHOP_35    =    ' 구매 후 즉시 획득 가능' ,
	UI_SHOP_36			= "%s不足 , 无法购买",
	UI_SHOP_37			= "今日商品已售空，明天再来吧!",
	UI_SHOP_38			= "此商品已售空，可点击刷新按钮进行刷新!",
	UI_SHOP_39			= "军火库商品已经刷新，快去购买吧！",
	UI_SHOP_40    =    ' 이벤트 시간:' ,
    UI_SHOP_41    =    ' 구매 불가' ,
	UI_SHOP_42			= "￥%d购买",
	UI_SHOP_43    =    '구매' ,
	UI_SHOP_44			= "购买失败，您持有的%s不足",
	UI_SHOP_45			= "购买成功，获得 [%s]×%d",
	UI_SHOP_46    =    ' 다이아 획득' ,
	UI_SHOP_47			= "首充奖励(仅限1次)",
	UI_SHOP_48    =    ' )회' ,
	UI_SHOP_49			= " (限购%d次)",
	UI_SHOP_50			= "剩余%d次",
	UI_SHOP_51			= "限购%d次",
	UI_SHOP_52    =    '다이아 획득 ' ,
	UI_SHOP_53			= "刷新(%d/%d)",
	UI_SHOP_54    =    ' 무료 갱신 카운트다운' ,
	UI_SHOP_55			= "是否花费 %s 刷新一次",
	UI_SHOP_56    =    ' 화폐 부족' ,
	UI_SHOP_57			= "未加入任何公会,无法购买",
	UI_SHOP_58			= "已经达到购买上限，无法购买更多数量",
	UI_SHOP_59			= "您是否确定花费 %s 购买[%s]%d个?",
	UI_SHOP_60			= "公会币不足，购买失败！",
	UI_SHOP_61			= "是否花费 %s %s 购买[%s]",
	UUI_SHOP_62    =    ' 매진' ,
    UI_SHOP_63    =    ' 남은 ' ,
    UI_SHOP_64    =    ' 남은 횟수' ,
	UI_SHOP_65			= "%d￥购买",
	UI_SHOP_66    =    ' 미오픈' ,
	UI_SHOP_67 			= '您是否确定花费 %s , %s ,购买[%s]%d个?',
	UI_SHOP_68 			= '商品数据变更，请重新购买',
	UI_SHOP_OFF	=
	{
		[1] = '1折',
		[2] = '2折',
		[3] = '3折',
		[4] = '4折',
		[5] = '5折',
		[6] = '6折',
		[7] = '7折',
		[8] = '8折',
		[9] = '9折',
	},

	UI_COLLEGE_1		= '取消课本',
	UI_COLLEGE_2		= '学习完成，',
	UI_COLLEGE_3		= '技能获得',
	UI_COLLEGE_4		= '〔%s〕',
	UI_COLLEGE_5		= '点经验',
	UI_COLLEGE_6		= '，技能等级提升（%d..→"%d）',
	UI_COLLEGE_7		= '！',
	UI_COLLEGE_8		= '获取中...',
	UI_COLLEGE_9		= '技能研究暂未完成，中断研究将不返还消耗的货币和道具。是否确定中断？',
	UI_COLLEGE_12		= "抱歉，您没有技能研究需要消耗的道具，因此无法进行技能研究。",
	UI_COLLEGE_13		= "取消技能研究将不返还消耗的货币和道具。是否确定中断？",
	UI_COLLEGE_14		= "技能获得%d点经验",

	UI_HOME_1    =    ' 재화 사용: ' ,
	UI_HOME_2			= '×１，训练',
	UI_HOME_3    =    ' 의 ' ,
    UI_HOME_4    =    ' 스킬을 훈련하시겠습니까? ' ,
	UI_HOME_5			= '虚数能挖掘 ：',
	UI_HOME_6			= '虚拟币征收 ：',
	UI_HOME_7    =    ' 개발 중 ' ,
    UI_HOME_8    =    ' 시설 레벨업을 진행하시겠습니까? 레벨업 소요 시간：' ,
    UI_HOME_9    =    ' 금화 소모：' ,
	UI_HOME_10			= " %s。",
	UI_HOME_11    =    ' 레벨업 시' ,
	UI_HOME_12			= "需要消耗%d个%s。",
	UI_HOME_13			= "领取奖励，获得 [%s]×%d",
	UI_HOME_14    =    ' 의 ' ,
    UI_HOME_15    =    ' 스킬 레벨업 완료 되었습니다. ' ,
    UI_HOME_16    =    ' 험치 획득 ' ,
    UI_HOME_17    =    '(레벨업:%d-->%d) ' ,
    UI_HOME_18    =    '완료 ' ,
    UI_HOME_19    =    ' 한계치 ' ,
    UI_HOME_20    =    '개발 중 ' ,
    UI_HOME_21    =    '생산 ' ,
    UI_HOME_22    =    '상한 ' ,
    UI_HOME_23    =    '현재 ' ,
    UI_HOME_24    =    '시간 ' ,
    UI_HOME_25    =    '소비 ' ,
    UI_HOME_26    =    ' 레벨업 ' ,
    UI_HOME_27    =    ' 회수 ' ,
	UI_HOME_28			= "获得虚拟币%d",
	UI_HOME_29			= "获得虚数能%d",
	UI_HOME_30    =    ' 기술 연구 성공! ' ,
    UI_HOME_31    =    ' 기술 연구 쿨타임 초기화 성공! ' ,
	UI_HOME_32			= "您的道具不足，无法升级科技",
	UI_HOME_33			= "已达最高等级，无法升级科技",
	UI_HOME_34    =    ' 스킬 ' ,
    UI_HOME_35    =    '속성 보기 ' ,
    UI_HOME_36    =    ' 스킬 레벨업 소모 ' ,
    UI_HOME_37    =    ' 보유 ' ,
    UI_HOME_38    =    ' 필수 ' ,
    UI_HOME_39    =    '1회 쿨타임 ' ,
    UI_HOME_40    =    '누적 쿨타임 ' ,
    UI_HOME_41    =    ' 레벨업 ' ,
	UI_HOME_42			= "",
	UI_HOME_43			= "",
	UI_HOME_44			= "",

	UI_HOME_LEVEL_UP_TITLE = {
		[1]    =    '보급고 ' ,
        [2]    =    '연구소 ' ,
        [3]    =    '도서관 ' ,
        [4]    =    '회수 센터 ' ,
        [5]    =    ' 치료실 ' ,
	},

	UI_HOME_GOLD_OIL	=
	{
		[1]    =    ' 원자로 ' ,
        [2]    =    ' 재무부 ' ,
	},

	UI_HOME_EQUIP_INFO_TITLE	=
	{
		[1]    =    ' 소속 진영 ' ,
        [2]    =    ' 적용 유형 ' ,
        [3]    =    ' 강화 등급 ' ,
	},
	
	UI_HOME_SKILL_LABEL	=
	{
		[1]    =    ' 스킬 속성 ' ,
        [2]    =    ' 연구 상한 ' ,
        [3]    =    ' 쿨타임 ' ,
	},
	
	
	UI_LOADING_1		= '每日副本提供大量的虚拟币，经验值和高品质道具奖励。',

	UI_TEAM_1    =    ' 포지션：앞라인 ' ,
    UI_TEAM_2    =    ' 포지션：뒷라인 ' ,
    UI_TEAM_3    =    ' 전투력 ' ,
    UI_TEAM_4    =    ' 공허 에너지 소모 ' ,
    UI_TEAM_5    =    ' 에너지 소모 ' ,
	UI_TEAM_6			= '虚数能不足，无法挑战',
	UI_TEAM_7    =    ' 도전 할 파티를 설정 하세요. ' ,
	UI_TEAM_8			= '当前角色生命值已满，无需恢复',
	UI_TEAM_9			= '恢复满该角色生命值，需要花费20钻石',
	UI_TEAM_10			= '活动挑战可以三队出战，当前编制未满是否继续出击',
	UI_TEAM_11			= '是否花费20钻石立即让该角色完成修整',
	UI_TEAM_12    =    ' 앞라인에는 필수로 캐릭터를 배치해야 합니다. ' ,
    UI_TEAM_13    =    ' 공격력 ' ,
    UI_TEAM_14    =    ' 생명력 ' ,
    UI_TEAM_15    =    ' 편성 ' ,
	UI_TEAM_16			= '不能上阵相同角色',
	UI_TEAM_17			= '[%s][%s]上阵成功',
	UI_TEAM_18			= '已自动为您选择战力最强的四个角色进行编队',
	UI_TEAM_19			= '不能下阵所有角色',
	UI_TEAM_20			= '所有角色都处于濒死或治疗中，请先对角色进行治疗',
	UI_TEAM_21			= '战 斗 力',
	UI_TEAM_22			= '防 御',
	UI_TEAM_23			= '您已保存新的编队，将在下次战斗中生效',
	UI_TEAM_24    =    ' 진형 ' ,
	UI_TEAM_25			= '两个相同，生命+5%，攻击+5%',
	UI_TEAM_26			= '三个相同，生命+10%，攻击+10%，克制+10%',
	UI_TEAM_27			= '四个相同，生命+15%，攻击+15%，克制+25%',
	UI_TEAM_28			= '编队内没有角色，无法进行战斗，请先去编队',
	UI_TEAM_29			= '当前没有满足出战条件(60级以上)的角色',
	UI_TEAM_30			= '战斗力（GN-0%d）',
	UI_TEAM_31    =    ' 빈사 ' ,
	UI_TEAM_32			= '队伍已满',
	UI_TEAM_33			= '变更编队成功，新的编队将在下次战斗生效',
	UI_TEAM_34			= '阵营克制效果：伤害增加%s%%',

	UI_ENTRUST_1    =    ' 퀘스트 정보 ' ,
    UI_ENTRUST_2    =    ' 보상 획득 ' ,
    UI_ENTRUST_3    =    ' 퀘스트 포기 ' ,
	UI_ENTRUST_4		= '任务成功率低于60%，不能进行如此危险的任务。',
	UI_ENTRUST_5		= '任务开始！虚构武器出发！',
	UI_ENTRUST_6		= '无法开始任务，请指挥官派遣虚构武器组队进行任务',
	UI_ENTRUST_7		= '已经达到今天可派遣任务的上限，请明天再来',
	UI_ENTRUST_8		= '中断委托任务将不获得任何奖励，并浪费一次委托任务次数，确定立刻中断委托任务么？',
	UI_ENTRUST_9    =    ' 완료 ' ,
	UI_ENTRUST_10		= '行动中',
	UI_ENTRUST_11    =    ' 긴급 파견 퀘스트가 생성되었습니다! 제한 시간내에 소대를 파견하시기 바랍니다! ' ,
	UI_ENTRUST_12		= '派遣',
	UI_ENTRUST_13    =    ' 경험치 획득 ' ,
    UI_ENTRUST_14    =    ' 보상 획득 ' ,
    UI_ENTRUST_15    =    ' 금일  남은 임무 횟수 ' ,
    UI_ENTRUST_16    =    ' 소모 ' ,
    UI_ENTRUST_17    =    ' 남은 횟수： ' ,

	--驻守
	UI_GARRISON_1    =    ' 주둔 ' ,
    UI_GARRISON_2    =    ' 속성 보너스 ' ,
    UI_GARRISON_3    =    ' 挂机战斗金币收益增加：%d%% ' ,
    UI_GARRISON_4    =    ' 成功领取金币%s ' ,
    UI_GARRISON_5    =    ' 第%s章 ' ,
    UI_GARRISON_6    =    ' 미오픈 ' ,
    UI_GARRISON_7    =    ' %s ' ,
    UI_GARRISON_8    =    ' 일괄 주둔 ' ,
    UI_GARRISON_9    =    ' 현재 모든 스테이지에 주둔 중입니다. ' ,
    UI_GARRISON_10    =    ' 일괄 주둔 성공! 활성화된 모든 스테이지에 가장 높은 등급의 캐릭터들로 배치하였습니다. ' ,
	UI_GARRISON_11		= '',
	UI_GARRISON_12		= '',

	UI_ROUNDBOSS_1 		= '激活随机boss[%s],该boss将在%s后消失',
	UI_ROUNDBOSS_2 		= '随机boss[%s],以击杀',
	UI_ROUNDBOSS_3    =    ' 보유 ' ,
    UI_ROUNDBOSS_4    =    ' 소모 ' ,
    UI_ROUNDBOSS_5    =    ' 감지 ' ,
    UI_ROUNDBOSS_6    =    ' 일괄 갱신 ' ,
	--图书馆
	UI_LIBRARY_1    =    ' 도서관 ' ,
    UI_LIBRARY_2    =    ' 수집 상황 ' ,
    UI_LIBRARY_3    =    ' 보상 미리보기 ' ,
    UI_LIBRARY_4    =    ' 보상 미리보기 ' ,
    UI_LIBRARY_5    =    ' 보상 정보를 불러오는 중입니다. ' ,
    UI_LIBRARY_6    =    ' 이미 보상을 수령하였습니다. ' ,
	UI_LIBRARY_7		= '恭喜完成拼图[%s]！您可以在邮件功能内领取拼图奖励！',
	UI_LIBRARY_8		= '达成率：%s%%',
	UI_LIBRARY_9    =    ' 도감 활성화 보상 ' ,

	UI_GARRISON_WORD	=
	{
		[1] = '驻守3个角色都为N',
		[2] = '驻守3个角色都为R',
		[3] = '驻守3个角色都为SR',
		[4] = '驻守3个角色都为SSR',
		[5] = '驻守3个角色都为UR',
	},

	UI_ENTRUST_REWARD_BTN =
	{
		[1]    =    ' 퀘스트 시작 ' ,
        [2]    =    ' 퀘스트 취소 ' ,
        [3]    =    ' 보상 획득 ' ,
	},
	UI_ENTRUST_TYPE		={
		[1] = '日常委托',
		[2]    =    ' 긴급 파견 ' ,
	},
	UI_ENTRUST_REWARD_STATE = {
		[1]    =    ' 미진행 ' ,
        [2]    =    ' 진행중 ' ,
        [3]    =    ' 완료 ' ,
	},

	-- 角色选择
	UI_SELECT_ROLE_1    =    ' 캐릭터 선택 ' ,

	UI_NOTICE_1			= '圣诞节活动上线',

	UI_TASK_1    =    ' 레벨 오픈 ' ,
    UI_TASK_2    =    ' 스킬 출처 ' ,
    UI_TASK_3    =    ' 7일 ' ,
    UI_TASK_4    =    ' 일반  ' ,
    UI_TASK_5    =    ' 추천 전투력: ' ,
    UI_TASK_6    =    ' 24시간 오픈 ' ,


	--锁
	UUI_CARD_TIPS_6    =    ' 오픈 성공! ' ,
    UI_CARD_TIPS_7    =    ' 잠금 성공! ' ,


	--退役
	UI_RETIRE_SUCCESS    =    ' 분해 성공! ' ,
    UI_RETIRE_REWARD  = "获得%sX%d",
	UI_RETIRE_AND  		= "、",  
	UI_RETIRE_ERRORCARD = '所选角色无法退役！',
	UI_RETIRE_GAINSDNACOUNT='获得数量：',
	--兑换商店
	UI_DNA_SHOP_SUCCESS  = '兑换成功！恭喜获得%s',

	--邮件
	UI_MAIL_TITLE    =    ' 우편 ' ,
    UI_MAIL_LAST_TIME    =    ' 剩余%d天 ' ,
    UI_MAIL_3    =    ' 一键删除 ' ,
    UI_MAIL_4    =    ' 일괄 수령 ' ,
    UI_MAIL_5    =    ' 未检测到相关数据... ' ,
    UI_MAIL_6    =    ' 수령 ' ,
    UI_MAIL_7    =    ' 좌측 변경 ' ,
    UI_MAIL_8    =    ' 우측 변경 ' ,
    UI_MAIL_9    =    ' 나가기 ' ,
    UI_MAIL_10    =    ' 문자 변경 ' ,
    UI_MAIL_11    =    ' 취소 ' ,
    UI_MAIL_12    =    ' 수령 ' ,
    UI_MAIL_13    =    ' 有新邮件获得 ' ,
	--公会
	UI_GUILD_0    =    ' 名字' ,
    UI_GUILD_1    =    ' 等级' ,
    UI_GUILD_2    =    ' 길드 레벨 ' ,
    UI_GUILD_3    =    ' 公会名字 ' ,
    UI_GUILD_4    =    ' 전투력 ' ,
	-- UI_GUILD_5			 = "%d 等级以上",
	-- UI_GUILD_6			 = "%d 以上",
	UI_GUILD_7			 = "已申请",
	UI_GUILD_8			 = "신청",
	-- UI_GUILD_9			 = "等级",--"等级:",
	-- UI_GUILD_10			 = "战斗力",--"战斗力:",
	UI_GUILD_11			 = "今日贡献",--"今日贡献:",
	-- UI_GUILD_12			 = "对公会进行了%s次建设",
	UI_GUILD_13    =    ' 길드 생성 ' ,
    UI_GUILD_14    =    ' 길드 가입 ' ,
    UI_GUILD_15    =    '  길드 ' ,
	UI_GUILD_16			 = "公会长 ",
	UI_GUILD_17			 = "※最多可输入50个字符",
	-- UI_GUILD_18			 = "经验",
	-- UI_GUILD_19			 = "公会名",
	-- UI_GUILD_20			 = "会  长",
	-- UI_GUILD_21			 = "编  号",
	-- UI_GUILD_22			 = "人  数",
	-- UI_GUILD_23			 = "等  级",
	-- UI_GUILD_24			 = "初级贡献",
	-- UI_GUILD_25			 = "中级贡献",
	-- UI_GUILD_26			 = "高级贡献",
	-- UI_GUILD_27			 = "消费",
	-- UI_GUILD_28			 = "金币",
	-- UI_GUILD_29			 = "钻石",
	-- UI_GUILD_30			 = "获得",
	UI_GUILD_31			 = "발송",
	-- UI_GUILD_32			 = "获得",
	-- UI_GUILD_33			 = "公会币",
	UI_GUILD_34    		 = ' 길드명을 입력해주세요 ',
    UI_GUILD_35    		 = '  다이아 부족 ',
    -- UI_GUILD_36			 = "仓库",
    UI_GUILD_37= '인원수 ',
    UI_GUILD_38			 = '던전 ',
    UI_GUILD_39          = "公会建立成功，欢迎会长大人",
	UI_GUILD_40          = "此功能暂未开放！",
	UI_GUILD_41          = "公会名字不能为空",
	UI_GUILD_42          = "批准玩家%s加入公会",
	UI_GUILD_43          = "等级到达%d级开启",
	UI_GUILD_44          = "玩家%s无法加入公会",
	-- UI_GUILD_45          = "清除成功",
	UI_GUILD_46          = "是否消耗%d钻石清空CD?",
	UI_GUILD_47          = "%s提升",
	UI_GUILD_48          = "为每位上阵角色提供一定的%s加成",
	UI_GUILD_49          = "公会活跃",
	UI_GUILD_50          = "公会等级",
	UI_GUILD_51          = "剩余次数  ",
	UI_GUILD_52          = "COMPLETE",
	UI_GUILD_53          = "공략 중",
	UI_GUILD_54			 = "剩余次数  ",	
	UI_GUILD_55			 = "( 剩余购买次数",
	UI_GUILD_56    =    ' 길드 던전이 아직 오픈되지 않았습니다. ' ,
	UI_GUILD_57			 = "是否花费%s %s 购买一次挑战",
	UI_GUILD_58			 = "挑战",
	UI_GUILD_59			 = "购买成功，挑战次数+1",
	UI_GUILD_60			 = "击杀BOSS %d",
	UI_GUILD_61			 = '贡献次数不足，无法贡献',
	UI_GUILD_62    =    ' 길드를 해산하겠습니까? ' ,
    UI_GUILD_63    =    ' 해임하시겠습니까? ' ,
    UI_GUILD_64    =    ' 길드에서 방출하시겠습니까? ' ,
    UI_GUILD_65    =    ' 退出公会12小时候才能加入新的公会是否确认退出？ ' ,
    UI_GUILD_66    =    ' 진급시키시겠습니까? ' ,
    UI_GUILD_67    =    '길드명을 입력해주세요. ' ,
	-- UI_GUILD_68			 = '会标',
	UI_GUILD_69    =    ' 찾기 ' ,
    UI_GUILD_70    =    ' 길드명을 입력해주세요. ' ,
    UI_GUILD_71    =    ' 관련 데이터를 찾지 못하였습니다. ' ,
    UI_GUILD_72    =    ' 길드원 ' ,
    UI_GUILD_73    =    ' 모두 동의 ' ,
    UI_GUILD_74    =    ' 모두 거절 ' ,
	-- UI_GUILD_75			 = '最高星级',
	UI_GUILD_76    =    ' 게시판 ' ,
	UI_GUILD_77			 = '点击输入内容（最多42个字）',
	UI_GUILD_78    =    ' 공지 ' ,
	UI_GUILD_79			 = '最多100字',
	UI_GUILD_80    =    ' 정보 ' ,
    UI_GUILD_81    =    ' 길드 건설 ' ,
    UI_GUILD_82     =    ' 길드 탈퇴 ' ,
    UI_GUILD_83     =    ' 길드 해산 ' ,
    UI_GUILD_84    =    ' 길드 방출 ' ,
    UI_GUILD_85    =    ' 길드장 ' ,
    UI_GUILD_86    =    ' 길드 ' ,
    UI_GUILD_87     =    ' 길드원 ' ,
    UI_GUILD_88     =    ' 친구 추가 ' ,
    UI_GUILD_89    =    ' 친구 삭제 ' ,
    UI_GUILD_90    =    '위임 ' ,
    UI_GUILD_91    =    ' 해임 ' ,
	UI_GUILD_92			 = '',
	UI_GUILD_100		 = '权限不足，无法打开此页面',
	UI_GUILD_101    =    ' 수령 ' ,
    UI_GUILD_102    =    ' GO ' ,
    UI_GUILD_103    =    ' 보상을 받을 수 없습니다 ' ,
    UI_GUILD_104     =   ' 보상을 획득 하였습니다! ' ,
	
	UI_GUILD_BOSS_1 	 = 'BOSS等级',
	UI_GUILD_BOSS_2 	 = 'BOSS生命值',
	UI_GUILD_BOSS_3     =    ' 도전 횟수 ' ,
    UI_GUILD_BOSS_4     =    ' 구매 가능 횟수 ' ,
    UI_GUILD_BOSS_5     =    ' 소탕 ' ,
	UI_GUILD_BOSS_6 	 = '时间未到，无法挑战',
	UI_GUILD_BOSS_7     =    ' 도전 횟수가 부족합니다. ' ,
	UI_GUILD_BOSS_8 	 = '未挑战过的BOSS无法扫荡!',
	-- UI_GUILD_BOSS_9 	 = '时间未到，无法挑战',
	-- UI_GUILD_BOSS_10 	 = '时间未到，无法挑战',
	UI_GUILD_BOSS_11	 = "伤害达到 %d",

	UI_GUILD_RAID_RANK_1 = '排行榜',
	UI_GUILD_RAID_RANK_2 = 'LIST',
	UI_GUILD_RAID_RANK_3 = '当前公会排名及奖励',
	UI_GUILD_RAID_RANK_4 = '보상 미리보기',
	UI_GUILD_RAID_RANK_5 = '总伤害',
	UI_GUILD_RAID_RANK_6 = '当前排名',
	UI_GUILD_RAID_RANK_7 = '未上榜',
	UI_GUILD_RAID_RANK_4    =    ' 보상 미리보기 ' ,
	UI_GUILD_RAID_RANK_9 = '总伤害值包含护甲伤害值与生命值伤害',
	UI_GUILD_RAID_RANK_10 = '보상 미리보기',
	UI_GUILD_RAID_RANK_11 = 'PREVIEW',

	UI_GUILD_RAID_RANK_MENU = {
		[1] = '公会排行',
		[2] = '个人排行',
	},

	UI_GUILD_RANK = 
	{
		[1]    =    ' 길드 랭킹 ' ,
        [2]    =    ' 던전 랭킹 ' ,
	},
	UI_GUILD_SHOP_NAME = 
	{
		[1]    =    ' 보상 상점 ' ,
        [2]    =    ' 길드 상점 ' ,
	},

	UI_DONATE_TYPE = 
	{
		[1] = '1',
		[2] = '3',
		[3] = '10',
	},


	UI_GUILD_SYSTEM_NOTICE_TYPE = 
	{
		[1]    =    ' 길드에 가입하셨습니다. ' ,
        [2]    =    ' 길드를 탈퇴하셨습니다. ' ,
        [3]    =    ' 公会升到了 ' ,
        [4]    =    ' 관리자로 임명 되셨습니다. ' ,
        [5]    =    ' 관리자에서 해제 되셨습니다. ' ,
		[6]	= '捐献 %s 钻石',
		[7] = '击杀了 %s 级公会boss',
	},

	
	UI_GUILD_MANAGER_TYPE = 
	{
		[0]    =    ' 길드장 ' ,
        [1]    =    ' 관리자 ' ,
        [2]    =    ' 길드원 ' ,
	},
	UI_GUILD_MANAGER_1 = '管理',

	UI_DONATE_COST_TYPE = 
	{
		[1]    =    ' 금화가 부족하여 기부할 수 없습니다. ' ,
        [2]    =    ' 다이아가 부족해 기부할 수 없습니다. ' ,
        [3]    =    ' 다이아가 부족해 기부할 수 없습니다. ' ,
	},
	UI_DONATE_1 = '是否花费%s钻石进行一次捐献',
	UI_DONATE_2 = '是否花费%s虚拟币进行一次捐献',
	--活动
	UI_ACTIVITY_1    =    ' 누적 충전  ' ,
    UI_ACTIVITY_2    =    ' 다이아 ' ,
    UI_ACTIVITY_3    =    ' 7 ' ,
    UI_ACTIVITY_4    =    ' DAYS ' ,
    UI_ACTIVITY_5    =    ' 총  ' ,
    UI_ACTIVITY_6    =    ' 다이아 ' ,
    UI_ACTIVITY_7    =    ' 즉시 획득할 수 있습니다. ' ,
    UI_ACTIVITY_8    =    ' 특권 기간 중 매일 수령 가능합니다. ' ,
    UI_ACTIVITY_9    =    ' 30 ' ,
    UI_ACTIVITY_10    =    ' 남은 ' ,
    UI_ACTIVITY_11    =    '일 ' ,
    UI_ACTIVITY_13    =    ' 수령 ' ,
	UI_ACTIVITY_14 = "购买成功",
	UI_ACTIVITY_15    =    ' 매일 특권 ' ,
	UI_ACTIVITY_16 = "领取成功，获得 [%s]×%d",
	UI_ACTIVITY_17 = "登录",
	UI_ACTIVITY_18 = "补签成功，本月剩余补钱次数%d",
	UI_ACTIVITY_19    =    ' 수령 완료 ' ,
    UI_ACTIVITY_20    =    ' 수령 가능 ' ,
    UI_ACTIVITY_21    =    ' 미수령 ' ,
	UI_ACTIVITY_22 = "第%s日奖励",
	UI_ACTIVITY_23 = "剩余补签次数：",
	UI_ACTIVITY_24 = "一键领取",
	UI_ACTIVITY_25 = "Lv%d开启",
	UI_ACTIVITY_26    =    ' 수령 ' ,
    UI_ACTIVITY_27    =    ' 보충 체크 횟수가 부족합니다. ' ,
    UI_ACTIVITY_28    =    ' 수령 ' ,
    UI_ACTIVITY_29    =    ' 수령 ' ,
	UI_ACTIVITY_30 = '前往激活',
	UI_ACTIVITY_31 = '查看英雄',
	UI_ACTIVITY_32    =    ' 캐릭터 수령 ' ,
	UI_ACTIVITY_33 = '完成进度%d/%d',
	UI_ACTIVITY_34    =    ' 진행하러 가기 ' ,
	UI_ACTIVITY_35 = '活动时间：',
	UI_ACTIVITY_36 = '完成上方任务即可免费领取5星英雄',
	UI_ACTIVITY_37    =    ' 완료 ' ,

	UI_ACTIVITY_ONLINE_1 = '下档奖励:',
	
	UI_ACTIVITY_ITEM_TITLE = 
	{
		[1] = 'DAY',
		[2]    =    ' 누적 충전  ' ,
        [3]    =    ' 누적 충전  ' ,
        [4]    =    ' 지휘관 레벨:  ' ,
        [5]    =    ' 战斗力达到 ' ,
        [6]    =    ' 누적 충전  ' ,
	},

	UI_ACTIVITY_TYPE 	=
	{
		[1]    =    ' 출석 ' ,
        [2]    =    ' 月卡 ' ,
        [3]    =    ' 레벨 패키지 ' ,
		[4] = '战力礼包'
	},
	UI_ACTIVITY_CUMULATIVE_TYPE = {
		[1]    =    ' 매일 ' ,
        [2]    =    ' 매주 ' ,
        [3]    =    ' 누적 ' ,
	},

	UI_ACTIVITY_THREE_DAY = {
		[1] = '通关75关',
		[2]    =    ' 이튿날 접속 ' ,
		[3] = '激活月卡',
	},

	UI_DAY_NUM = {
		[1] = "7",
		[2] = "30",
	},

	UI_ICON_1 = '남은 %d',
	UI_ICON_2 = '한정 구매 %d',
	UI_ICON_3 = 'Lv%d 解锁',

	UI_EQUIP_TAGIMG		= 
	{
		-- hp		   	= 'tag_hp.png',			--耐久
		-- atk		   	= 'tag_atk.png',			--炮击
		-- at		   	= 'tag_at.png',			--反坦
		-- ag		   	= 'tag_ag.png',			--反导
		-- g		   	= 'tag_g.png',			--制导
		-- cd		   	= 'tag_cd.png',			--攻速
		-- def	       	= 'tag_def.png', 		--防御
    	-- crit			= 'tag_crit.png',		--暴击
		-- critValue  	= 'tag_critValue.png',	--爆伤
		
		[1]		   	= 'tag_hp.png',			--耐久
		[2]		   	= 'tag_atk.png',		--炮击
		[3]		   	= 'tag_at.png',			--反坦
		[4]		   	= 'tag_ag.png',			--反导
		[5]		   	= 'tag_g.png',			--制导
		[6]		   	= 'tag_cd.png',			--攻速
		[7]	       	= 'tag_def.png', 		--防御
    	[8]       	= 'tag_crit.png',		--暴击
		[9]			= 'tag_critValue.png',	--爆伤
		--缺少文字图片  以后相继改成 字体
	},

	UI_EQUIP_TYPE =
	{
		[1] = ' 메인무기 ' ,
        [2] = ' 보조무기 ' ,
        [3]=' 메인장갑 ' ,
        [4]=' 보조부품 ' ,
	},

	UI_EQUIP_1    =    ' 강화 성공 ' ,
    UI_EQUIP_2    =    ' 모든 장비의 장착을 해제하시겠습니까? ' ,
    UI_EQUIP_3    =    ' 모든 장비 장착 해제 ' ,
    UI_EQUIP_4    =    ' 장착 해제할 장비가 없습니다. ' ,
    UI_EQUIP_5    =    ' 장비 목록 ' ,
    UI_EQUIP_6    =    ' 장비 합성 ' ,
    UI_EQUIP_7    =    ' 장비 장착 ' ,
    UI_EQUIP_8    =    ' 장비 합성 ' ,
    UI_EQUIP_9    =    ' 장비 강화 ' ,
    UI_EQUIP_10    =    ' 합성 ' ,
    UI_EQUIP_11    =    ' 강화 ' ,
    UI_EQUIP_12    =    ' 이미 최고 레벨입니다. ' ,
	UI_EQUIP_13 = '强化成功，该装备已经提升到+',
	UI_EQUIP_14    =    ' 미획득 ' ,
    UI_EQUIP_15    =    ' 획득 확률 ' ,
    UI_EQUIP_16    =    ' 합성 ' ,
    UI_EQUIP_17    =    ' 일괄 합성 ' ,
    UI_EQUIP_18    =    '합성 불가 ' ,
	UI_EQUIP_19 = '您的材料不足，无法合成',
	UI_EQUIP_20 = '作为材料的装备目前穿戴在角色身上，合成后装备将自动卸下',
	UI_EQUIP_21    =    ' 합성 가능한 장비가 없습니다. ' ,
    UI_EQUIP_22    =    ' 적용 속성 ' ,
    UI_EQUIP_23    =    '(적용 미활성화) ' ,
    UI_EQUIP_24    =    ' (상성 ' ,
    UI_EQUIP_25    =    ' 강화 등급 ' ,
    UI_EQUIP_26    =    ' 공격력 ' ,
    UI_EQUIP_27    =    ' 강화 ' ,
    UI_EQUIP_28    =    ' 일괄 강화 ' ,
    UI_EQUIP_29    =    ' 장비 명칭 ' ,
    UI_EQUIP_30    =    ' 장비 유형 ' ,
	UI_EQUIP_31 = '您的游戏币不足，无法进行装备强化',
	UI_EQUIP_32    =    ' 모두 해제 ' ,
    UI_EQUIP_33    =    ' 일괄 장착 ' ,
    UI_EQUIP_34    =    ' 장착 가능한 더 좋은 장비가 없습니다. ' ,
    UI_EQUIP_35    =    ' 정보 ' ,
    UI_EQUIP_36    =    ' 장착 ' ,
    UI_EQUIP_37    =    ' 해제 ' ,
    UI_EQUIP_38    =    ' 장비 ' ,
	UI_EQUIP_39 = '%d件套 %s+%d%%',
	UI_EQUIP_40    =    ' 아래의 장비를 획득합니다. ' ,
    UI_EQUIP_41    =    ' 장비 합성에 필요한 금화가 부족합니다. ' ,

	UI_EQUIP_WEAR_SWTICH_BTN = {
		[1]    =    ' 장비 합성 ' ,
        [2]    =    ' 장비 목록 ' ,
	},

	UI_EQUIP_COMPOSE_SWTICH_BTN = {
		[1]    =    ' 장비 장착 ' ,
        [2]    =    ' 장비 목록 ' ,
	},

	UI_EQUIP_SWTICH_BTN = {
		[1]    =    ' 장비 장착 ' ,
        [2]    =    ' 장비 합성 ' ,
	},
	
	
	UI_EQUIP_MIX_LIMIT    =    ' 이미 충분한 장비 합성 재료를 투입하였습니다. ' ,
            
    UI_EQUIP_MIX_NOT    =    ' 필요한 재료가 부족합니다 ' ,
        
    UI_EQUIP_MIX_SUCCESS    =    ' 합성 성공! ' ,
            
    UI_EQUIP_MIX_CHECK    =    ' 합성을 계속할 수 없습니다. ' ,
            
    UI_EQUIP_MIX_MAX    =    '  합성 최고치에 도달했습니다. ' ,

	UI_CARAD_ATT_TYPE = {
		[1]    =    ' 내구 ' ,
        [2]    =    ' 공격력 ' ,
        [3]    =    ' 방어 ' ,
        [4]    =    ' 공격 속도 ' ,
        [5]    =    ' 치명타 확률 ' ,
        [6]    =    ' 데미지 ' ,
        [7]    =    ' 금화 ' ,
        [8]    =    ' 경험치 ' ,
	},

	UI_CARAD_BREAK_ATT_TYPE = {
		[1]    =    ' 전투력 ' ,
        [2]    =    ' 내구 ' ,
        [3]    =    ' 공격력 ' ,
        [4]    =    ' 치명타 확률 ' ,
        [5]    =    ' 데미지 ' ,
	},

	UI_CARAD_BREAK_SUCCESS_ATT_TYPE = {
		[1]    =    ' 전투력 ' ,
        [2]    =    ' 내구 ' ,
        [3]    =    ' 공격력 ' ,
        [4]    =    ' 방어 ' ,
	},

	UI_CARD_PARTNER_STREN_TYPE =
	{
        [0]    = '',
        [1]    =    ' 내구 ' ,
        [2]    =    ' 폭격 ' ,
        [3]    =    ' 대전차 ' ,
        [4]    =    ' 요격 ' ,
        [5]    =    ' 유도 ' ,
        [6]    =    ' 공격 속도 ' ,
        [7]='防御',
        [8]    =    ' 치명타 확률 ' ,
        [9]    =    ' -데미지 ' ,
        [10]    =    ' 에너지 소모 ' ,
        [11]    =    ' 복합 ' ,
        [12]    =    ' 일반 ' ,
	},
	--[[
	UI_CARD_PARTNER_STREN_TYPE =
	{
        [0]             = '',
        [1]             = 'HP',
        [2]    =    '폭격 ' ,
        [3]    =    '대전차 ' ,
        [4]    =    '요격 ' ,
        [5]    =    '유도 ' ,
        [6]    =    ' 填装 ' ,
        [7]    =     ' 갑옷 ' ,
        [8]    =    ' 치명타 확률 ' ,
        [9]    =    ' 치명타 데미지 ' ,
        [10]    =    ' 소모 ' ,
        [11]    =    ' 복합 ' ,
        [12]    =    '일반 ' ,
	},
	]]

	UI_TEAM_PARTNER_TYPE =
	{
        [1]    =    ' 폭격 ' ,
        [2]    =    ' 방어 ' ,
        [3]    =    ' 내구 ' ,
        [4]    =    ' 대전차 ' ,
        [5]    =    ' 유도 ' ,
        [6]    =    ' 요격 ' ,
        [7]    =    ' 치명타 확률 ' ,
        [8]=' 치명타 데미지 ' ,
        [9]    =    ' 공허 에너지 ' ,
        [10]    =   ' 장전 ' ,
        [11]    =    ' 복합 ' ,
        [12]    =    ' 일반 ' ,
	},

	UI_CARD_FORCE_TYPE =
	{
		[1]=' 프리지아연합 ',
		[2]=' 로벨리아공화국 ',
		[3]=' 알로사제국 ',
	},

	UI_CARD_ROLE_TYPE =
	{
		[1]=    ' 경전차 ' ,
        [2]=    '중전차 ' ,
        [3]=    '대전차 ' ,
        [4]=    '화포 ' ,
        [5]=    '로켓포 ' ,
        [6]=    ' 순항전차 ' ,
	},
	UI_CARD_QUALITY = {
		[1]	= 'N',
		[2] = 'R',
		[3] = 'SR',
		[4]	= 'SSR',
		[5] = 'UR',
	},
	UI_CARD_SOUND_TITLE = {
		[1] = '中文',
		[2] = '日文',
	},
	UI_CARD_SOUND_TYPE = {
		['Anger']    =    '분노 ' ,
        ['Attacked']    =    '피격 ' ,
        ['Detail']    =    ' 상세 정보 ' ,
        ['Doubt']    =    ' Question ' ,
        ['Equip1']    =    '장비 시 ' ,
        ['Equip2']    =    '장비 강화 ' ,
        ['Failure']    =    '패배 ' ,
        ['Gacha']    =    '획득 캐릭터 ' ,
        ['Joy']    =    ' 기쁨 ' ,
        ['Level']    =    ' 최고 레벨 ' ,
        ['Skill']    =    ' 스킬 오픈 ' ,
        ['Smile']    =    ' 웃음 ' ,
        ['Sorrow']    =    ' 슬픔 ' ,
        ['Sortie']    =    ' 출전 ' ,
        ['Surprise']    =    '놀라움 ' ,
        ['Teaming']    =    '출진 ' ,
        ['Unable']    =    ' 사망 ' ,
        ['Victory']    =    ' 승리 ' ,
        ['EGO']    =    ' EGO ' ,
        ['Attack']    =    ' 공격력 ' ,
		['Home5']				= 'Home',
	},
	UI_ROLE_TYPE =
	{
		[1]=    ' 경전차 ' ,
        [2]=    ' 중전차 ' ,
        [3]=    ' 대전차 ' ,
        [4]=    ' 화포 ' ,
        [5]=    ' 로켓포 ' ,
        [6]=    ' 순항전차 ' ,
	},
	UI_GROUP_NAME = 
	{
		[1]	= '蓝鹰';
		[2]	= '赤龙';
		[3]	= '绿地';
	},
	UI_TYPE_NAME = 
	{
		[1]    =    ' 경전차; ' ,
        [2]    =    ' 중전차; ' ,
        [3]    =    ' 대전차; ' ,
        [4]    =    ' 화포; ' ,
        [5]    =    ' 로켓포; ' ,
        [6]    =    ' 순항전차; ' ,
        [7]    =    ' 모든 직업 ' ,
	},
	UI_EQUIP_DEF_TYPE = {
		[1]    =    ' 무기 ' ,
        [3]    =    ' 방어구 ' ,
        [4]    =    ' 아티팩트 ' ,
	},
	
	UI_DATE_NAME =
    {
		week  = '주',
	},

	UI_DATE_WEEK = 
    {
		[0]=    '7일 ' ,
        [1]=    '월요일 ' ,
        [2]=    '화요일 ' ,
        [3]=    '수요일 ' ,
        [4]=    '목요일 ' ,
        [5]=    '금요일 ' ,
        [6]=    '토요일 ' ,
        [7]=    '일요일 ' ,
	},
	UI_FIGHT_CHAPTER = 
	{
		[1]    =    '전투 승리 ' ,
		[2] = '战斗时间少于%d秒',
		[3] = '死亡角色少于%d人',
	},
	UI_SHOP_TITLES = 
	{	
		[1]    =   ' 상점 ' ,
        [2]    =   ' 길드 ' ,
        [3]    =   ' 결제 ' ,
        [4]    =   ' 패키지 ' ,
		
	},
	UI_SHOP_TIPS =
	{
		[1]    =    ' 진영 ' ,
        [2]    =    ' 적용 ' ,
        [3]    =    ' 보유 ' ,
        [4]    =    ' 단가 ' ,
	}, 

	UI_SHOP_ITEM_TYPE = {
		[1]    =    '도구 ' ,
        [2]    =    '재료 ' ,
        [3]    =    '장비 ' ,
	},

	UI_FIGHT_1 = '您的虚数能不足，无法挑战该关卡。',
	UI_FIGHT_2 = '您必须通过前一关才能开启此关。',
	UI_FIGHT_3 = '您的战斗力必须达到%d以上才能挑战此关',
	UI_FIGHT_4    =    '먼저 이전 스테이지를 클리어 해주세요. ' ,
    UI_FIGHT_5    =    '수령 ' ,
    UI_FIGHT_6    =    '속성 상승 ' ,
    UI_FIGHT_7    =    ' 승급 ' ,
    UI_FIGHT_8    =    ' 장비 강화 ' ,
    UI_FIGHT_9    =    ' 획득 완료 ' ,
    UI_FIGHT_10    =    '오프라인 보상 기능이 오픈되지 않았습니다. ' ,
    UI_FIGHT_11    =    '최신 전황 ' ,
	UI_FIGHT_12 = '小队在关卡%d-%d中赢得了胜利,获得',
	UI_FIGHT_13 = 'EXP+%d,COIN+%d',
	UI_FIGHT_14    =    ' 닫기 ' ,
    UI_FIGHT_15    =    ' 타임워프 ' ,
	UI_FIGHT_16 = '快速战斗可以获得300分钟的挂机作战收益',
	UI_FIGHT_17 = '+%d/M',
	UI_FIGHT_18    =    ' 금일 남은 횟수: ' ,
	UI_FIGHT_19 = '%d/%d',
	UI_FIGHT_20    =    '타임워프에 필요한 아이템이 부족합니다. ' ,
    UI_FIGHT_21    =    '타임워프 횟수를 모두 사용하였습니다. ' ,
    UI_FIGHT_22    =    '전리품 ' ,
    UI_FIGHT_23    =    '자동전투 효율 ' ,
    UI_FIGHT_24    =    '자동전투 보상 ' ,
    UI_FIGHT_25    =    '수령 ' ,
    UI_FIGHT_26    =    '아직 어떠한 전리품도 획득하지 못하였습니다. ' ,
    UI_FIGHT_27    =    '아이템 목록 ' ,
    UI_FIGHT_28    =    '정보 ' ,
    UI_FIGHT_29    =    '사용 ' ,
	UI_FIGHT_30 = '指挥官，我们击溃了敌军，真是场酣畅淋漓的胜利！',
	UI_FIGHT_31    =    '아직 획득할 보상이 없습니다. ' ,
	UI_FIGHT_32 = '您成功领取了%s游戏币，%s经验',
	UI_FIGHT_33 = '指挥官，人生偶尔也是会有点小小的挫折的，请不要灰心',
	UI_FIGHT_34    =    '적군 진영 ' ,
    UI_FIGHT_35    =    '스테이지 클리어 보상 ' ,
    UI_FIGHT_36    =    ' 편성 ' ,
    UI_FIGHT_37    =    ' 도전 ' ,
    UI_FIGHT_38    =    '획득 예정 ' ,
	UI_FIGHT_39 = '将获得[%s]收益*%d,持续时间%s',
	UI_FIGHT_40    =    '아직 해당 아이템을 획득하지 않았습니다! ' ,
    UI_FIGHT_41    =    '·출석하시면 해당 아이템을 획득할 수 있습니다. ' ,
    UI_FIGHT_42    =    '·월 정액권으로 해당 아이템을 획득할 수 있습니다. ' ,
    UI_FIGHT_43    =    ' 금화 ' ,
    UI_FIGHT_44    =    '경험치 ' ,
	UI_FIGHT_45 = '使用[%s]*%d，获得%s%s！',
	UI_FIGHT_46 = '使用[%s]*%d，在%s内获取%s速度提升%d倍',
	UI_FIGHT_47 = '挂机%s收益X%d  持续%s',
	UI_FIGHT_48    =    '오늘의 이벤트 보상 ' ,
    UI_FIGHT_49    =    '아이템 가속 보상 ' ,
	UI_FIGHT_50 = '您目前编队上全部角色都是频死状态，请修复或替换队员后再来战斗',
	UI_FIGHT_51 = '加速战斗',
	UI_FIGHT_52 = '当前正在进行其他战斗，请战斗结束后再进行挑战',
	UI_FIGHT_53 = 'LV%s开启',
	UI_FIGHT_54    =    ' 쿨타임 ' ,
    UI_FIGHT_55    =    ' 도전 ' ,
    UI_FIGHT_56    =    '레벨 부족 ' ,
	UI_FIGHT_57 = '恭喜升至 %s 级',
	UI_FIGHT_58 = '已开放',
	UI_FIGHT_59 = '%s级开放',
	UI_FIGHT_60    =    '자동전투 수익 ' ,
	UI_FIGHT_61 = '-WAR BOOTY-',
	UI_FIGHT_62    =    '자동전투 시간 ' ,
    UI_FIGHT_63    =    '수익 ' ,
    UI_FIGHT_64    =    '아이템 획득 ' ,
    UI_FIGHT_65    =    '무료 ' ,
    UI_FIGHT_66    =    '타임워프 ' ,
    UI_FIGHT_67    =    '갱신 시간 ' ,
    UI_FIGHT_68    =    '남은 횟수 ' ,
    UI_FIGHT_69    =    '보유 ' ,
    UI_FIGHT_71    =    '획득 예정 ' ,
    UI_FIGHT_72    =    'BUFF 시간 ' ,
	UI_FIGHT_73 = '快速挂机',
	UI_FIGHT_74    =    '수령 가능 ' ,
    UI_FIGHT_75    =    ' 오프라인 수익 ' ,
	UI_FIGHT_76 = '您的挂机收益即将到达上限,请前往战斗界面领取',
	UI_FIGHT_77 = '无法挑战，上阵的所有角色都已经阵亡',
	UI_FIGHT_78 = '战力提升',
	UI_FIGHT_79 = '第 %s 通关奖励',
	UI_FIGHT_80 = '金币收益',
	UI_FIGHT_81    =    '경험치 수익 ' ,
    UI_FIGHT_82    =    '캐릭터 레벨 ' ,
	UI_FIGHT_83 = '数据异常，请重新操作',
	
	UI_FIGHT_INFO = {
		[1] = '',
		[2] = '当前正在进行闯关Boss战，请在当前战斗完成后再进行其他挑战',
		[3] = '当前正在进行每日副本战斗，请在当前战斗完成后再进行其他挑战',
		[4] = '当前正在进行Event活动战，请在当前战斗完成后再进行其他挑战',
		[5] = '当前正在进行公会副本战斗，请在当前战斗完成后再进行其他挑战',
	},


	UI_OFFLINE_1 = '指挥官~ 欢迎回来，请确认我们的战果！',
	UI_OFFLINE_2 = '%d小时%d分钟',
	UI_OFFLINE_3 = '%d分钟',
	UI_OFFLINE_4 = 'Lv.%d',
	UI_OFFLINE_5 = '+%d',

	CHAT_1 = '点击输入内容(最多42个字)',
	CHAT_2    =    '발송 ' ,
    CHAT_3    =    '현재 채널: ' ,
	CHAT_4 = '输入频道号码(1-20)',
	CHAT_5 = '您发言太快了 请稍后',
	CHAT_6    =    '길드에 가입되어 있지 않습니다. ' ,
    CHAT_7    =    '시스템 채널에서는 채팅을 할 수 없습니다. ' ,
	CHAT_8 = '您输入的字数过多，每条消息不能超过%d个字',
	CHAT_9    =    '내용을 입력해주세요. ' ,
	CHAT_10	= '重输',
	CHAT_CHANNEL = 
	{
		[1]    =    '월드 채널 ' ,
        [2]    =    '길드 채널 ' ,
        [3]    =    '시스템 채널 ' ,
	},

	UI_DAILY_ROUND_1 = '今日挑战次数', 
	UI_DAILY_ROUND_2 = '战力达到%s时解锁', 
	UI_DAILY_ROUND_3 = '请先挑战%s', 
	UI_DAILY_ROUND_4 = '次数不足，请明日再来', 
	UI_DAILY_ROUND_5 = '%s级开启该副本',

	UI_Daily_Round_TITLE = 
	{
		[1]    =    '금화 던전 ' ,
		[2]		= '经验副本',
		[3]    =    '카드 합성 ' ,
	},

	UI_TIPS_ITEM_SOURCE_1    =    '[스테이지 클리어] ' ,
    UI_TIPS_ITEM_SOURCE_2    =    '[스테이지] ' ,
	UI_TIPS_ITEM_SOURCE_3 = '通关第%d章',
	UI_TIPS_ITEM_SOURCE_4 = '通过第%d-%d关',

	UI_TIPS_ITEM_SOURCE = {
		[1]    =    '[상점] ' ,
        [2]    =    '[상점] ' ,
        [3]    =    '[상점] ' ,
        [4]    =    '[상점] ' ,
        [5]    =    '[기지] ' ,
        [6]    =    '[기지] ' ,
        [7]    =    '[뽑기] ' ,
        [8]    =    '[뽑기] ' ,
        [9]    =    '[뽑기] ' ,
        [10]    =    '[전장] ' ,
        [11]    =    '[전장] ' ,
	},

	UI_EVENT_1    =    '초기화 기능을 사용하면 현재 스테이지가 첫 스테이지로 초기화 됩니다. ' ,
    UI_EVENT_2    =    '목표 보상 ' ,
    UI_EVENT_3    =    '파티 참여 ' ,
    UI_EVENT_4    =    '획득 가능 ' ,
	UI_EVENT_5 = '关卡%d-%d',
	UI_EVENT_6 = '选择你的BUFF!',
	UI_EVENT_7    =    '모든 이벤트 사용 가능 ' ,
    UI_EVENT_8    =    '다음 단계 목표 보상 ' ,
    UI_EVENT_9    =    '보상 미리보기 ' ,
    UI_EVENT_10    =    '이벤트 통계 ' ,
    UI_EVENT_11    =    '도전 상황:  ' ,
	UI_EVENT_12 = "六十级以上的角色可以参加派对冒险\n搭配克制怪物的队伍是探索成功的关键",
	UI_EVENT_13    =    ' 적과의 상성을고려하여 파티를 구성하는 것이 성공의 비결입니다. ' ,
	UI_EVENT_14 = '我的队伍',
	UI_EVENT_15    =    '목표 달성 보상이 모두 활성화 되었습니다. ' ,
	UI_EVENT_16 = '60级以上角色才可进入编队',
	UI_EVENT_17 = '60级以上角色才可进入战斗',
	UI_EVENT_18    =    '스테이지 변경 성공!! ' ,
	UI_EVENT_19 = '难度更新，请激活新难度',
	UI_EVENT_20    =    '난이도를 초기화 하시겠습니까? ' ,
	UI_EVENT_21 = '需要至少有4个60级以上角色才能参加活动',
	UI_EVENT_22 = 'pt点不足，无法激活',
	UI_EVENT_23    =    '필요 ' ,
    UI_EVENT_24    =    '보상 획득 ' ,
    UI_EVENT_25    =    '이벤트 보상 ' ,
	UI_EVENT_26 = '所有出战角色受到%s%%伤害',
	UI_EVENT_27 = '已为所有出战角色恢复生命%s%%',
	UI_EVENT_28 = '倒计时:%s 天',
	UI_EVENT_29 = '%d月%d日',
	UI_EVENT_30 = '需要击杀所有怪物',

	UI_EVENT_BUFF_QUALITY = {
		[1]    =    '일반  ' ,
        [2]    =    'RARE ' ,
        [3]    =    'EPIC ' ,
        [4]    =    'LEGENDARY ' ,
	},

	UI_EVENT_SHOP_LABEL = {
		[1]    =    '이벤트 상점 ' ,
        [2]    =    '이벤트 혜택 ' ,
	},

	UI_EVENT_MAP_1    =    '미오픈 ' ,
    UI_EVENT_MAP_2    =    '다음 스테이지에 도전하시겠습니까? ' ,
    UI_EVENT_MAP_3    =    ' 是否使用%s ' ,
    UI_EVENT_MAP_4    =    '몬스터 미제압 ' ,
    UI_EVENT_MAP_5    =    '수영 탐험 ' ,
    UI_EVENT_MAP_6    =    '每次翻开需要消耗 ' ,
    UI_EVENT_MAP_7    =    '적을 제압 후 열쇠를 찾아 다음 단계로 진입하세요. ' ,
	-- UI_EVENT_MAP_8 = '是否进入下一关',
	

	UI_EVENT_ROUND_INFO_TITLE = {
		[1]    =    '일반 몬스터 ' ,
        [2]    =    '정예 몬스터 ' ,
		[3]		= 'boss怪',
	},

	UI_SETTING_1    =    ' Home ' ,
    UI_SETTING_2    =    '캐릭터 정보 ' ,
    UI_SETTING_3    =    ' 최애캐 ' ,
    UI_SETTING_4    =    ' 선택 완료 ' ,
    UI_SETTING_5    =    '선택 ' ,
    UI_SETTING_6    =    '배경 ' ,
	UI_SETTING_7 = '第%d种UI风格',
	UI_SETTING_8    =    '목표 보상 ' ,
	UI_SETTING_9 = '玩家名字',
	UI_SETTING_10= '玩家ID',
	UI_SETTING_11= '音效设置',
	UI_SETTING_12= 'SOUNDS SETTING',
	UI_SETTING_13= '背景音乐',
	UI_SETTING_14= '游戏音效',
	UI_SETTING_15= '确认保存',

	UI_SETTING_18= '语言',

	UI_SETTING = {
		[1]    =    '썸네일 설정 ' ,
        [2]    =    '최애캐 설정 ' ,
        [3]    =    '배경 설정 ' ,
		[4] = '图鉴',
		[5] = 'CDKEY兑换',
		[6] = '设置',
	},
	UI_SETTING_EN = {
		[1] = 'PROFILE PHOTO',
		[2] = 'KANBAN SETTING',
		[3] = 'BACKGROUND SETTING',
		[4] = 'ARCHIVE',
		[5] = 'CDKEY EXCHANGE',
		[6] = 'OPTIONS',
	},

	LOADING_MESSAGE = {
		[1] = '※ 离线奖励最多积累12小时哦！',
		[2] = '※ 超多超萌角色等着你！快去抽卡吧！',
		[3] = '※ 卡牌升星和卡牌合成都可以提升卡牌星级哦！',
		[4] = '※ 快速挂机可以立即获取2小时挂机奖励。',
		[5] = '※ 角色分红绿蓝三个颜色，上阵同样角色颜色越多属性加成越大',
		[6] = '※ 20级后开启布阵功能可以配置小队的阵容。',
	},

	UI_REWARD_1    =    ' 수익 획득 ' ,
	UI_REWARD_2 = '快速挂机2:00:00获得奖励',
	UI_REWARD_3 = '挂机%s获得奖励',

	UI_TRIAL_1    =    ' 목표 달성 보상 확인 ' ,
    UI_TRIAL_2    =    ' 추천 전투력 ' ,
    UI_TRIAL_3    =    ' 도전 ' ,
    UI_TRIAL_4    =    ' 편성 ' ,
	UI_TRIAL_5 = '购买成功，挑战次数+1',
	UI_TRIAL_6    =    ' 시련 클리어 보상 ' ,
    UI_TRIAL_7    =    ' 취소 ' ,
    UI_TRIAL_8    =    ' 일괄 수령 ' ,
    UI_TRIAL_9    =    ' 다음 스테이지를 계속해서 도전해주세요. ' ,
	UI_TRIAL_10 = '没有奖励可领取,请继续挑战后续关卡',
	UI_TRIAL_11 = '扫荡次数不足，是否购买',
	UI_TRIAL_12    =    '소탕 횟수가 부족합니다! ' ,
	UI_TRIAL_13 = '%s 不足 %s，无法购买',
	UI_TRIAL_14 = '是否花费%s %s 购买一次扫荡',
	UI_TRIAL_15 = '可购买次数：%d',
	UI_TRIAL_16 = '扫荡(%s/%s)',
	UI_TRIAL_17 = '第%.2d关',
	UI_TRIAL_18    =    '수령 ' ,
    UI_TRIAL_19    =    ' GO ' ,
    UI_TRIAL_20    =    '스테이지 클리어 ' ,
    UI_TRIAL_21    =    '첫 클리어 보상 ' ,
	UI_TRIAL_22 = '当前战力:',
	
	UI_PLOT_1    =    '스토리 ' ,

	UI_BATTLE_PASS_1    =    '남은 시간: ' ,
    UI_BATTLE_PASS_2    =    '클리어 ' ,
    UI_BATTLE_PASS_3    =    '퀘스트 완료 ' ,
	UI_BATTLE_PASS_4 = '提升等级，领取奖励',
	UI_BATTLE_PASS_5    =    ' 보상 활성화 ' ,
    UI_BATTLE_PASS_6    =    '군령 레벨  ' ,
    UI_BATTLE_PASS_7    =    '보상 미리보기 ' ,
    UI_BATTLE_PASS_8    =    '보상 ' ,
    UI_BATTLE_PASS_9    =    ' 퀘스트 ' ,
	UI_BATTLE_PASS_10 = '%d日',
	UI_BATTLE_PASS_11    =    '이벤트 시간: ' ,
    UI_BATTLE_PASS_12    =    '일괄 수령 ' ,
	UI_BATTLE_PASS_13 = '%m月%d日',
	UI_BATTLE_PASS_14    =    '활성화 후 바로 보상을 획득할 수 있습니다. ' ,
    UI_BATTLE_PASS_15    =    '캐릭터 승급 시 추가 보상을 획득할 수 있습니다. ' ,
	UI_BATTLE_PASS_16 = '解锁进阶赠礼，激活专属奖励,',
	UI_BATTLE_PASS_17 = '直升10级',
	UI_BATTLE_PASS_18 = '限定头像框，绝版称号立刻拥有！',
	UI_BATTLE_PASS_19 = '￥%d购买',
	UI_BATTLE_PASS_20    =    '남은 이벤트 시간: ' ,
    UI_BATTLE_PASS_21    =    '일 ' ,
    UI_BATTLE_PASS_22    =    '시간 ' ,
    UI_BATTLE_PASS_23    =    '레벨 ' ,
    UI_BATTLE_PASS_24    =    '보상 ' ,
    UI_BATTLE_PASS_25    =    '레벨업 보상 ' ,
    UI_BATTLE_PASS_26    =    '수령 완료 ' ,
    UI_BATTLE_PASS_27    =    '미달성 ' ,
	UI_BATTLE_PASS_28 = '累计完成%d个成就',
	UI_BATTLE_PASS_29    =    '수령 불가 ' ,
    UI_BATTLE_PASS_30    =    '수령 완료 ' ,
	UI_BATTLE_PASS_31 = '功能尚未开放，请努力升级吧！',
	UI_BATTLE_PASS_32 = '购买解锁进阶奖励',
	UI_BATTLE_PASS_33 = '刷新时间：',
	UI_BATTLE_PASS_34 = '进阶赠礼！',
	
	UI_BATTLE_PASS_MENU = {
		[1]    =    '생애 퀘스트 ' ,
        [2]    =    '일일 퀘스트 ' ,
        [3]    =    '주간 도전 ' ,
        [4]    =    '최종 시련 ' ,
	},

	UI_RECHARGE_1    =    '첫 결제 보상 ' ,
    UI_RECHARGE_2    =    '100元赠礼 ' ,
    UI_RECHARGE_3    =    '누적 결제 금액: ' ,
    UI_RECHARGE_4    =    '第%d天免费领取 ' ,
    UI_RECHARGE_5    =    '결제 이동 ' ,
    UI_RECHARGE_6    =    '내일 다시 와주세요 ' ,

	UI_USER_1		= '已更换为 %s',
	UI_USER_2		= '背景更换为:',

	UI_COMMENT_1    = '评论',
	UI_COMMENT_2    = 'COMMENT',
	UI_COMMENT_3    = '点赞',
	UI_COMMENT_4    = '评论数:%d',
	UI_COMMENT_5    = '评论',

	UI_TITLE_ITEM    =    '도구 ' ,
	UI_TITLE_CHAT = '聊天',
	UI_TITLE_MUBIAO = '目标',
	UI_TITLE_SHOUCE = '救世手册',

	UI_BARE_COLLECT_1 = '已激活:%d/%d',
	UI_BARE_COLLECT_2 = '第%d关激活',
	UI_BARE_COLLECT_3 = '可为%s提供:',
	UI_BARE_COLLECT_4 = '生日:%s',
	UI_BARE_COLLECT_5 = '点击区域解锁图案',
	UI_BARE_COLLECT_6 = '解锁碎片',
	UI_BARE_COLLECT_7 = '是否随机解锁图鉴区域?',
	UI_BARE_COLLECT_8 = '持有',
	UI_BARE_COLLECT_9 = '必要',
	UI_BARE_COLLECT_10 = '随机解锁',
	UI_BARE_COLLECT_11 = '解锁全部',
	UI_BARE_COLLECT_12 = '全部必要',
	UI_BARE_COLLECT_13 = '是否卸下',
	UI_BARE_COLLECT_14 = '没有可穿戴图鉴',
	UI_BARE_COLLECT_15 = '需先在装备界面装备',

	UI_CARD_RESOLVE_1 = '分解商店',
	UI_CARD_RESOLVE_2 = '获得分解币',
	UI_CARD_RESOLVE_3 = '分解',
	UI_CARD_RESOLVE_4 = '快速添加',
	UI_CARD_RESOLVE_5 = '分解SR及一下卡牌获得分解币',
	UI_CARD_RESOLVE_6 = '消耗',
	UI_CARD_RESOLVE_7 = '重置',
	UI_CARD_RESOLVE_8 = '卡牌将重置到1级并且返还所有消耗素材',
	UI_CARD_RESOLVE_9 = '分解完成',
	UI_CARD_RESOLVE_10 = 'RESOLVE COMPLETE',
	UI_CARD_RESOLVE_11 = '重置完成',
	UI_CARD_RESOLVE_12 = 'RESET COMPLETE',
	UI_CARD_RESOLVE_13 = '分解角色',
	UI_CARD_RESOLVE_14 = '重置角色',
	UI_CARD_RESOLVE_15 = '获得物品',
	UI_CARD_RESOLVE_16 = '该角色正在编队中，无法选择',

	UI_CARD_RESOLVE_MENU_BTN = {
		[1] = '卡牌分解',
		[2] = '卡牌重置',
	},

	UI_TITLE = --按首字母排序
	{
		['ActivityPanel']    =    ' 이벤트 ' ,
        ['ArenaPanel']    =    ' 경기장 ' ,
        ['BattlePassPanel']    =    ' 星火燎原 ' ,
        ['BgSelectPanel']    =    '배경 설정 ' ,
        ['CardBookPanel']    =    '캐릭터 도감 ' ,
        ['CardBookViewPanel']    =    '캐릭터 도감 ' ,
        ['CardComposePanel']    =    '카드 합성 ' ,
        ['CardLevelUpStarPanel']    =    '캐릭터 등급 업그레이드 ' ,
        ['CardLevelUpStarCardListPanel']    =    '캐릭터 등급 업그레이드 ' ,
        ['CardLevelUpStarSelectCardPanel']    =    '캐릭터 목록 ' ,
        ['CardListPanel']    =    '캐릭터 목록 ' ,
        ['CardLivePanel']    =    '캐릭터 정보 ' ,
        ['CardPanel']    =    '캐릭터 레벨업 ' ,
        ['DailyRoundPanel']    =    '일일 던전 ' ,
        ['EquipComposePanel']    =    '장비 합성 ' ,
        ['EquipPanel']    =    ' 장비 목록 ' ,
        ['EquipWearPanel']    =    ' 장비 장착 ' ,
        ['EquipWearSelectPanel']    =    ' 장비 목록 ' ,
        ['EventShopPanel']    =    '이벤트 상점 ' ,
        ['GachaListPanel']    =    ' 뽑기 ' ,
        ['HeadSelectPanel']    =    '썸네일 설정 ' ,
        ['HomeBaseSkillPanel']    =    ' 기술 연구 ' ,
        ['KanBanSelectPanel']    =    ' 최애캐 설정 ' ,
        ['LibraryCollectionPannel']    =    '도서관 ' ,
        ['RandomShopPanel']    =    '상점 갱신 ' ,
        ['ShopPanel']    =    '상점 ' ,
        ['TeamPanel']    =    ' 편성 ' ,
		['UISelectPanel']		 			= 'UI风格设置',
		['RoundBossPanel']					= '随机BOSS',
		['GuildNotJoinPanel']    =    '길드 ' ,
        ['GuildJoinPanel']    =    '길드 ' ,
        ['GuildCreatePanel']    =    '길드 ' ,
        ['GuildMainPanel']    =    '길드 ' ,
        ['GuildMainInfoPanel']    =    '길드 ' ,
        ['GuildChatPanel']    =    '길드 ' ,
        ['GuildDonatePanel']    =    '길드 ' ,
        ['GuildBossPanel']    =    '길드 ' ,
		-- ['EventChallengePanel']				= 'Event',
		['EventMainPanel']					= 'Event',
		['EventMapPanel']					= 'Event',
		['TrialPanel']						= '시련의 길 ' ,
	},
	UI_Instructions_1 = '说明',
	UI_Instructions = {
		['ShopPanel'] = {
			'1. 军火库内的物品每天0点，6点，12点，24点会自动刷新，您也可以消耗一个刷新令手动刷新。',
			'2. 军火库内出售部分道具会有折扣。',
			'3. 礼包里面的每种礼包都有限购次数。',
			'4. 公会商店内的道具在每周二推出新公会boss后会更新购买次数和可以购买的道具。',
		},
		['HomePanelGold'] = {
			'1. 金矿每3分钟产出一次游戏币。',
			'2. 金矿可存储游戏币上限有限，需要定时领取，上限随金矿等级上升而上升。',
		},
		['HomePanelOil'] = {
			'1. 油井每3分钟产出一次虚数能。',
			'2. 油井可存储的虚数能上限有限，需要定制领取，上限随也有经等级上升而上升。',
			'3. 挑战boss，每日副本，完成委托任务等都需要消耗一定的虚数能。',
		},
		['SkillLevelUpPanel'] = {
			'1. 每个角色有1-4个技能，其中1个是主动技能，其他为被动技能，可以进行技能升级。',
			'2. 每个技能可以最多升级到30级。',
			'3. 升级技能需要消耗技能书获取技能经验，并消耗一定时间。',
			'4. 技能书分为多个品质，不同品质对应的技能经验不同，当技能书和升级技能的卡牌阵营相同时，获得的经验会有百分比加成。',
		},
		['BagPanel'] = {
			'1. 您当前持有的道具会显示在背包内。',
			'2. 背包分为材料，装备，道具三个分页，分别显示对应的道具。',
		},
		['TipsEquipPanel'] = {
			'1. 装备可以分解。',
			'2. 装备强化，消耗道具和游戏币，提升装备级别，并增加对应属性，不同品质的装备可强化的等级上限不同。',
			'3. 装备合成，消耗同品质装备和游戏币可以对装备进行合成，并增加对应属性，不同品质的装备可合成的等级上限不同，合成不同级别的装备需要该装备首先达到对应的强化等级限制。',
		},
		['TipsEquipPanelStr'] = {
			'1. 消耗游戏币和道具可以对装备进行强化。',
			'2. 不同品质的装备可强化的等级上限不同，消耗的道具也不同。',
			'3. 强化提升装备的基础属性，并且在强化到10，20，30级时会为装备开放一条额外属性。',
		},
		['TipsEquipPanelMix'] = {
			'1. 消耗同品质装备和游戏币可以对装备进行合成。',
			'2. 不同品质的装备可合成的等级上限不同。',
			'3. 装备合成可以提升装备的属性。',
			'4. 装备合成需要装备强化级别的前置限制，例如，某一个装备必须已经强化+5，才可以进行合成+5的操作。',
		},
		['DailyRoundPanel'] = {
			'1. 目前有六个类型得每日副本，不同每日副本的开放日期不同，掉落的道具种类也不同。',
			'2. 每个每日副本分成4个不同的难度。',
			'3. 进入每日副本需要消耗一定虚数能。',
			'4. 次数规则。',
		},
		['EntrustPanel'] = {
			'1. 每天可以最多进行24次委托任务。',
			'2. 每个委托任务都有一定的有效时间，在有效时间内如果没有接取该任务，则会刷新成新的任务：如果接取该任务后，完成任务需要消耗一定的时间。',
			'3. 每个任务有3-4个条件，每满足一个条件则会增加一定的成功率，成功率达到60%，委托任务才可以开始。',
			'4. 委托任务包含普通奖励和概率获得奖励，概率奖励不是必然获得。',
			'5. 目前正在出战的角色不能参加委托任务，正在执行委托任务的角色不能在战斗中出战。',
			'6. 如在委托进行中中断任务，则不会获得任何奖励，本次委托次数将会被浪费，且该委托任务不会刷新。',
		},
		['CardEvolvePanelBreak'] = {
			'1. 卡牌的每个属性类型都可以进行突破，点击对应的属性就能将其切换为当前想要突破的属性。',
			'2. 每次突破需要消耗道具和游戏币，突破所增加的数值在一定范围内随机。',
			'3. 突破后如果对数值不满，可以消耗少量货币增强突破所增加的属性。',
			'4. 每次突破增加一定的卡牌属性。',
		},
		['CardEvolvePanelRemodel'] = {
			'1. 每次改造可以提升卡牌星级，不同品质的卡牌星级上限不同。',
			'2. 每提升一个卡牌改造星级，需要先消耗道具和游戏币点开六个改造点，再消耗碎片进行改造。',
			'3. 改造可以大幅提升卡牌属性。',
		},
		['CardArchivePanel'] = {
			'1. 您可以在这个界面中查看卡牌的完整立绘或live2d。',
			'2. live2d模式下触碰卡牌的特定位置可以激活该角色的live2d动作。',
			'3. 您可以在这个界面中查看角色的全部cv，并点击进行播放。',
		},
		['CardEquipPanel'] = {
			'1. 每个角色可以穿戴五个装备。',
			'2. 装备分成武器，防具，挂载三个种类，不同角色可装备的各种道具数量不同。',
			'3. 装备分成绿色，蓝色，紫色等多个品质。',
			'4. 装备可以通过强化和合成来提升装备属性。',
			'5. 多余的装备可以进行分解。',
		},
		['GuildPanelDonate'] = {
			'1. 公会捐献分为三种，一种消耗游戏币，另外两种消耗钻石。',
			'2. 玩家每天可以给每种捐献捐献一次。',
			'3. 捐献可以为公会增加公会经验，自己也可以获得公会贡献。',
		},
		['GuildShopPanel'] = {
			'1. 购买公会商店内的物品需要消耗公会贡献。',
			'2. 每次公会升级，奖励商店会开放部分性价比超高的物品供大家购买。',
		},
		['TeamPanel'] = {
			'1. 可以在编队中编制最多3个前排角色，最多3个后排角色进行战斗，编队至少需要1个前排角色。',
			'2. 前排可以放重坦，中坦，反坦三个类型，后排可以放火箭炮，火炮，轮式装甲三个类型。',
			'3. 编队更改后，点击出击按钮，则在本次战斗结束后，下次战斗开始时，新的编队将会生效。',
			'4. 编队更改后，如不点击出击按钮，直接退出界面，则编队不会生效。',
			'5. 正在完成委托任务的角色，不能进行编队。',
			'6. 根据编队中出战的角色不同，队伍参与boss战和每日副本战斗消耗的虚数能也不同。',
		},
		['RoundPanel'] = {
			'1. 游戏分成多个大关，每个大关分10个小关。',
			'2. 首次挑战某一个小关时可以播放相应剧情，您将自动在当前所挑战到的最后一个大关中挂机。',
			'3. 可以在此界面点击之前已经通过得任意关卡进行挑战，挑战需要消耗虚数能。',
			'4. 每个小关有3个成就星，当某一大关达成10/20/30成就星时，可以领取相应奖励。',
		},
		['EventPanel'] = {
			'1.星夜降临活动持续25天，活动包含全新的关卡，剧情，抽卡，和任务玩法。',
			'2.星夜降临活动推出一个全新sr角色和其对应的ssr皮肤，以及一个全新ssr角色。',
			'2.在星夜降临活动中，赤龙角色在挑战活动关卡时，造成的攻击将提升为原来的三倍。',
			'3.您可以配置最多3队角色参加关卡挑战，关卡共包含5个大关，每个大关有3个小关，您可以在任何时刻选择重置，重新从1-1开始进行挑战。',
			'4.只有每次在1-1配置完队伍开始挑战时，会根据出战3队的角色消耗虚数能，后续挑战将不消耗虚数能，直至您进行重置。',
			'5.在活动期间，您将会在当前挑战到的最高关卡进行挂机，并每小时获得pt点数，同时挑战关卡胜利以及完成活动任务也会获得pt点数。',
			'6.获得的pt点数可以领取对应的目标奖励，pt点数可以用来进行活动特有的pt抽卡。',
		},
	},

	ERROR_INFO =
	{
		--common
		[9000] = '通用错误',
		[9001] = '无对应用户数据',
		[9002] = '密码错误',
		[9010] = '账号异地登录',
		[9011] = '服务器正在维护中',
		[9020] = '不能输入空格',
		[9021] = '超出字数限制',
		[9022] = '不能输入敏感词汇',
		[9023] = '重名',
		[9024] = '最多输入%d个字',
		[9025] = '配置错误',
		[9040] = '参数有误',
		[9041] = '级别不足，功能尚未开放',
		[9060] = '数据配置错误',--master表查询失败
		[9061] = '数据更新失败',--server表更新失败
		[9062] = '数据错误',    --server表查询失败
		[9060] = '金币不足',
		[9062] = '钻石不足',
		[9063] = '道具不足',
		[9064] = '您还差 %s 金币',
		[9065] = '您还差 %s 钻石',
		[9100] = '无法获取奖励',
		[9101] = '奖励已经领取',
		[9102] = '无对应物品',
		[9103] = '达到背包上限',
		[9104] = '达到最高等级',
		[9105] = 'cd中',

		--activity
		[9150] = '数据错误',
		[9151] = '试炼未通过条件关卡',
		[9152] = '未达到等级',
		[9153] = '战斗力未达到',
		[9154] = '补签失败',
		[9155] = '三日活动结束',
		[9156] = '不符合补签顺序',

		--arena
		[9201] = '敌方队伍为空',
		[9202] = '竞技场赛季结束',
		[9203] = '竞技场挑战次数不足',

		--autobattle
		[9250] = '欢乐时光已结束',
		[9251] = '道具不足,无法进行快速挂机',

		--avatar
		[9300] = '没有皮肤',

		--guild
		[9350] = '未加入公会',
		[9351] = '已经加入公会',
		[9352] = '公会已经解散',
		[9353] = '申请公会cd中',
		[9354] = '未找到公会',
		[9355] = '公会成员已满',
		[9356] = '未找到公会成员',
		[9357] = '权限不足',
		[9358] = '操作对象不是自己',
		[9359] = '委任失败',
		[9360] = '降职失败',
		[9361] = '退出失败',
		[9362] = '玩家不在公会中',
		[9363] = '有成员无法解散',
		[9364] = '未找到申请玩家',
		[9365] = '捐献次数不足',
		[9366] = '未找到奖励数据',
		[9367] = '捐献经验不足',
		[9368] = '已全部通关',
		[9369] = '挑战次数不足',
		[9370] = 'boss信息错误',
		[9371] = '未挑战过的BOSS无法扫荡',
		[9372] = '公会等级不足',

		--event
		[9400] = 'event未开启',
		[9401] = 'event结束',
		[9402] = '已激活',
		[9403] = '至少4个60级角色',
		[9404] = '激活失败，道具不足',
		[9405] = '找不到地图元素',
		[9406] = '怪物未击杀',
		[9407] = '没有角色死亡',
		[9408] = '当前坐标未解锁',
		[9409] = '坐标数据错误',
		[9410] = '当前坐标已经开启',
		[9411] = '当前坐标不可选择',
		[9412] = '地图数据过期',

		--battle
		[9450] =  '无对应关卡信息',
		[9451] =  '随机boss已被击杀',

		--trial
		[9500] = '试炼次数不足',
		[9501] = '已达到最高关卡',

		--battlepass
		[9550] = '奖励过期',
		[9551] = '特殊奖励未开启',
		[9552] = '没有奖励可以领取',
		[9553] = 'battlepass总道具不足',
		[9554] = '前置任务未达成',
		[9555] = '条件未达成，无法领取',

		--cardComment
		[9600] = '该评论不存在',
		[9601] = '未找到该角色',

		--equip
		[9650] = '装备不存在',
		[9651] = '装备已经强化到最大等级',
		[9652] = '无可合成装备',

		--gacha
		[9700] = '每日抽卡次数不足',
		[9701] = '卡包未开放',
		[9702] = '抽卡次数不足',
		[9703] = '激活月卡功能后才能领取奖励',

		--mail
		[9750] = '无效id',
		[9751] = '已删除',
		[9752] = '已领取',
		[9753] = '无可领取附件的邮',

		--recharge
		[9800] = '支付数据错误',
		[9801] = '缺少玩家支付数据',
		[9802] = '只能购买一次',
		[9803] = '商品数量不足',
		[9804] = '未找到奖励数据',

		--shop
		[9850] = '购买次数不足',
		[9851] = '商品过期',
		[9852] = '货币不足',
		[9853] = '剩余次数不足',
		[9854] = 'event道具不足',

		--roundboss
 		[9900] = 'boss数量已满',
 		[9901] = '创建失败',
 		[9902] = '没有可重置boss',
		[9903] = '没有boss',

		--unit
 		[9950] = '角色达到最高等级',
 		[9951] = '升级失败',
 		[9952] = '星级错误',
 		[9953] = '已达到最高星级',
 		[9954] = '已突破到最高等级',
 		[9955] = '星级条件不符',
		[9956] = '未获得此角色',
		
		--bare collect
		[10100] = '未找获得该图鉴',
		[10101] = '该位置已净化',
		[10102] = '没有全部净化',
		[10103] = '该位置没有角色',
		[10104] = '不匹配',


		[9999] = '网络错误 信息:%s',
	},

	UI_LANGUAGE_NAME =
	{
		[1] = '中文',
		[2] = '日语',
		[3] = '英语',
		[4] = '韩语',
	},

	UI_L_FOROVER = '永久',
	UI_L_RESET_GUAN = '重置关卡',
	UI_L_HERO = '英雄',
	UI_L_FIGHTING = '挑战中',
	UI_L_PASS = '已通关',
	UI_L_ALLJU = '全局',
	UI_L_TEAMINFO = '队伍详情',
	UI_L_TUJIAN = '图鉴',
	UI_L_LIMIT = '限定!',
	UI_L_SAVE = '保存',
	UI_L_AUTO = '自动',
	UI_L_DAMAGE = '累计伤害(',
	UI_L_HAVESTCLICK = '点 击 屏 幕',
	UI_L_PLAYERINFO_1 = '个 人 信 息',
	UI_L_PLAYERINFO_2 = 'PLAYER INFO',
	UI_L_BUYTOOLS_1 = '道 具 购 买',
	UI_L_BUYTOOLS_2 = 'TOOLS SHOPPING',
	UI_L_FORMATION_1 = '阵 型',
	UI_L_FORMATION_2 = 'FORMATION',
	UI_L_ALLIANCE_MEM_1 = '成 员 信 息',
	UI_L_ALLIANCE_MEM_2 = 'MEMBER INFORMATION',
	UI_L_ALLIANCE_ICON_1 = '公 会 头 像',
	UI_L_ALLIANCE_ICON_2 = 'GUILD ICON',
	UI_L_REWARD_1 = '奖励',	
	UI_L_REWARD_2 = 'AWARD',
	UI_L_ARENA_RANK_TITLE_1 = '选择对手',	
	UI_L_ARENA_RANK_TITLE_2 = 'CHOOSE YOUR ENEMY',
	UI_L_ARENA_ENEMY_TITLE_1 = '对手信息',	
	UI_L_ARENA_ENEMY_TITLE_2 = 'ENEMY INFORMATION',
	UI_L_FIGHT_GUAJI_1 = '快 速 挂 机',	
	UI_L_FIGHT_GUAJI_2 = 'HANG UP',
	UI_L_CARD_AVATAR_TITLE_1 = '皮肤',	
	UI_L_CARD_AVATAR_TITLE_2 = 'SKIN',
	UI_L_GACHA_PROB_TITLE_1 = '抽 卡 概 率',	
	UI_L_GACHA_PROB_TITLE_2 = 'PROBABILITY',
	UI_L_EQUIPCOMP_TITLE_1 = '一 键 合 成',	
	UI_L_EQUIPCOMP_TITLE_2 = 'SYNTHESIZE',
	UI_L_EQUIP_INFO_1 = '装 备 详 情',	
	UI_L_EQUIP_INFO_2 = 'EQUIP INFORMATION',
	UI_L_LIBRARY_TITLE_1 = '奖 励 预 览',	
	UI_L_LIBRARY_TITLE_2 = 'SYNTHESIZE',
	UI_L_ROLE_LIST_TITLE_1 = '角 色 列 表',	
	UI_L_ROLE_LIST_TITLE_2 = 'LIST',
	UI_L_MESSAGE_TITLE_1 = '提 示 信 息',	
	UI_L_MESSAGE_TITLE_2 = 'MESSAGE',
	UI_L_EVENT_BUFF_TITLE_1 = 'BUFF 信 息',	
	UI_L_EVENT_BUFF_TITLE_2 = 'BUFF INFORMATION',
	UI_L_MAIL_TITLE_1 = '邮 箱',	
	UI_L_MAIL_TITLE_2 = 'OFFLINE PROFIT',
	UI_L_TOOLS_1 = '道 具',	
	UI_L_TOOLS_2 = 'TOOLS',
	UI_L_USER_CDKEY_1 = 'CDKEY 兑 换',
	UI_L_USER_CDKEY_2 = 'CDKEY EXCHANGE',
	UI_L_HOME =
	{
		[1] = '军\n械\n库',
		[2] = '科\n研\n所',
		[3] = '图\n书\n馆',
		[4] = '重\n构\n中\n心',
		[5] = '竞\n技\n场',
		[6] = '试\n炼\n基\n地',
		[7] = '融\n合\n中\n心',
		[8] = '刷\n新\n商\n店',
		[9] = '每\n日\n副\n本',
	},

	UI_L_FIGHT_SET = 
	{
		[1] = '屏蔽',
		[2] = '显示',
	},

	UI_GUILD_DONATE =
	{
		[1] = '活跃激励',
		[2] = '组织训练',
	},

	UI_GUILD_TITLE =
	{
		[1] = '公会大厅',
		[2] = '公会商店',
		[3] = '公会捐献',
		[4] = '公会副本',
		[5] = '留言板',
	},
	UI_GUILD_SUBTITLE =
	{
		[1] = 'GUILD HALL',
		[2] = 'GUILD SHOP',
		[3] = 'GUILD CONTRIBUTE',
		[4] = 'GUILD BOSS',
		[5] = 'MESSAGE BOARD',
	},
	UI_RANDOMBOSS_TITLE =
	{
		[1] = '路人级BOSS',
		[2] = '精良级BOSS',
		[3] = '稀有级BOSS',
		[4] = '传说级BOSS',
		[5] = '史诗级BOSS',
	},
	UI_L_RESTRAINT_TITLE = '阵营克制',
	UI_L_RESTRAINT_SUB = '克制',
	UI_L_ONLINE_RWD = '限时礼包',

	VERSION_UPDATE_1 = '发现新版本，是否更新？',
	VERSION_UPDATE_2 = '部分文件更新失败，是否重试？',

	UI_L_ATK = '伤害',
	UI_L_OVER = '本轮结束',
	UI_L_ARMOR = '剩余护甲：',
	UI_L_BARMOR = 'BOSS护甲',
	UI_L_OneDAMAGE = '本次伤害',
};

return language;
