local queue = class("Queue")

function queue:ctor()
	self.first = 0
	self.last = -1
	self.list = {}
end

function queue:pushFront(value)
	self.first = self.first - 1
    self.list[self.first] = value
end

function queue:pushBack(value)
    self.last = self.last + 1
	self.list[self.last] = value
end

function queue:popFront()
	if self.first > self.last then
		print('queue is empty')
		return 0
	end
    local value = self.list[self.first]
    self.list[self.first] = nil
    self.first = self.first + 1
    return value
end

function queue:popBack()
	if self.first > self.last then
		print('queue is empty')
		return 0
	end
    local value = self.list[self.last]
    self.list[self.last] = nil
    self.last = self.last - 1
    return value
end

function queue:len()
	return self.last - self.first + 1
end

return queue;
