local Effect = class("Effect")

function Effect:ctor(id, skillResid)
	--属性相关
	self.id				= id;			--id
	self.runningState	= true;			--特效运行状态
	self.skillID		= skillResid;
	self.destroyFlag	= false;
end

--销毁
function Effect:Destroy()
end

--更新
function Effect:Update( dt )
	return true;
end

--id
function Effect:GetID()
	return self.id;
end

function Effect:GetSkillID()
	return self.skillID;
end

--暂停特效更新
function Effect:Pause()
	self.runningState = false;
	if self.effectNode then
		self.effectNode:pause();
	end
end

--恢复特效更新
function Effect:Resume()
	self.runningState = true;
	if self.effectNode then
		self.effectNode:resume();
	end
end

return Effect;
