local PreparePanel = class("PreparePanel")

function PreparePanel:ctor()
	self.isPopup = true;
end

--
function PreparePanel:Init(root, scene)
	self.root = root;
	self.scene = scene;

	self:initPanel();
	self.root:setVisible(false);
end

function PreparePanel:initPanel()
    self.bg = cc.LayerColor:create(cc.c4b(0, 0, 0, 140), StageSize.width, StageSize.height);
	self.bg:setPosition(-StageSize.width/2, -StageSize.height/2);
    self.bg:setLocalZOrder(-100);
    self.bg:addTo(self.root);

	self.sp1 = cc.Sprite:create('image/loading/c3.png');
	self.sp1:addTo(self.root);

	self.sp2 = cc.Sprite:create('image/loading/c1.png');
	self.sp2:addTo(self.root);

	self.sp3 = cc.Sprite:create('image/loading/c2.png');
	self.sp3:addTo(self.root);

	self.root:setPosition(StageSize.width * 0.5, StageSize.height * 0.5);

end

function PreparePanel:onEnter()
	self.root:setVisible(true);
	self.sp1:runAction(cc.RepeatForever:create(cc.RotateBy:create(1, 360)));
	self.sp2:runAction(cc.RepeatForever:create(cc.RotateBy:create(2, -360)));
	self.sp3:runAction(cc.RepeatForever:create(cc.RotateBy:create(2, 360)));
end

function PreparePanel:onLeave()
	self.root:setVisible(false);
	self.sp1:stopAllActions();
	self.sp2:stopAllActions();
	self.sp3:stopAllActions();
end

return PreparePanel;


