local ShowAnimationPanel = class("ShowAnimationPanel")

function ShowAnimationPanel:ctor()
	self:clearAll();
end
function ShowAnimationPanel:clearAll(  )
	self.root = nil;
	self.scene = nil;
end
--初始化面板
function ShowAnimationPanel:Init(root, scene)
	self.root = root;
	self.scene = scene;
	self.hasInit = true ;
	self:initPanel();
	self.root:setVisible(false);
end
function ShowAnimationPanel:initPanel()
	local bg = ccui.Layout:create();
	bg:setTouchEnabled(true);
	bg:setContentSize(StageSize);
	bg:setLocalZOrder(-10);
	bg:setAnchorPoint(cc.p(0.5,0.5));
	bg:setPosition(0, 0);
	bg:addTo(self.root);

	self.node = cc.Node:create();
	self.node:addTo(self.root);
end
function ShowAnimationPanel:Show(panel , callback)
	self:updateZOrder(panel);
	
	if callback then
		callback();
	else
		self:Hide();
	end

	self.root:setVisible(true);
end

function ShowAnimationPanel:updateZOrder(curPanelName)
	local panelZOder = UIManager:getPanelLocalZOrder(curPanelName) or 1;
	panelZOder = panelZOder * PANEL_ZORDER + 20;
	self.root:setLocalZOrder(panelZOder);
end

function ShowAnimationPanel:getAnmiationNode()
	self.node:removeAllChildren();
	return self.node;
end
function ShowAnimationPanel:Hide()
	self.node:removeAllChildren()
	self.root:setVisible(false);
end
return ShowAnimationPanel;
