
local DailyMissionModel = class("DailyMissionModel")

function DailyMissionModel:ctor()

end
function DailyMissionModel:reqDailyMissionInfo()
end
function DailyMissionModel:retDailyMissionInfo(msg)
	self.condition = msg.condition_state;
	self.conditionRewardState = msg.condition_reward_state;
end

function DailyMissionModel:retDailyMissionConditionReward(msg)
   self.condition[tostring(msg.type)].get = msg.get;
   --EventManager:FireEvent(EventType.UIMainPanelCommonBtnTips , 1 , self:isReward());
end

function DailyMissionModel:retDailyMissionReward(msg)
   	self.conditionRewardState[tostring(msg.no)] = msg.get;
end
function DailyMissionModel:getCondition()
	return self.condition;
end
function DailyMissionModel:getConditionRewardState()
	return self.conditionRewardState;
end
function DailyMissionModel:addDailyMission(dailyMission)
	if not dailyMission or dailyMission.type == -1 or not self.condition then
		return;
	end

	if self.condition[tostring(dailyMission.type)] then
		self.condition[tostring(dailyMission.type)].count = dailyMission.count;
	else
		self.condition[tostring(dailyMission.type)] = {};
		self.condition[tostring(dailyMission.type)].count = dailyMission.count;
		self.condition[tostring(dailyMission.type)].get = 0;
	end
	--EventManager:FireEvent(EventType.UIMainPanelCommonBtnTips , 1 , self:isReward());
	EventManager:FireEvent(EventType.UIDailyMissionAdd);
end
function DailyMissionModel:isReward()
	if self.condition then
		for key , value in pairs(ResTable:getTable('daily_mission').contain) do
			if self.condition[tostring(value.type)] then
				local curCondition = self.condition[tostring(value.type)];
				if curCondition.get == 0 and curCondition.count >= value.count then
					return true;
				end
			end
		end
	end
	return false;
end
return DailyMissionModel
