local GemModel = class("GemModel")

function GemModel:ctor()
	self:clearAll();
end

function GemModel:clearAll(  )
	self.gemList = {};
	self.recastGem4Num = 0;
	self.recastGem5Num = 0;
end

function GemModel:Init(gems)
	self:clearAll();
	if gems == nil then
		return
	end

	for k,v in pairs(gems) do
		self.gemList[ v.crystal_id ] = v;
	end
end

function GemModel:addOneGem( msg )
	print_ro(msg, 'fubin===>addOneGem')

	for k,v in pairs(msg) do
		self.gemList[ v.crystal_id ] = v;
	end
end

function GemModel:getAllGems()
	return self.gemList;
end

function GemModel:getGemNum(no)
	return 0;
end

function GemModel:getGemPro( gemId )
	return self.gemList[ gemId ]
end

function GemModel:setGemToCard( gemId, pid, slot )
	local msg = {};
    msg.gemId = gemId;
    msg.pid = pid;
    msg.slot = slot;
    Network.NetworkManager:Send(Network.NetworkCmdType.req_gem_card_set, msg);
end

function GemModel:retSetGemToCard( msg )
	-- body
end

function GemModel:composeGem( gemIds )
	local msg = {};
    msg.gemIds = gemIds;
    Network.NetworkManager:Send(Network.NetworkCmdType.req_gem_compose, msg);
end

function GemModel:retComposeGem( msg )
	-- body
end

function GemModel:recastGem( gemId )
	local msg = {};
    msg.gemId = gemId;
    Network.NetworkManager:Send(Network.NetworkCmdType.req_gem_recast, msg);
end

function GemModel:retRecastGem( msg )
	-- body
end

function GemModel:saveRecastGem( gemId )
	local msg = {};
    msg.gemId = gemId;
    Network.NetworkManager:Send(Network.NetworkCmdType.req_gem_recast_save, msg);
end

function GemModel:retSaveRecast( msg )

end 

return GemModel;
