local HarvestModel = class("HarvestModel")

function HarvestModel:ctor()
end

function HarvestModel:Init(msg)
	self.nextPowerGet = msg.nextGenPower;
	self.curPower = msg.curPower or 0;
	self.maxPower = msg.maxPower;
	self.over = (msg.over ~= 0)
end

function HarvestModel:setNextPowerGet(msg)
	if msg == nil  then
		return 
	end
	--dump(msg,"=======setNextPowerGet");
	self.nextPowerGet = msg.nextGenPower;
	if self.nextPowerGet > 0 then
		self.curPower = self.curPower + self.nextPowerGet;
	end
	EventManager:FireEvent(EventType.HarvestPowerGen, false);
end

function HarvestModel:getNextPowerGet()
	return self.nextPowerGet;
end

function HarvestModel:setCurPower(msg)
	self.curPower = msg.power;
end

function HarvestModel:getCurPower()
	return self.curPower;
end

function HarvestModel:setMaxPower(msg)
	self.maxPower = msg.maxPower;
end

function HarvestModel:getMaxPower()
	return self.maxPower;
end

function HarvestModel:setOver(msg)
	self.over = (msg.over ~= 0)
	if self.over then
		UIManager:pop('HarvestPanel');
	end
end

function HarvestModel:IsOver()
	return self.over
end

function HarvestModel:beginTap()
	self.tapNum = 0;
end

function HarvestModel:tapScreen()
	self.tapNum = self.tapNum + 1;
end

function HarvestModel:getTap()
	return self.tapNum;
end

function HarvestModel:sendTapResult()
	local msg = {};
	msg.tapNum = self.tapNum;
	Network.NetworkManager:Send(Network.NetworkCmdType.req_harvest_reward, msg);
end

function HarvestModel:isFull()
	return (tonumber(self.curPower) == tonumber(self.maxPower));
end

return HarvestModel;

