--network.lua

--========================================================================
--网络类
cc.exports.Network = {};
Network.NetworkMsg_Login = require("app.network.networkMsg_Login"):create();
local NetworkMsg_Login = Network.NetworkMsg_Login;

Network.NetworkMsg_EnterGame = require("app.network.networkMsg_EnterGame"):create();
local NetworkMsg_EnterGame = Network.NetworkMsg_EnterGame;

Network.NetworkMsg_HeartBeat = require("app.network.networkMsg_HeartBeat"):create();
local NetworkMsg_HeartBeat = Network.NetworkMsg_HeartBeat;

Network.NetworkMsg_AutoFight = require("app.network.networkMsg_AutoFight"):create();
local NetworkMsg_AutoFight = Network.NetworkMsg_AutoFight;

Network.NetworkMsg_Error = require("app.network.networkMsg_Error"):create();
local NetworkMsg_Error = Network.NetworkMsg_Error;

Network.NetworkMsg_Card = require("app.network.networkMsg_Card"):create();
local NetworkMsg_Card = Network.NetworkMsg_Card;

Network.NetworkMsg_Homeland = require("app.network.networkMsg_Homeland"):create();
local NetworkMsg_Homeland = Network.NetworkMsg_Homeland;

Network.NetworkMsg_Shop = require("app.network.networkMsg_Shop"):create();
local NetworkMsg_Shop = Network.NetworkMsg_Shop;

Network.NetworkMsg_Skill = require("app.network.networkMsg_Skill"):create();
local NetworkMsg_Skill = Network.NetworkMsg_Skill;

Network.NetworkMsg_User = require("app.network.networkMsg_User"):create();
local NetworkMsg_User = Network.NetworkMsg_User;

Network.NetworkMsg_Fight = require("app.network.networkMsg_Fight"):create();
local NetworkMsg_Fight = Network.NetworkMsg_Fight;

Network.NetworkMsg_Team = require("app.network.networkMsg_Team"):create();
local NetworkMsg_Team = Network.NetworkMsg_Team;

Network.NetworkMsg_Gacha = require("app.network.networkMsg_Gacha"):create();
local NetworkMsg_Gacha = Network.NetworkMsg_Gacha;

Network.NetworkMsg_Mail = require("app.network.networkMsg_Mail"):create()
local NetworkMsg_Mail = Network.NetworkMsg_Mail;

Network.NetworkMsg_Guild = require("app.network.networkMsg_Guild"):create();
local NetworkMsg_Guild = Network.NetworkMsg_Guild;

Network.NetworkMsg_Activity = require("app.network.networkMsg_Activity"):create();
local NetworkMsg_Activity = Network.NetworkMsg_Activity;

Network.NetworkMsg_Notice = require("app.network.networkMsg_Notice"):create();
local NetworkMsg_Notice = Network.NetworkMsg_Notice;

Network.NetworkMsg_Event = require("app.network.networkMsg_Event"):create();
local NetworkMsg_Event = Network.NetworkMsg_Event;

Network.NetworkMsg_DailyMission = require("app.network.networkMsg_DailyMission"):create();
local NetworkMsg_DailyMission = Network.NetworkMsg_DailyMission;

Network.NetworkMsg_Equip = require("app.network.networkMsg_Equip"):create();
local NetworkMsg_Equip = Network.NetworkMsg_Equip;

Network.NetworkMsg_Treatment = require("app.network.networkMsg_Treatment"):create();
local NetworkMsg_Treatment = Network.NetworkMsg_Treatment;

Network.NetworkMsg_BattlepassEvent = require("app.network.networkMsg_BattlepassEvent"):create();
local NetworkMsg_BattlepassEvent = Network.NetworkMsg_BattlepassEvent;

Network.NetworkMsg_Mission = require("app.network.networkMsg_Mission"):create();
local NetworkMsg_Mission = Network.NetworkMsg_Mission;

Network.NetworkMsg_Recharge = require("app.network.networkMsg_Recharge"):create();
local NetworkMsg_Recharge = Network.NetworkMsg_Recharge;

Network.NetworkMsg_Arena = require("app.network.networkMsg_Arena"):create();
local NetworkMsg_Arena = Network.NetworkMsg_Arena;

Network.NetworkMsg_CardComment = require("app.network.networkMsg_CardComment"):create();
local NetworkMsg_CardComment = Network.NetworkMsg_CardComment;

Network.NetworkMsg_BareCollect = require("app.network.networkMsg_BareCollect"):create();
local NetworkMsg_BareCollect = Network.NetworkMsg_BareCollect;

Network.NetworkMsg_Admob = require("app.network.networkMsg_Admob"):create();
local NetworkMsg_Admob = Network.NetworkMsg_Admob;

Network.NetworkMsg_Gem = require("app.network.NetworkMsg_Gem"):create();
local NetworkMsg_Gem = Network.NetworkMsg_Gem;

Network.NetworkMsg_Story = require("app.network.networkMsg_Story"):create();
local NetworkMsg_Story = Network.NetworkMsg_Story;

Network.NetworkMsg_Box = require("app.network.networkMsg_Box"):create();
local NetworkMsg_Box = Network.NetworkMsg_Box;

local ServerName = cc.exports.Enum:getTable('ServerName');

local scheduler = cc.Director:getInstance():getScheduler();
cc.exports.Network.NetworkCmdType =
{
	-- login
	req_server_info					= 2000; --请求服务器信息
	req_enter_server				= 2001;	--请求进入服务器
	req_create_new_user				= 2002; --请求创建账号
	--req_check_uid					= 2000; --请求mac登陆
	--req_get_account_info			= 2001; --请求账号信息
	req_change_name					= 2003;	--请求更换名称
	req_unregister_platform	 		= 2006; --请求注销第三方账号
	req_guest_bind_platform	 		= 2007; --请求游客绑定第三方
	req_recover_account				= 2008; --请求恢复账号

	req_user_data					= 2100; --请求用户数据
	req_announcement				= 2101; --请求公告
	req_enter_game_data				= 2102; --进入游戏请求数据
	req_announcement_push			= 2103; --公告不再提醒

	-- heart beat
	req_heartbeat					= 3000; --请求心跳连接

	-- user info
	req_user_set_head				= 4000;	--设置用户头像
	req_user_set_kanban				= 4001;	--设置用户看板娘
	req_user_set_ui					= 4002;	--设置UI风格
	req_user_set_bg					= 4003;	--设置主界面背景
	req_user_level_up				= 4005;	-- 请求玩家升级
	req_user_save_guide				= 4006;	-- 保存玩家引导进度
	req_user_cdk_gift				= 4007;	-- 获取cdkey奖励
	-- req_user_cdk_create				= 4008;	-- 生成cdkey
	-- card
	req_card_lock					= 4100; -- 请求卡牌加锁/解锁
	req_base_card_compose			= 4102; --基地卡牌合成
	req_card_level_up				= 4103; --卡牌升级
	req_card_star_level_up			= 4104; --卡牌升星
	req_card_break					= 4105; --卡牌突破
	req_card_book_get_reward		= 4106;	--获取图鉴奖励
	req_card_resolve				= 4107; --卡牌分解
	req_card_reset					= 4108; --卡牌重置

	--avatar
	req_card_avatar_change			= 4150; --卡牌换皮肤
	req_card_avatar_get				= 4151; --获取黑化皮肤
	req_card_avatar_check			= 4152; --检查是否可以获取皮肤

	-- gacha
	req_gacha_info					= 4200;	-- 请求抽卡信息
	req_gacha						= 4201; -- 请求抽卡
	req_gacha_get_reward			= 4202; -- 请求获取抽卡奖励

	-- fight
	req_enter_fight					= 4300; --请求战斗开始
	req_exit_fight					= 4301; --请求战斗结束
	req_fast_fight					= 4302; --请求快速战斗
	-- req_roundboss_giveup			= 4303;	--放弃boss
	req_daily_round_info			= 4304;
	req_round_break_reward			= 4305; -- 请求5关突破奖励
	-- auto fight
	req_income_reward				= 4400; -- 请求获取挂机收益
	req_harvest_reward				= 4404;	-- 请求欢乐时光点击收益
	
	-- team
	req_save_battle_team			= 4600; -- 设置编队
	req_save_team_top_power			= 4601; -- 同步玩家最大战力

	-- equip
	req_equip_compose				= 4700; -- 装备合成
	req_equip_wear					= 4702; -- 请求穿上装备
	req_equip_one_key				= 4703; -- 一键装备
	req_equip_takeoff				= 4704; -- 请求脱下装备
	req_equip_takeoff_all			= 4705; -- 请求脱下全部装备
	req_equip_one_key_compose       = 4707; -- 一键合成

	-- treatment
	-- req_card_treatment_info			= 4800; -- 获取治疗信息
	-- req_card_treatment				= 4801; -- 请求开始治疗
	-- req_card_treatment_complete		= 4802; -- 请求治疗完毕
	-- req_card_treatment_speed		= 4803; -- 请求治疗速度
	-- req_card_treatment_cancel		= 4804; -- 请求取消治疗

	-- base
	req_base_skill_info						= 4909;	-- 基地科技信息
	req_base_skill_level_up					= 4910;	-- 基地科技升级
	req_base_skill_clear_cd					= 4911;	-- 基地科技清除cd
	
	-- shop
	req_buy_gift					= 5000; -- 请求购买礼盒
	req_buy_shop_item				= 5001;	-- 请求购买商店物品
	req_buy_store_item				= 5002; -- 请求购买公会商店物品
	req_guild_shop_info				= 5003;	-- 请求公会信息
	req_is_buy_gift					= 5614; -- 请求是否购买过

	req_buy_roundboss				= 5006;	-- 获得一个随机boss
	req_roundboss_refreshAll		= 5007;	-- 刷新boss
	req_roundboss_dbInfo			= 5313;	-- 获得boss双倍活动信息

	req_shop_info					= 5011; --请求普通商店数据
	req_buy_avatar					= 5015; --购买皮肤
	req_buy_battlepass				= 5016; --battlepass购买
	req_shop_gift_rec				= 5017; --请求推荐礼包数据
	-- mail
	req_gmail_list_t				= 5100; --获取 所有邮件
	req_gmail_reward_t				= 5101;	--获得单个邮件奖励
	req_open_mail_t					= 5102;	--打开邮件
	req_gmail_delete_t				= 5103;	--删除邮件
	req_gmail_getallreward_t		= 5104; --获得所有邮件奖励
	req_gmail_delallmail_t			= 5105;	--删除所有邮件
	
	-- guild
	req_guild_info_t				= 5200; --获取公会信息
	req_all_guild_list_t			= 5201; --获取公会列表
	req_join_guild_t				= 5202; --申请加入公会
	req_search_guild_t				= 5203; --搜索公会
	req_create_guild_t				= 5204; --创建公会
	req_guild_member_t				= 5205; --获取公会成员 
	req_apply_list_t				= 5206; --获取申请列表  
	req_guild_appoint_t				= 5207; --委任
	req_guild_fired_t				= 5208; --开除公会
	req_guild_depose_t				= 5209; --免职
	req_guild_quit_t				= 5210; --退出公会
	req_guild_Dismiss_t				= 5211; --解散公会
	req_guild_apply_t				= 5212; --通过申请 
	req_guild_not_apply_t			= 5213; --未通过申请 
	req_guild_donate_info_t			= 5214; --公会捐献信息
	req_guild_donate_t				= 5215; --公会捐献
	req_get_donate_reward_t			= 5216; --获得捐献奖励
	req_guild_rank_t				= 5217; --获取公会排行榜
	req_guild_mess_info_t			= 5218; --留言信息
	req_guild_sys_mess_t			= 5219; --系统信息 
	req_guild_mess_send_t			= 5220; --留言
	req_guild_notice_t				= 5221; --公会公告
	req_guild_icon_t				= 5222;	--公会icon
	req_guild_set_audit_t			= 5223;	--公会设置审核状态
	req_guild_member_team_t			= 5224;	--获取成员编队
	req_guild_transfer_t			= 5225;	--公会转让
	req_guild_impeach_t				= 5226;	--弹劾会长
	
	-- activity
	req_activity_all_info_4700			= 5300;	--获得普通活动全部信息
	req_sign_get_reward					= 5301;
	req_activity_get_reward_4714		= 5302;	--获得活动奖励 七日登陆，累计充值，每日充值
	req_round_reward					= 5304; --关卡奖励
	req_online_get_reward				= 5306; --领取在线奖励
	req_trial_get_reward				= 5307; --领取试炼奖励
	req_tree_day_reward					= 5310; --三日目标
	req_login_con_list					= 5311; --累计登录奖励列表
	req_login_con_rwd					= 5312; --获取累计登录奖励

	req_recharge_task_rwd				= 5314; --获取累计充值任务奖励


	--event
	req_event_get_info                  = 6150;-- 活动数据
	
	req_event_active                  	= 5501;
	req_event_map_info					= 6151; -- 开启一层
	req_event_tile_info					= 6152; -- 点击一个地格
	req_event_employ_robot	            = 6153;
	req_event_select_shoponce           = 6154;
	req_event_select_buff               = 6155;
	req_event_use_item	                = 6156;
	req_event_giveup_shop               = 6157;
	req_event_result					= 6158;
	
	req_event_get_hard_log				= 5506;
	req_event_reset						= 5507; -- event -> reset 
	req_event_bp_reward					= 6159;

	--mission
	req_mission_data                		=5550;
	req_mission_daily_reward_item				=5551;
	--req_battle_pass_get_reward          	=5552;
	req_mission_get_daily_reward      		=5553;
	req_mission_life_reward      			=5554;
	req_mission_life_goal_reward  			=5555;
	
	--recharge 充值相关
	req_recharge_info					= 5600; -- rechage info
	req_recharge_reward					= 5602;	-- recharge 奖励 <首充礼包，百元礼包>
	req_recharge_reward_month			= 5604; -- 领取 月卡礼包
	req_recharge_good_info				= 5606; -- SDK 支付1 开启支付，获取商品数据
	req_recharge_good_verify			= 5607; -- SDK 支付2 支付成功，验证支付结果
	req_recharge_unconsumed				= 5608;	-- SDK 支付 检测未使用订单
	req_recharge_change_auto			= 5609; -- SDK 支付 变更auto类型 订阅状态
	req_recharge_goods_reward			= 5610; -- SDK 支付3 验证成功，获取奖励
	req_recharge_growup_reward			= 5611; -- 获取成长礼包奖励
	req_recharge_gift_free				= 5612; -- 获取免费礼包
	--arena 竞技场
	req_arena_info						= 5700; --竞技场信息
	req_arena_rank_list					= 5701; --竞技场玩家列表
	req_arena_rank_lv_reward			= 5702; --竞技场段位奖励

	req_multarena_info					= 5703; --多队竞技场信息
	req_multarena_refresh				= 5704; --多对竞技场刷新对手
	req_multarena_reward				= 5705; --领取累计奖励
	req_multarena_history				= 5706; --获取对战历史记录

	req_rank_list 						= 6200; --排行榜数据请求

	--评论
	req_card_comment_info				= 5750; --获取评论信息
	req_card_comment_card_like			= 5751; --给卡牌点赞
	req_card_comment_like				= 5752; --给卡牌评论点赞
	req_card_comment					= 5753; --给卡牌评论

	--大破图鉴
	req_bare_collect_active				= 5800; --大破图鉴激活
	req_bare_collect_wear				= 5801; --图鉴穿戴
	req_bare_collect_takeoff			= 5802; --图鉴卸下
	req_bare_collect_add_new			= 5803; --增加未获得大破
	req_bare_bless_up					= 5804; --大破祝福升级

	req_guild_boss_info_5850			= 5850; --获取新版本公会boss信息
	req_guild_fight_times				= 5851;	--新公会boss购买挑战次数
	req_guild_boss_rwd					= 5852;	--新公会boss领取奖励
	req_guild_raid_rank					= 5853;
	req_guild_raid_damage_rank			= 5854;

	req_love_level_up					= 5900; --爱恋升级
	req_love_wear						= 5901; --爱恋穿戴
	req_love_takeoff					= 5902; --爱恋卸下

	req_admob_info						= 6000;	-- 获取广告剩余次数
	req_admob_reward 					= 6001; -- 获取广告ID


	req_future_card_unlock 				= 6100; -- 解锁祭坛槽位
	req_future_card_update 				= 6101; -- 祭坛槽位数据变更
	req_future_card_clear 				= 6102; -- 清除祭坛槽位cd

	req_open_box						= 6250; --开箱子

	req_gem_card_set 					= 6300; -- 放置卡牌的宝石
	req_gem_compose 					= 6301; -- 合成宝石
	req_gem_recast	 					= 6302; -- 重铸宝石
	req_gem_recast_save					= 6303; -- 保存重铸结果

	req_battlepass_data					= 6350; --获取battlepass数据
	req_battlepass_reward				= 6351; --获取battlepass奖励
	req_battlepass_mission_reward		= 6352; --获取battlepass任务奖励

	req_round_mission_rwd				= 6402; --一键领取
	req_round_mission_item_rwd			= 6401; --领取奖励

	req_play_ball_init					= 6500; --初始化弹球
	req_play_ball_shoot					= 6501; --弹球分数
	req_play_ball_exchange				= 6502; --兑换弹球

	req_story_reset						= 6550; --重置剧情
	req_story_save_card					= 6552; --保存所选卡牌
	req_story_data						= 6602; --获取剧情数据 奖励领取状态 和 地图
	req_story_rwd						= 6603; --领取奖励
	req_story_sel_plot					= 6551; --选择剧情 选择技能


	req_record_funnel					= 7200; -- 记录funnel

};

local NetworkCmdCanRepeat =
{
	[4301] = 1,--4301; --请求战斗结束
	[4201] = 1,--4201; -- 请求抽卡

	[4103] = 1,--4103; --卡牌升级
	[4104] = 1,--4104; --卡牌升星
	[4700] = 1,--4700; -- 装备合成
	[4707] = 1,--4707; -- 一键合成
	[5000] = 1,--5000; -- 请求购买礼盒
	[5001] = 1,--5001;	-- 请求购买商店物品
	[5306] = 1,--5306; --领取在线奖励
};
local NetworkCmdType = cc.exports.Network.NetworkCmdType;

local NetworkManager = class("NetworkManager")
function NetworkManager:ctor()
	self.isInner = true; -- 是否使用内网
	self.routeInnerIP = '47.95.37.122'; -- Win32内网使用
	self.routeIP = '47.95.37.122'; -- 真机使用
	--self.routePort = require('account').server_port; -- 路由端口

	self.netError = false; -- 网络错误
	self.serverData = nil; -- 服务器数据
	self.reqList = {}; -- 请求列表
	self.receiveID = 0; -- 回复ID
	self.handlerList = {}; -- 事件列表
	self.errorHandlerList = {}; -- 错误处理列表
	self.sendList = {}; --请求列表

	self.errorId = 0;
end

--local msgLabel; --等待消息id

--local loadingTimer = 0; --等待计时器
--local heartBeatTimer = 0; --心跳等待计时器

--初始化
function NetworkManager:Init()
	self.canHandler = true
	self.netError = false;
	self.serverData = nil; --服务器数据
	self.reqList = {}; --请求列表
	self.receiveID = 0; --回复ID
	self.handlerList = {}; --事件列表
	self.errorHandlerList = {}; --错误处理列表
	self.sendList = {}

	-- login
	self:RegisterEvent(NetworkCmdType.req_server_info, NetworkMsg_Login, NetworkMsg_Login.onRetServerInfo);
	self:RegisterEvent(NetworkCmdType.req_enter_server, NetworkMsg_Login, NetworkMsg_Login.onRetEnterServer);
	self:RegisterEvent(NetworkCmdType.req_create_new_user, NetworkMsg_Login, NetworkMsg_Login.onRetCreateNewUser);	
	self:RegisterEvent(NetworkCmdType.req_announcement, NetworkMsg_Login, NetworkMsg_Login.onRetAnnouncement);
	self:RegisterEvent(NetworkCmdType.req_enter_game_data, NetworkMsg_Login, NetworkMsg_Login.onRetEnterGame);

	self:RegisterEvent(NetworkCmdType.req_user_data, NetworkMsg_EnterGame, NetworkMsg_EnterGame.onReqUserData);
	self:RegisterEvent(NetworkCmdType.req_unregister_platform, NetworkMsg_Login, NetworkMsg_Login.onRetUnregisterPlatform);
	self:RegisterEvent(NetworkCmdType.req_guest_bind_platform, NetworkMsg_Login, NetworkMsg_Login.onRetGuestBindPlatform);
	self:RegisterEvent(NetworkCmdType.req_recover_account, NetworkMsg_Login, NetworkMsg_Login.onRetRecoverAccount);

	self:RegisterEvent(NetworkCmdType.req_change_name, NetworkMsg_Login, NetworkMsg_Login.onRetChangeName);
	
	-- heart beat
	
	-- user info
	self:RegisterEvent(NetworkCmdType.req_user_set_head, NetworkMsg_User, NetworkMsg_User.onRetSetHeadIcon);
	self:RegisterEvent(NetworkCmdType.req_user_set_kanban, NetworkMsg_User, NetworkMsg_User.onRetSetKanban);
	self:RegisterEvent(NetworkCmdType.req_user_set_ui, NetworkMsg_User, NetworkMsg_User.onRetSetUI);
	self:RegisterEvent(NetworkCmdType.req_user_set_bg, NetworkMsg_User, NetworkMsg_User.onRetSetBG);

	self:RegisterEvent(NetworkCmdType.req_user_level_up, NetworkMsg_User , NetworkMsg_User.onRetLevelUp);      
	self:RegisterEvent(NetworkCmdType.req_user_save_guide, NetworkMsg_User , NetworkMsg_User.onRetGuideSave);      
	self:RegisterEvent(NetworkCmdType.req_user_cdk_gift, NetworkMsg_User , NetworkMsg_User.onRetCDKGift);      
	
	-- card
	self:RegisterEvent(NetworkCmdType.req_card_lock, NetworkMsg_Card, NetworkMsg_Card.onRetLock);
	self:RegisterEvent(NetworkCmdType.req_base_card_compose, NetworkMsg_Homeland, NetworkMsg_Homeland.onRetBaseCardCompose);
	self:RegisterEvent(NetworkCmdType.req_card_level_up, NetworkMsg_Card, NetworkMsg_Card.onRetCardLevelUp);
	self:RegisterEvent(NetworkCmdType.req_card_star_level_up, NetworkMsg_Card, NetworkMsg_Card.onRetCardStarLevelUp);
	self:RegisterEvent(NetworkCmdType.req_card_break, NetworkMsg_Card, NetworkMsg_Card.onRetCardBreak);
	self:RegisterEvent(NetworkCmdType.req_card_book_get_reward, NetworkMsg_Card, NetworkMsg_Card.onRetCardBookGetReward);
	self:RegisterEvent(NetworkCmdType.req_card_resolve, NetworkMsg_Card, NetworkMsg_Card.onRetCardResolve);
	self:RegisterEvent(NetworkCmdType.req_card_reset, NetworkMsg_Card, NetworkMsg_Card.onRetCardReset);

	self:RegisterEvent(NetworkCmdType.req_card_avatar_change, NetworkMsg_Card, NetworkMsg_Card.onRetCardAvatarChange);
	self:RegisterEvent(NetworkCmdType.req_card_avatar_get, NetworkMsg_Card, NetworkMsg_Card.onRetCardAvatarGet);
	self:RegisterEvent(NetworkCmdType.req_card_avatar_check, NetworkMsg_Card, NetworkMsg_Card.onRetCardAvatarCheck);

	-- gacha
	self:RegisterEvent(NetworkCmdType.req_gacha_info, NetworkMsg_Gacha, NetworkMsg_Gacha.onRetGachaInfo);
	self:RegisterEvent(NetworkCmdType.req_gacha, NetworkMsg_Gacha, NetworkMsg_Gacha.onRetGachaResult);
	self:RegisterEvent(NetworkCmdType.req_gacha_get_reward, NetworkMsg_Gacha, NetworkMsg_Gacha.onRetGachaGetReward);

	-- fight
	self:RegisterEvent(NetworkCmdType.req_enter_fight, NetworkMsg_Fight, NetworkMsg_Fight.onRetEnterFight);
	self:RegisterEvent(NetworkCmdType.req_exit_fight, NetworkMsg_Fight, NetworkMsg_Fight.onRetExitFight);
	self:RegisterEvent(NetworkCmdType.req_fast_fight, NetworkMsg_Fight, NetworkMsg_Fight.onFastInfo);
	-- self:RegisterEvent(NetworkCmdType.req_roundboss_giveup, NetworkMsg_Fight, NetworkMsg_Fight.onRetRoundBossGiveUp);
	self:RegisterEvent(NetworkCmdType.req_buy_roundboss, NetworkMsg_Fight, NetworkMsg_Fight.onRetRoundBossBuy);
	self:RegisterEvent(NetworkCmdType.req_roundboss_refreshAll, NetworkMsg_Fight, NetworkMsg_Fight.onRetRoundBossRefreshAll);
	self:RegisterEvent(NetworkCmdType.req_roundboss_dbInfo, NetworkMsg_Fight, NetworkMsg_Fight.onRetRoundBossDBInfo);

	self:RegisterEvent(NetworkCmdType.req_round_break_reward, NetworkMsg_Fight, NetworkMsg_Fight.onRetGetRoundBreakReward);
	
	self:RegisterEvent(NetworkCmdType.req_daily_round_info, NetworkMsg_Fight, NetworkMsg_Fight.onRetDailyRoundInfo);

	-- heart beat
	self:RegisterEvent(NetworkCmdType.req_heartbeat, NetworkMsg_HeartBeat, NetworkMsg_HeartBeat.onRetHeartBeat);

	-- auto fight
	self:RegisterEvent(NetworkCmdType.req_income_reward, NetworkMsg_AutoFight, NetworkMsg_AutoFight.onRetIncomeReward);
	self:RegisterEvent(NetworkCmdType.req_harvest_reward, NetworkMsg_AutoFight, NetworkMsg_AutoFight.onRetHarvestReward);

	-- team
	self:RegisterEvent(NetworkCmdType.req_save_battle_team, NetworkMsg_Team, NetworkMsg_Team.onRetSaveBattleTeam);

	-- equip
	self:RegisterEvent(NetworkCmdType.req_equip_compose, NetworkMsg_Equip, NetworkMsg_Equip.onRetEquipCompose);
	self:RegisterEvent(NetworkCmdType.req_equip_wear, NetworkMsg_Equip, NetworkMsg_Equip.onRetEquipWear);
	self:RegisterEvent(NetworkCmdType.req_equip_one_key, NetworkMsg_Equip, NetworkMsg_Equip.onRetEquipOneKey);
	self:RegisterEvent(NetworkCmdType.req_equip_takeoff, NetworkMsg_Equip, NetworkMsg_Equip.onRetEquipTakeoff);
	self:RegisterEvent(NetworkCmdType.req_equip_takeoff_all, NetworkMsg_Equip, NetworkMsg_Equip.onRetEquipTakeoffAll);
	self:RegisterEvent(NetworkCmdType.req_equip_one_key_compose, NetworkMsg_Equip, NetworkMsg_Equip.onRetEquipOneKeyCompose);
	
	-- treatment
	-- self:RegisterEvent(NetworkCmdType.req_card_treatment_info,NetworkMsg_Treatment,NetworkMsg_Treatment.onRetCardTreatmentInfo);
	-- self:RegisterEvent(NetworkCmdType.req_card_treatment,NetworkMsg_Treatment,NetworkMsg_Treatment.onRetCardTreatment);
	-- self:RegisterEvent(NetworkCmdType.req_card_treatment_complete,NetworkMsg_Treatment,NetworkMsg_Treatment.onRetCardTreatmentComplete);
	-- self:RegisterEvent(NetworkCmdType.req_card_treatment_speed,NetworkMsg_Treatment,NetworkMsg_Treatment.onRetCardTreatmentSpeed);
	-- self:RegisterEvent(NetworkCmdType.req_card_treatment_cancel,NetworkMsg_Treatment,NetworkMsg_Treatment.onRetCardTreatmentCancel);

	-- base
	self:RegisterEvent(NetworkCmdType.req_base_skill_info, NetworkMsg_Homeland, NetworkMsg_Homeland.onRetBaseSkillInfo);
	self:RegisterEvent(NetworkCmdType.req_base_skill_level_up, NetworkMsg_Homeland, NetworkMsg_Homeland.onRetBaseSkillLevelUp);
	self:RegisterEvent(NetworkCmdType.req_base_skill_clear_cd, NetworkMsg_Homeland, NetworkMsg_Homeland.onRetBaseSkillClaerCd);
		
	--trial  
	self:RegisterEvent(NetworkCmdType.req_trial_get_reward , NetworkMsg_Homeland, NetworkMsg_Homeland.onRetBaseTrialGetReward);
	-- self:RegisterEvent(NetworkCmdType.req_buy_trial_auto_num , NetworkMsg_Homeland, NetworkMsg_Homeland.onRetBaseTrialBuyAutoNum);
		
	-- shop
	self:RegisterEvent(NetworkCmdType.req_shop_info, NetworkMsg_Shop, NetworkMsg_Shop.onRetShopData);
	self:RegisterEvent(NetworkCmdType.req_buy_gift, NetworkMsg_Shop, NetworkMsg_Shop.onRetBuyGift);
	self:RegisterEvent(NetworkCmdType.req_buy_shop_item, NetworkMsg_Shop, NetworkMsg_Shop.onRetBuyShopItem);
	self:RegisterEvent(NetworkCmdType.req_buy_store_item, NetworkMsg_Shop, NetworkMsg_Shop.onRetGetStoreBuy);
	self:RegisterEvent(NetworkCmdType.req_buy_avatar, NetworkMsg_Shop, NetworkMsg_Shop.onRetBuyAvatar);
	self:RegisterEvent(NetworkCmdType.req_buy_battlepass, NetworkMsg_Shop, NetworkMsg_Shop.onRetBuyBattlepass);
	self:RegisterEvent(NetworkCmdType.req_is_buy_gift, NetworkMsg_Shop , NetworkMsg_Shop.onRetIsBuy);
	self:RegisterEvent(NetworkCmdType.req_play_ball_exchange, NetworkMsg_Shop , NetworkMsg_Shop.onRetExange);
	self:RegisterEvent(NetworkCmdType.req_shop_gift_rec, NetworkMsg_Shop, NetworkMsg_Shop.onRetShopGiftData);
	
	-- mail
	self:RegisterEvent(NetworkCmdType.req_gmail_list_t, NetworkMsg_Mail,NetworkMsg_Mail.onRetAllMail);	
	self:RegisterEvent(NetworkCmdType.req_gmail_reward_t, NetworkMsg_Mail,NetworkMsg_Mail.onRetMailReward);		
	self:RegisterEvent(NetworkCmdType.req_open_mail_t, NetworkMsg_Mail,NetworkMsg_Mail.onRetOpenMail);
	self:RegisterEvent(NetworkCmdType.req_gmail_delete_t, NetworkMsg_Mail,NetworkMsg_Mail.onRetGmailDelete);	
	self:RegisterEvent(NetworkCmdType.req_gmail_getallreward_t, NetworkMsg_Mail,NetworkMsg_Mail.onRetMailGetAllReward);
	self:RegisterEvent(NetworkCmdType.req_gmail_delallmail_t, NetworkMsg_Mail,NetworkMsg_Mail.onRetMailDelAll);

	-- guild
	self:RegisterEvent(NetworkCmdType.req_guild_info_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildInfo);			
	self:RegisterEvent(NetworkCmdType.req_all_guild_list_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetAllGuildList);			
	self:RegisterEvent(NetworkCmdType.req_join_guild_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetJoinGuild);			
	self:RegisterEvent(NetworkCmdType.req_search_guild_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetSearchGuild);			
	self:RegisterEvent(NetworkCmdType.req_create_guild_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetCreateGuild);			
	self:RegisterEvent(NetworkCmdType.req_guild_member_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildMember);			
	self:RegisterEvent(NetworkCmdType.req_apply_list_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetApplyList);			
	self:RegisterEvent(NetworkCmdType.req_guild_appoint_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildAppoint);			
	self:RegisterEvent(NetworkCmdType.req_guild_fired_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildFired);			
	self:RegisterEvent(NetworkCmdType.req_guild_depose_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildDepose);			
	self:RegisterEvent(NetworkCmdType.req_guild_quit_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildQuit);			
	self:RegisterEvent(NetworkCmdType.req_guild_Dismiss_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildDismiss);			
	self:RegisterEvent(NetworkCmdType.req_guild_apply_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildApply);			
	self:RegisterEvent(NetworkCmdType.req_guild_not_apply_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildNotApply);			
	self:RegisterEvent(NetworkCmdType.req_guild_donate_info_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildDonateInfo);			
	self:RegisterEvent(NetworkCmdType.req_guild_donate_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildDonate);			
	self:RegisterEvent(NetworkCmdType.req_get_donate_reward_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGetDonateReward);			
	self:RegisterEvent(NetworkCmdType.req_guild_rank_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildRank);			
	self:RegisterEvent(NetworkCmdType.req_guild_mess_info_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildMessInfo);			
	self:RegisterEvent(NetworkCmdType.req_guild_sys_mess_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildSysMess);			
	self:RegisterEvent(NetworkCmdType.req_guild_mess_send_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildMessSend);
	self:RegisterEvent(NetworkCmdType.req_guild_notice_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildNotice);
	self:RegisterEvent(NetworkCmdType.req_guild_icon_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildIconChange);
	self:RegisterEvent(NetworkCmdType.req_guild_set_audit_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildSetAuditState);
	self:RegisterEvent(NetworkCmdType.req_guild_member_team_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildMemberTeam);
	self:RegisterEvent(NetworkCmdType.req_guild_transfer_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildTransfer);
	self:RegisterEvent(NetworkCmdType.req_guild_impeach_t,NetworkMsg_Guild,NetworkMsg_Guild.onRetGuildImpeach);
	
	self:RegisterEvent(NetworkCmdType.req_guild_boss_info_5850 , NetworkMsg_Guild, NetworkMsg_Guild.onRetGuildBossInfo);
	self:RegisterEvent(NetworkCmdType.req_guild_fight_times , NetworkMsg_Guild, NetworkMsg_Guild.onRetGuildBossFightTimes);
	self:RegisterEvent(NetworkCmdType.req_guild_boss_rwd , NetworkMsg_Guild, NetworkMsg_Guild.onRetGuildBossRwd);

	-- activity
	self:RegisterEvent(NetworkCmdType.req_activity_all_info_4700 , NetworkMsg_Activity, NetworkMsg_Activity.onRetGetActivityData);
	self:RegisterEvent(NetworkCmdType.req_sign_get_reward , NetworkMsg_Activity, NetworkMsg_Activity.onRetSignGetReward);
	self:RegisterEvent(NetworkCmdType.req_activity_get_reward_4714 , NetworkMsg_Activity, NetworkMsg_Activity.onRetGetLimitActivityReward);
	self:RegisterEvent(NetworkCmdType.req_round_reward , NetworkMsg_Activity, NetworkMsg_Activity.onRetRoundReward);
	self:RegisterEvent(NetworkCmdType.req_tree_day_reward, NetworkMsg_Activity , NetworkMsg_Activity.onRetThreeDayReward);
	-- self:RegisterEvent(NetworkCmdType.req_powar_get_reward , NetworkMsg_Activity, NetworkMsg_Activity.onRetPowarGetReward);
	--online reward
	-- self:RegisterEvent(NetworkCmdType.req_online_get_info , NetworkMsg_Activity, NetworkMsg_Activity.onRetOnlineGetInfo);
	self:RegisterEvent(NetworkCmdType.req_online_get_reward , NetworkMsg_Activity, NetworkMsg_Activity.onRetOnlineGetReward);

	self:RegisterEvent(NetworkCmdType.req_login_con_list , NetworkMsg_Activity, NetworkMsg_Activity.onRetLoginConList);
	self:RegisterEvent(NetworkCmdType.req_login_con_rwd , NetworkMsg_Activity, NetworkMsg_Activity.onRetLoginConRwd);

	self:RegisterEvent(NetworkCmdType.req_recharge_task_rwd , NetworkMsg_Recharge, NetworkMsg_Recharge.onRetGetRechargeTaskRwd);

	self:RegisterEvent(NetworkCmdType.req_round_mission_rwd , NetworkMsg_Activity, NetworkMsg_Activity.onRetRoundBankMinssionRwd);
	self:RegisterEvent(NetworkCmdType.req_round_mission_item_rwd , NetworkMsg_Activity, NetworkMsg_Activity.onRetRoundBankMinssionItemRwd);

	--event
	self:RegisterEvent(NetworkCmdType.req_event_get_info, NetworkMsg_Event , NetworkMsg_Event.onRetGetEventInfo);
	self:RegisterEvent(NetworkCmdType.req_event_active, NetworkMsg_Event , NetworkMsg_Event.onRetEventActive);

	self:RegisterEvent(NetworkCmdType.req_event_select_buff, NetworkMsg_Event , NetworkMsg_Event.onRetEventSelectBuff);
	self:RegisterEvent(NetworkCmdType.req_event_select_shoponce, NetworkMsg_Event , NetworkMsg_Event.onRetEventSelectShopOnce);
	self:RegisterEvent(NetworkCmdType.req_event_employ_robot, NetworkMsg_Event , NetworkMsg_Event.onRetEventEmployRobot);
	self:RegisterEvent(NetworkCmdType.req_event_use_item, NetworkMsg_Event , NetworkMsg_Event.onRetEventUseItem);
	self:RegisterEvent(NetworkCmdType.req_event_giveup_shop, NetworkMsg_Event , NetworkMsg_Event.onRetGiveUpShop);
	self:RegisterEvent(NetworkCmdType.req_event_result, NetworkMsg_Event , NetworkMsg_Event.onRetEventResult);

	self:RegisterEvent(NetworkCmdType.req_play_ball_init, NetworkMsg_Event , NetworkMsg_Event.onRetPlayBall);
	self:RegisterEvent(NetworkCmdType.req_play_ball_shoot, NetworkMsg_Event , NetworkMsg_Event.onRetPlayBall);

	self:RegisterEvent(NetworkCmdType.req_event_map_info, NetworkMsg_Event , NetworkMsg_Event.onRetEventGetMapInfo);
	self:RegisterEvent(NetworkCmdType.req_event_get_hard_log, NetworkMsg_Event , NetworkMsg_Event.onRetEventGetHardLog);
	self:RegisterEvent(NetworkCmdType.req_event_reset, NetworkMsg_Event , NetworkMsg_Event.onRetEventReset);

	self:RegisterEvent(NetworkCmdType.req_event_tile_info, NetworkMsg_Event , NetworkMsg_Event.onRetEventTileInfo);
	self:RegisterEvent(NetworkCmdType.req_event_bp_reward, NetworkMsg_Event , NetworkMsg_Event.onRetEventBPRwd);

	--battlepass
	self:RegisterEvent(NetworkCmdType.req_mission_data, NetworkMsg_Mission , NetworkMsg_Mission.onRetMissionData);
	self:RegisterEvent(NetworkCmdType.req_mission_daily_reward_item, NetworkMsg_Mission , NetworkMsg_Mission.onRetMissionDailyRewardItem);
	--self:RegisterEvent(NetworkCmdType.req_battle_pass_get_reward, NetworkMsg_BattlePass , NetworkMsg_BattlePass.onRetBattlePassGetReward);
	self:RegisterEvent(NetworkCmdType.req_mission_get_daily_reward, NetworkMsg_Mission , NetworkMsg_Mission.onRetMissionDailyReward);
	self:RegisterEvent(NetworkCmdType.req_mission_life_reward, NetworkMsg_Mission , NetworkMsg_Mission.onRetMissionLifeReward);
	self:RegisterEvent(NetworkCmdType.req_mission_life_goal_reward, NetworkMsg_Mission , NetworkMsg_Mission.onRetMissionLifeGoalReward);
	
	--recharge
	self:RegisterEvent(NetworkCmdType.req_recharge_info, NetworkMsg_Recharge , NetworkMsg_Recharge.onRetGetRechargeInfo);
	self:RegisterEvent(NetworkCmdType.req_recharge_reward, NetworkMsg_Recharge , NetworkMsg_Recharge.onRetGetRechargeReward);
	self:RegisterEvent(NetworkCmdType.req_recharge_reward_month, NetworkMsg_Recharge , NetworkMsg_Recharge.onRetGetRechargeMonthCardReward);
	self:RegisterEvent(NetworkCmdType.req_recharge_good_info, NetworkMsg_Recharge , NetworkMsg_Recharge.onRetGetRechargeGoodInfo);
	self:RegisterEvent(NetworkCmdType.req_recharge_good_verify, NetworkMsg_Recharge , NetworkMsg_Recharge.onRetGetRechargeGoodVerify);
	self:RegisterEvent(NetworkCmdType.req_recharge_goods_reward, NetworkMsg_Recharge , NetworkMsg_Recharge.onRetGetRechargeGoodReward);
	self:RegisterEvent(NetworkCmdType.req_recharge_unconsumed, NetworkMsg_Recharge , NetworkMsg_Recharge.onRetGetRechargeUncomsumed);
	self:RegisterEvent(NetworkCmdType.req_recharge_change_auto, NetworkMsg_Recharge , NetworkMsg_Recharge.onRetGetRechargeChangeAuto);
	self:RegisterEvent(NetworkCmdType.req_recharge_growup_reward, NetworkMsg_Recharge , NetworkMsg_Recharge.onRetGetRechargeGrowupReward);
	self:RegisterEvent(NetworkCmdType.req_recharge_gift_free, NetworkMsg_Recharge , NetworkMsg_Recharge.onRetGetRechargeGiftFree);
	--arena
	self:RegisterEvent(NetworkCmdType.req_arena_info, NetworkMsg_Arena , NetworkMsg_Arena.onRetArenaInfo);
	self:RegisterEvent(NetworkCmdType.req_arena_rank_list, NetworkMsg_Arena , NetworkMsg_Arena.onRetArenaRankList);
	self:RegisterEvent(NetworkCmdType.req_arena_rank_lv_reward, NetworkMsg_Arena , NetworkMsg_Arena.onRetGetArenaRankLvReward);

	self:RegisterEvent(NetworkCmdType.req_rank_list, NetworkMsg_Arena , NetworkMsg_Arena.onRetRankList);

	self:RegisterEvent(NetworkCmdType.req_multarena_info, NetworkMsg_Arena , NetworkMsg_Arena.onRetMultArenaInfo);
	self:RegisterEvent(NetworkCmdType.req_multarena_refresh, NetworkMsg_Arena , NetworkMsg_Arena.onRetMultArenaRefresh);
	self:RegisterEvent(NetworkCmdType.req_multarena_reward, NetworkMsg_Arena , NetworkMsg_Arena.onRetMultArenaRwd);
	self:RegisterEvent(NetworkCmdType.req_multarena_history, NetworkMsg_Arena , NetworkMsg_Arena.onRetMultArenaHistory);

	--评论
	self:RegisterEvent(NetworkCmdType.req_card_comment_info, NetworkMsg_CardComment , NetworkMsg_CardComment.onRetCardCommentInfo);
	self:RegisterEvent(NetworkCmdType.req_card_comment_card_like, NetworkMsg_CardComment , NetworkMsg_CardComment.onRetCardCommentCardLike);
	self:RegisterEvent(NetworkCmdType.req_card_comment_like, NetworkMsg_CardComment , NetworkMsg_CardComment.onRetCardCommentLike);
	self:RegisterEvent(NetworkCmdType.req_card_comment, NetworkMsg_CardComment , NetworkMsg_CardComment.onRetCardComment);

	--大破图鉴
	self:RegisterEvent(NetworkCmdType.req_bare_collect_active, NetworkMsg_BareCollect , NetworkMsg_BareCollect.onRetBareCollectActive);
	self:RegisterEvent(NetworkCmdType.req_bare_collect_wear, NetworkMsg_BareCollect , NetworkMsg_BareCollect.onRetBareCollectWear);
	self:RegisterEvent(NetworkCmdType.req_bare_collect_takeoff, NetworkMsg_BareCollect , NetworkMsg_BareCollect.onRetBareCollectTakeoff);
	self:RegisterEvent(NetworkCmdType.req_bare_collect_add_new, NetworkMsg_BareCollect , NetworkMsg_BareCollect.onRetBareCollectAddNew);
	self:RegisterEvent(NetworkCmdType.req_bare_bless_up, NetworkMsg_BareCollect , NetworkMsg_BareCollect.onRetBareBlessUp);

	self:RegisterEvent(NetworkCmdType.req_guild_raid_rank, NetworkMsg_Guild , NetworkMsg_Guild.onRetGuildRaidRank);
	self:RegisterEvent(NetworkCmdType.req_guild_raid_damage_rank, NetworkMsg_Guild , NetworkMsg_Guild.onRetGuildRaidDamageRank);
	
	self:RegisterEvent(NetworkCmdType.req_love_level_up, NetworkMsg_Card, NetworkMsg_Card.onRetLoveLevelUp);
	self:RegisterEvent(NetworkCmdType.req_love_wear, NetworkMsg_Card, NetworkMsg_Card.onRetLoveWear);
	self:RegisterEvent(NetworkCmdType.req_love_takeoff, NetworkMsg_Card, NetworkMsg_Card.onRetLovetakeoff);
	
	self:RegisterEvent(NetworkCmdType.req_admob_info, NetworkMsg_Admob , NetworkMsg_Admob.onRetAdmobInfo);
	self:RegisterEvent(NetworkCmdType.req_admob_reward, NetworkMsg_Admob , NetworkMsg_Admob.onRetAdmobReward);

	self:RegisterEvent(NetworkCmdType.req_future_card_unlock, NetworkMsg_Card, NetworkMsg_Card.onRetUnlockFutureCardSlot);
	self:RegisterEvent(NetworkCmdType.req_future_card_update, NetworkMsg_Card, NetworkMsg_Card.onRetUpdateFutureCardSlot);
	self:RegisterEvent(NetworkCmdType.req_future_card_clear, NetworkMsg_Card, NetworkMsg_Card.onRetClearFutureCardSlot);

	self:RegisterEvent(NetworkCmdType.req_open_box, NetworkMsg_Box, NetworkMsg_Box.onRetOpenBox);

	self:RegisterEvent(NetworkCmdType.req_gem_card_set, NetworkMsg_Gem, NetworkMsg_Gem.setGemToCard);
	self:RegisterEvent(NetworkCmdType.req_gem_compose, NetworkMsg_Gem, NetworkMsg_Gem.retComposeGem);
	self:RegisterEvent(NetworkCmdType.req_gem_recast, NetworkMsg_Gem, NetworkMsg_Gem.retRecastGem);
	self:RegisterEvent(NetworkCmdType.req_gem_recast_save, NetworkMsg_Gem, NetworkMsg_Gem.retSaveRecast);

	self:RegisterEvent(NetworkCmdType.req_story_reset, NetworkMsg_Story, NetworkMsg_Story.retStoryReset);
	self:RegisterEvent(NetworkCmdType.req_story_save_card, NetworkMsg_Story, NetworkMsg_Story.retSaveCard);
	self:RegisterEvent(NetworkCmdType.req_story_data, NetworkMsg_Story, NetworkMsg_Story.retStoryData);
	self:RegisterEvent(NetworkCmdType.req_story_rwd, NetworkMsg_Story, NetworkMsg_Story.retStoryRwd);
	self:RegisterEvent(NetworkCmdType.req_story_sel_plot, NetworkMsg_Story, NetworkMsg_Story.retStoryPlot);

	self:RegisterEvent(NetworkCmdType.req_battlepass_data, NetworkMsg_BattlepassEvent, NetworkMsg_BattlepassEvent.retBattlepassData);
	self:RegisterEvent(NetworkCmdType.req_battlepass_reward, NetworkMsg_BattlepassEvent, NetworkMsg_BattlepassEvent.retBattlepassReward);
	self:RegisterEvent(NetworkCmdType.req_battlepass_mission_reward, NetworkMsg_BattlepassEvent, NetworkMsg_BattlepassEvent.retBattlepassMissionReward);
	-- others
	NetworkMsg_Notice:Init();

	self.m_scheduleHandler = scheduler:scheduleScriptFunc(handler(self, self.CheckRequest), 1, false);
end

--========================================================================
--网络连接

--处理错误消息
function NetworkManager:onHandleError(msg)

	if not msg then
		return;
	end

	local errorCode = tonumber(msg.error_code);

	if errorCode == 9252 then
		return;
	end

	local info = LANG.ERROR_INFO[errorCode];

	if msg.error_param then
		local error_param = {};
		for i=1, 10 do
			error_param[i] = msg.error_param[tostring(i)] or msg.error_param[i] or ' ';
		end
		if info then
			if errorCode == 9067 then
				local itemNo = tonumber(error_param[1]);
				if itemNo then
					local itemName = ResTable:getValue('item',itemNo,'name') or '';
					Prompt:Show(string.format(info,tostring(itemName)));
				else
					Prompt:Show(LANG.ERROR_INFO[9852]);
				end
			else
				Prompt:Show(string.format(info, unpack(error_param)));
			end
		else
			if msg.error_msg then
				Prompt:Show(string.format(msg.error_msg, unpack(error_msg)));
			else
				Prompt:Show(LANG.ERROR_INFO[9999]);
			end
		end
	else

		if msg.error_msg then
			info = msg.error_msg
		end

		if info then
			Prompt:Show(info);
		else
			Prompt:Show(LANG.ERROR_INFO[9999]);
		end
	end

	--local info = LANG.ERROR_INFO[msg.error_code];
	--if info then
	--	Prompt:Show(info);
	--elseif type(msg.error_msg) == 'string' then
	--	Prompt:Show(msg.error_msg);
	--elseif type(msg.error_msg) == 'table' then
	--	local error_msg = {};
	--	for i=1, 10 do
	--		error_msg[i] = msg.error_msg[tostring(i)] or msg.error_msg[i] or ' ';
	--		error_msg[i] = tostring(error_msg[i]);
	--	end
	--	Prompt:Show(string.format(info, unpack(error_msg)));
	--else
	--	Prompt:Show(LANG.ERROR_INFO[9999]);
	--end
end

--处理网络消息
function NetworkManager:onHandlerMsg(msg, fun , notCallback)
	if msg==nil then
		if self.curReqId ~= Network.NetworkCmdType.req_heartbeat then
			print('NetworkManager:onHandlerMsg: msg is nil')
			--重发要不要提示？
			if NetworkCmdCanRepeat[self.curReqId] ~= 1 then
				self:showErrorMessageBox( self.curReqId, false )
			end
		end
		return;
	end
	if msg['__bastion'] and msg['__bastion']['reqcode'] and msg['__bastion']['reqcode'] ~= 3000 then
		print_ro(msg)
	end
	if not self.canHandler then
		return
	end
	if msg['code'] == 9011 then
		local close = GlobalFunctions:changeStamp2Datetime(tonumber(msg.close));
		local open = GlobalFunctions:changeStamp2Datetime(tonumber(msg.open));
		local str = string.format(LANG.VERSION_UPDATE_9, tostring(close), tostring(open))
		local MessageBoxType = Enum:getTable('MessageBoxType')
		MessageBox:create(str , MessageBoxType.OK, function()
			cc.Director:getInstance():endToLua();
		end);
		return;
		--[[
		self.canHandler = false
		local scene = cc.Director:getInstance():getRunningScene()
		if scene.__cname == 'MainScene' then
			local node = cc.Node:create()
				:addTo(scene)
			node:runAction(cc.Sequence:create(
				cc.DelayTime:create(1),
				cc.CallFunc:create(function()
					WaitingPanel:Hide();
					node:removeFromParent()
					App:getScene('MainScene'):clearAll()
					App:run("VersionUpdateScene")
				end)))
			return
		end
		--]]
	elseif msg['code'] == 9010 then 
		-- 异地登录
		Prompt:Show(LANG.ERROR_INFO[9010]);
		self.canHandler = false
		local scene = cc.Director:getInstance():getRunningScene()
		if scene.__cname == 'MainScene' then
			local node = cc.Node:create()
				:addTo(scene)
			node:runAction(cc.Sequence:create(
				cc.DelayTime:create(1),
				cc.CallFunc:create(function()
					WaitingPanel:Hide();
					node:removeFromParent()
					App:getScene('MainScene'):clearAll()
					App:run("VersionUpdateScene")
				end)))
			return
		end
	elseif msg['code'] == 9016 then
		-- 账号无效
		Prompt:Show(LANG.ERROR_INFO[9016]);
		self.canHandler = false
		local scene = cc.Director:getInstance():getRunningScene()
		if scene.__cname == 'MainScene' then
			local node = cc.Node:create()
				:addTo(scene)
			node:runAction(cc.Sequence:create(
				cc.DelayTime:create(1),
				cc.CallFunc:create(function()
					WaitingPanel:Hide();
					node:removeFromParent()
					App:getScene('MainScene'):clearAll()
					App:run("VersionUpdateScene")
				end)))
			return
		end
	elseif msg['__bastion']['reqcode'] == NetworkCmdType.req_guest_bind_platform and msg['code'] ~= 0 then
		--绑定失败
		if cc.exports.platform_type then			
			local MessageBoxType = Enum:getTable('MessageBoxType')
			local msgBox = MessageBox:create(LANG.ACCOUNT_8, MessageBoxType.OK, function()
				model.AccountModel:sdkSignOut(cc.exports.platform_type);
				cc.exports.platform_type = nil;
			end,function()
			end,function()
				model.AccountModel:sdkSignOut(cc.exports.platform_type);
				cc.exports.platform_type = nil;
			end);
			msgBox:setTitle(LANG.UI_TITLE_NOTICE)
		end
		return
	end
	-- error code
	-- print_ro(msg,'onHandlerMsg = ');
	
	if msg['code'] ~= 0 then
		print('error code', msg['code'])
		if msg['code'] == 9350 then --不在公会中切换到主界面
			model.GuildModel:retGuildQuit({gid=0,guild_flag=10})
			CardProManager:setNeedUpdateAllGenPro();--不在公会中重算属性
			UIManager:switch('MainPanel');
		else
			self:onHandleError(msg['error_data']);
		end
		return;
	end 

	self:onHandlerNotice(msg);

	if msg['__bastion'] and msg['__bastion']['reqcode'] then
		local id = msg['__bastion']['reqcode'];
		if self.handlerList[id] and not notCallback then
			self.handlerList[id](msg);
			--self:showGetPartner(msg , id);
		end
		if id ~= 4402 then
			--print_ro(msg,'onHandlerMsg = ');
		end
	else
		-- if self.callback then
		-- 	self.callback(msg);
		-- 	self.callback = nil;
		-- end
		if fun and not notCallback then
			fun(msg);
		end
	end
	--处理心跳消息
	--[[
	if NetworkCmdType.ret_heartbeat == id then
		if heartBeatTimer ~= 0 then
			timerManager:DestroyTimer(heartBeatTimer);
			heartBeatTimer = 0;
		end
		return;
	end
	--]]

	--是等待的消息
	--[[
	if self.receiveID ~= 0 then
		if self.receiveID == id then
			--self:hideLoading();
			self.receiveID = 0;
		end
	else
		--self:hideLoading();
	end
	local data = msg;
	if data.code ~= nil and data.code ~= 0 then
		print(json.encode(msg))
		--异常处理
		local errorDelegete = self.errorHandlerList[id];
		if errorDelegete ~= nil then
			errorDelegete:Callback(data);
		else
			self:onDefaultErrorHandler(data.code);
		end
		return;
	end

	local netHandler = self.handlerList[id];
	if netHandler == nil then
		print('Unhandled message id:' .. id);
	else
		netHandler(msg);
	end
	--]]
end

--处理通知消息
function NetworkManager:onHandlerNotice(msg)
	NetworkMsg_Notice:onHandler(msg);
end

function NetworkManager:showGetPartner(msg , id)
	if msg.newPartner and id ~= NetworkCmdType.req_base_card_compose and id ~= NetworkCmdType.req_gacha then
		UIManager:push('RoleShowPanel' , msg.newPartner);
	end
end

function NetworkManager:showErrorMessageBox( id, isRepeat )
	-- body
	if self.errorId == 0 and id ~=nil and id ~= Network.NetworkCmdType.req_heartbeat then
		self.errorId = id
		MessageBox:create(LANG.NETWORK_2 , 1,function()
			self.errorId = 0;
			if id == NetworkCmdType.req_exit_fight then
				FightManager:ExitFight()
				EventManager:FireEvent(EventType.FightNext);
				EventManager:FireEvent(EventType.UIFooterChooseFooter , 1);
				if isRepeat then
					cc.Director:getInstance():endToLua()
				end
			end
		end);
	end
end

--========================================================================
--事件注册
--检测超时请求
function NetworkManager:CheckRequest(dt)
	-- body
	local curTime = TimeManager:getCurTime() or 0
	for k,v in pairs(self.sendList) do
		if (curTime-v.time) >= 5 then
			if not v.nowait then
				--需要重发
				WaitingPanel:Hide()
				if v.cnt >= 6 then --删除当前请求
					self.sendList[k] = nil
					self:showErrorMessageBox(k, true);
				else
					ReconnectionPanel:Show(k,v.cnt)
					v.cnt = v.cnt + 1
					v.time = curTime
					v.data.reqCnt = v.cnt
					print('repeat--fasong cmd:', k)
					--再次发送
					getDBdata(nil, define.server_url, v.data, function(msg)
						local fun = nil;
						local notCallback = false;
						if msg and msg['__bastion'] and msg['__bastion']['reqcode'] then
							local reqcode = msg['__bastion']['reqcode'];
							if self.sendList[reqcode] then
								fun = self.sendList[reqcode].sysfun;
							end
							notCallback = (NetworkCmdCanRepeat[reqcode] == 1 and not self.sendList[reqcode]);
							if self.sendList[reqcode] then
								self.sendList[reqcode] = nil;
							end
							ReconnectionPanel:Hide(reqcode)
						else
							if self.sendList[k] then
								fun = self.sendList[k].sysfun;
							end
							notCallback = (NetworkCmdCanRepeat[k] == 1 and not self.sendList[k]);
							if msg and self.sendList[k] then
								ReconnectionPanel:Hide(k)
								self.sendList[k] = nil;
							end
						end
						if fun==nil then
							fun = self.callback;
						end
						self:onHandlerMsg(msg, fun , notCallback)
						if v.fun then
							v.fun()
						end
					end)
					
				end
			else
				self.sendList[k] = nil
			end
		end
		ReconnectionPanel:updateReconnectionTime(k)
	end
end

--注册事件
function NetworkManager:RegisterEvent(id, obj, func)
	self.handlerList[id] = handler(obj, func);
end

--引导数据相关
function NetworkManager:GetGuideStep(id)
	if id == Network.NetworkCmdType.req_heartbeat then
		return nil
	end
	local ret = nil
	if id == Network.NetworkCmdType.req_enter_fight then
		-- print('fubin--guideWaite--111')
		model.GuideModel:switchWaiteFightOver() --打开
	elseif id == Network.NetworkCmdType.req_exit_fight then
		-- print('fubin--guideWaite--222')
		model.GuideModel:switchWaiteFightOver() --关闭 并打开 需要保存引导数据的开关
	end
	local guideStep = model.GuideModel:getSaveGuideStepData()
	if guideStep then
		-- print('fubin--guideWaite--333:', guideStep)
		ret = guideStep
	end
	if id == Network.NetworkCmdType.req_enter_fight or id == Network.NetworkCmdType.req_exit_fight then
		-- print('fubin--guideWaite--444')
		model.GuideModel:switchIsNeedSaveStep(false) --关闭
	end
	return ret;
end

--发送消息
function NetworkManager:Send(id, msg, noWait, callback)
	print('reqcode:', id)
	msg.reqcode = id;
	msg.uid = msg.uid or model.UserModel:getUserUid();
	local aid = model.AccountModel:getAccountID();
	if not msg.aid and aid then
		msg.aid = aid
	end
	local server = model.AccountModel:getAccountServer()
	if not msg.server and server then
		msg.server = server
	end

	msg.important =false
	if NetworkCmdCanRepeat[id] == 1 then
		msg.important = true
	end
	msg.reqCnt = 1

	local guideStep = self:GetGuideStep(id)
	if guideStep then
		msg.saveGuideStep = guideStep
	end

	if id ~= Network.NetworkCmdType.req_heartbeat then
		if self.sendList[id] then --重发返回
			return;
		end

		if msg.important == true then
			self.sendList[id] = {data=msg, sysfun=self.handlerList[id],
			nowait=noWait, fun=callback, time=TimeManager:getCurTime(), cnt=1}--id;
		end
	end
	self.curReqId = id


	self.callback = self.handlerList[id];
	if not noWait then
		WaitingPanel:Show()
	end
	if id ~= 3000 then
		print_ro(msg)
	end
	getDBdata(nil, define.server_url, msg, function(msg)
		local fun = nil;
		local notCallback = false;
		if msg and msg['__bastion'] and msg['__bastion']['reqcode'] then
			local reqcode = msg['__bastion']['reqcode'];
			if self.sendList[reqcode] then
				fun = self.sendList[reqcode].sysfun;
			end

			notCallback = (NetworkCmdCanRepeat[reqcode] == 1 and not self.sendList[reqcode]);
			if self.sendList[reqcode] then
				self.sendList[reqcode] = nil;
			end
		else
			if self.sendList[id] then
				fun = self.sendList[id].sysfun;
			end
			notCallback = (NetworkCmdCanRepeat[id] == 1 and not self.sendList[id]);
			if msg and self.sendList[id] then
				self.sendList[id] = nil;
			end
		end
		if fun==nil then
			fun = self.callback;
		end
		self:onHandlerMsg(msg, fun , notCallback)
		if callback then
			callback()
		end
		if not noWait then
			WaitingPanel:Hide(id)
		end
	end)

	--[[
	if (noWait == nil) or (not noWait) then
		--记录要收到的消息id
		local recID = self.reqList[id];
		if recID ~= nil then
			--可能会有receiveID不为0，认为是记录最后一个需要回调的函数
			self.receiveID = recID;
		end

		--显示 
		--self:displayLoading(tostring(id));
	end
	--]]
	--print('sendId->'..id)
end

--心跳错误处理
function NetworkManager:onHeartBeatError()
	--[[
	--心跳没返回，弹出错误提示
	local msg = LANG_network_3;
	local delegate = Delegate.new(Network, Network.onNetError, 0);
	MessageBox:ShowDialog(MessageBoxType.Ok, msg, delegate);
	--]]
end

--loading计时器（到时显示loading动画）
function NetworkManager:onLoadingTimer()
	--[[
	if self.showWaiting then
		loadingBKG.Visibility = Visibility.Visible;
		loading.Visibility = Visibility.Visible;
	end

	timerManager:DestroyTimer(loadingTimer);
	loadingTimer = 0;
	--]]
end

--========================================================================
--界面响应
--
--网络出错
function NetworkManager:onNetError(errorCode)
	--[[
	--关闭计时器
	if heartBeatTimer ~= 0 then
		timerManager:DestroyTimer(heartBeatTimer);
		heartBeatTimer = 0;
	end

	--销毁游戏
	Game:Destroy();
	appFramework:Reset();
	--]]
end
cc.exports.Network.NetworkManager = NetworkManager:create();
