--NetworkMsg_Arena.lua

--========================================================================
--网络消息_竞技场事件

local NetworkMsg_Arena = class("NetworkMsg_Arena")

function NetworkMsg_Arena:ctor()
end

function NetworkMsg_Arena:onRetArenaInfo(msg)
    model.ArenaModel:initData(msg.arena);
    EventManager:FireEvent(EventType.NetworkRetArenaInfo);
end
--[[
	'rankList':{
        "uid": 1,
        "name": "机器人1号",
        "level": 10,
        "top_power": 1000,
        "head_icon": 5,
        "score": 0,
        "isRobot": 1
    },
    {
        "uid": 60933367158955,
        "name": 123213,
        "level": 42,
        "head_icon": 5,
        "top_power": 17410,
        "score": 2,
        "isRobot": 0,
        "arena_team": [
			 {
                    "no": 13,
                    "level": 65,
                    "star_lv": 5
                },
                {
                    "no": 35,
                    "level": 60,
                    "star_lv": 5
                },
                {
                    "no": 8,
                    "level": 80,
                    "star_lv": 4
                },
                {
                    "no": 19,
                    "level": 80,
                    "star_lv": 5
                }

		]
    },
    {
        "uid": 3,
        "name": "机器人3号",
        "level": 20,
        "top_power": 1400,
        "head_icon": 5,
        "score": 19,
        "isRobot": 1
    }

]]
function NetworkMsg_Arena:onRetArenaRankList(msg)
    model.ArenaModel:updateRankList(msg.arena.rankList);
    model.ArenaModel:setFightRefreshTimes(msg.arena.fight_refresh_times);
    EventManager:FireEvent(EventType.NetworkRetGetRankList , msg);
end

function NetworkMsg_Arena:onRetGetArenaRankLvReward(msg)
    model.ArenaModel:updateRankRewardState(msg.arena.rank_reward_stage);
    EventManager:FireEvent(EventType.NetworkRetGetArenaRankLvReward , msg);
end

function NetworkMsg_Arena:onRetRankList( msg )
    model.RankModel:retRankList(msg)
end

function NetworkMsg_Arena:onRetMultArenaInfo(msg)
    model.ArenaModel:onRetMultArenaInfo(msg);
end
function NetworkMsg_Arena:onRetMultArenaRefresh(msg)
    model.ArenaModel:onRetMultArenaRefresh(msg);
end
function NetworkMsg_Arena:onRetMultArenaRwd(msg)
    model.ArenaModel:onRetMultArenaRwd(msg);
end
function NetworkMsg_Arena:onRetMultArenaHistory(msg)
    model.ArenaModel:onRetMultArenaHistory(msg);
end

return NetworkMsg_Arena;
