--NetworkMsg_BareCollect.lua

--========================================================================
--网络消息_大破图鉴事件

local NetworkMsg_BareCollect = class("NetworkMsg_BareCollect")

function NetworkMsg_BareCollect:ctor()
end

function NetworkMsg_BareCollect:onRetBareCollectActive(msg)
    UIManager:pop('BareCollectActiveTipPanel');
    model.BareCollectModel:updateBareCollect(msg.bare_id , msg.map_state);

    local isLock = tools.ConfigStateTools:checkLockById(5400);
    if isLock then
        EventManager:FireEvent(EventType.NetworkRetBareCollectActive , msg);
    else
        local opt = {callback=function()
            EventManager:FireEvent(EventType.NetworkRetBareCollectActive , msg);
        end}
        UIManager:push('RewardPanel',msg, opt)
    end
end

function NetworkMsg_BareCollect:onRetBareCollectWear(msg)
    if msg.takeoff_bare_id then
        model.BareCollectModel:updateBareCollectWear(msg.takeoff_bare_id,0);
    end
    --local oldFp = model.TeamModel:getCurrentTeamFp();
    model.CardModel:updateCardBareCollect(msg.pid , msg.bare_id, msg.idx);
    model.BareCollectModel:updateBareCollectWear(msg.bare_id,msg.pid);
    model.TeamModel:updateWearOrTakeoffBareAllAtt(msg.bare_id, msg.pid);
    if msg.takeoff_bare_id then
        model.TeamModel:updateWearOrTakeoffBareAllAtt(msg.takeoff_bare_id, msg.pid);
    end
	--model.TeamModel:checkTeamFpUp(oldFp)
    EventManager:FireEvent(EventType.NetworkRetBareCollectChange);
end

function NetworkMsg_BareCollect:onRetBareCollectTakeoff(msg)
    --local oldFp = model.TeamModel:getCurrentTeamFp();
    model.CardModel:updateCardBareCollect(msg.pid, 0, msg.idx);
    if msg.takeoff_bare_id then
        model.BareCollectModel:updateBareCollectWear(msg.takeoff_bare_id,0);
        model.TeamModel:updateWearOrTakeoffBareAllAtt(msg.takeoff_bare_id, msg.pid)
    end
    --model.TeamModel:checkTeamFpUp(oldFp)

    EventManager:FireEvent(EventType.NetworkRetBareCollectChange);
end

function NetworkMsg_BareCollect:onRetBareCollectAddNew(msg)
    model.BareCollectModel:setInitAddNew(true);
    EventManager:FireEvent(EventType.NetworkRetBareCollectAddNew);
end

function NetworkMsg_BareCollect:onRetBareBlessUp(msg)
    model.BareCollectModel:retUpdateBless(msg);
end

return NetworkMsg_BareCollect;
