--networkMsg_EnterGame.lua

--========================================================================
--网络消息_进入游戏类
local NetworkMsg_EnterGame = class("NetworkMsg_EnterGame")

function NetworkMsg_EnterGame:ctor()
end

--进入游戏
function NetworkMsg_EnterGame:onEnterGame(msg)
	local loginScene = cc.exports.App:getScene('LoginScene');

    --请求用户数据
	loginScene:ReqUserData();

    --添加loading状态
    --Game:AddState(GameState.loadingState, Loading);
    --Game:SwitchState(GameState.loadingState);

    --Loading.waitMsgNum = 2;

    --主城音乐
    --asyncLoadManager:PreLoadSound(SoundManager.MainCitySound, true);
    --Loading:SetProgress(10);

    --TopRenderStep:onReport();
end

--返回用户数据
function NetworkMsg_EnterGame:onReqUserData(msg)
	--TODO
	--以后放在其他场景里做
	local loginScene = cc.exports.App:getScene('LoginScene');
    loginScene:onHandleUserData(msg);
    
	--[[
    for k, v in pairs(msg.cards) do
        print(v.state)
    end

    --用户数据
    ActorManager.user_data = msg;
    --ActorManager:AdjustRoleData();
    ActorManager.oldFP = ActorManager:UpdateFightAbility();

    NetworkMsg_Sign:InitSignData(msg); --初始化签到数据

    CardManager:Initdata(msg.cards)
    PackageManage:Initdata(msg['bag'].items)
    --初始化用户数据
    UserData:Init()
    --初始化背包信息
    --初始化反作弊系统
    AntiCheating:Init();

    --请求进入主城
    local newmsg = {};
    newmsg.resid = ActorManager.user_data.sceneid;
    newmsg.show_player_num = GlobalData.MaxSceneRoleNum;
    Network:Send(NetworkCmdType.req_enter_city, newmsg);

    --=========================================================================
    --时间初始化

    --剩余申请体力时间
    LuaTimerManager:SetLeftApplyPowerSeconds(ActorManager.user_data.left_power_secons);
    --创建24点定时器，到达24点，重置相关数据
    ActorManager.user_data.clientBaseTime = appFramework:GetOSTime();

    LuaTimerManager:CreatePerMinTimer();
    --=========================================================================
    --创建hero
    ActorManager.user_data.role.viptype = msg.userguide.viptype
    local heroData = ActorManager.user_data.role;
    local hero = ActorManager:CreateHero(heroData.resid, heroData.pid);
    hero:InitData(heroData);
    hero:InitAvatar();

    --背包数据，放在UI初始化之后，要用Template
    Package:InitData(msg.bag);
    for k, v in pairs(msg.bag.items[1]) do
        print(k, v)
    end
    --增加游戏主状态
    Game:AddState(GameState.runningState, GodsSenki);

    --初始化任务信息
    Task:Init();

    --推送
    --Push:RegisterPush();

    --发送登录后的扩展数据
    local loginArgs = Login:onGetLoginArgs();
    local theArgs = {};
    theArgs["zoneId"] = loginArgs.zoneId;
    theArgs["zoneName"] = loginArgs.zoneName;
    theArgs["roleName"] = ActorManager.user_data.name;
    local level = ActorManager.user_data.role.lvl.level;
    if level == nil then
        theArgs["roleLevel"] = 1;
    else
        theArgs["roleLevel"] = ActorManager.user_data.role.lvl.level;
    end
    theArgs["roleId"] = ActorManager.user_data.uid;
    theArgs["vip"] = ActorManager.user_data.viplevel or 0;
    theArgs["balance"] = ActorManager.user_data.money or 0;
    theArgs["roleCTime"] = tostring(loginArgs.ctime);
    theArgs["roleLevelMTime"] = tostring(os.time());
    theArgs["data_type"] = "login";
    local encodedMsg = cjson.encode(theArgs);
    NetworkMsg_EnterGame:onSendLoginGameData(encodedMsg);

    --判断是否有充值水晶未领取

    Loading:DecWaitNum();
    Loading:SetProgress(60);
	--]]
end

--进入主城
function NetworkMsg_EnterGame:onEnterCity(msg)
    Game:SwitchState(GameState.loadingState);
    Loading.waitMsgNum = 0;

    --保留hero
    if GodsSenki.mainScene ~= nil then
        GodsSenki.mainScene:RemoveSceneNodeNoDestroy(ActorManager.hero);
    end

    --隐藏界面
    MainUI:PopAll();
    --切换主城,如果sceneid为2998，表示进入公会
    local scene;

    ActorManager.user_data.sceneid = msg.sceneid;
    scene = GodsSenki:LoadMainScene(msg.sceneid);

    --local hero = ActorManager.hero;			--设置开始位置，要在设置活动场景之后
    --hero.scene = scene;
    --乱斗场的带n_win和n_con_win，其他的没有
    --hero:InitHead(msg.n_win, msg.n_con_win);

    --hero:SetStartPosition( Convert2Vector3( Vector2(msg.x, msg.y) ) );
    --hero:SetStartPosition( Convert2Vector3( Vector2(msg.x, msg.y) ) );

    --scene:AddSceneNode(hero);

    --离开公会
    --[[
    if (SceneType.Union == MainUI:GetSceneType()) or (SceneType.WorldBoss == MainUI:GetSceneType()) or (SceneType.UnionBoss == MainUI:GetSceneType())  then
        MainUI:EnterMainCityScene();
        --更新公会名
        hero:updateHeadUnion();
        return;
    end
    --]]

    --更新NPC状态
    --Task:UpdateMainSceneUI();
end

return NetworkMsg_EnterGame;
