--NetworkMsg_Gacha.lua

--========================================================================
--网络消息_抽卡

local NetworkMsg_Gacha = class("NetworkMsg_Gacha")

function NetworkMsg_Gacha:ctor()
end


-----------------------------
--返回抽卡信息
--@req
--@ret
-- int cur_contract_time;
-- table:
--	key:int value:
--		int: start_time
--		int: end_time
------------------------------
function NetworkMsg_Gacha:onRetGachaInfo(msg)
	model.GachaModel:retGachaInfo(msg);
end

-----------------------------
--返回抽卡
--@req
-- int: flag
--@ret
-- jpk_role_info: partner
------------------------------
function NetworkMsg_Gacha:onRetGachaResult(msg)
	model.GachaModel:retGachaResult(msg)
	EventManager:FireEvent(EventType.NetworkGachaResult, msg);
end

-----------------------------
--返回获取抽卡奖励
--@req
--@ret
-- gachaTime:
-- gachaReward:
------------------------------
function NetworkMsg_Gacha:onRetGachaGetReward(msg)

	model.GachaModel:retGachaTimesReward(msg)
	EventManager:FireEvent(EventType.NetworkGachaGetReward,msg);
end

return NetworkMsg_Gacha;
