--NetworkMsg_Homeland.lua

--===========================================================
--网络消息 家园

local NetworkMsg_Homeland = class("NetworkMsg_Homeland")
function NetworkMsg_Homeland:ctor()
end

--===========================================================
function NetworkMsg_Homeland:onRetBaseSkillInfo(msg)
	model.HomeModel:retBaseSkillInfo(msg);
	EventManager:FireEvent(EventType.NetworkRetBaseSkillInfo);
end

function NetworkMsg_Homeland:onRetBaseSkillLevelUp(msg)
	model.HomeModel:retBaseSkillLevelUp(msg);
	local oldFp = model.TeamModel:getCurrentTeamFp();
	CardProManager:setNeedUpdateAllGenPro();
	model.TeamModel:checkTeamFpUp(oldFp)
	EventManager:FireEvent(EventType.NetworkRetBaseSkillLevelUp , msg);
end

function NetworkMsg_Homeland:onRetBaseSkillClaerCd(msg)
	model.HomeModel:retBaseSkillClaerCd(msg);
	EventManager:FireEvent(EventType.NetworkRetBaseSkillClearCd);
end

function NetworkMsg_Homeland:onRetBaseCardCompose(msg)
	if msg.cardList then
		for _k , pid in pairs(msg.cardList) do
			model.CardModel:removeCard(pid);
		end
	end
	EventManager:FireEvent(EventType.NetworkRetBaseCardCompose , msg);
	model.FutureCardModel:checkCardRemoveOrRestMax4Cards(msg.cardList)
end

function NetworkMsg_Homeland:onRetBaseTrialGetReward(msg)
	model.TrialModel:retTrialReward(msg);
	EventManager:FireEvent(EventType.NetwordRetRoundTargetReward , msg);
	--EventManager:FireEvent(EventType.UITrialPanelGetReward , msg);
end

return NetworkMsg_Homeland;
