--NetworkMsg_Mission.lua

--========================================================================
--网络消息_mission

local NetworkMsg_Mission = class("NetworkMsg_Mission")

function NetworkMsg_Mission:ctor()
end

function NetworkMsg_Mission:onRetMissionData(msg)
	model.MissionModel:Init(msg);
	EventManager:FireEvent(EventType.UIRetMissionData , msg);
end

function NetworkMsg_Mission:onRetMissionDailyRewardItem(msg)
	if msg.list then
		for k,v in pairs(msg.list) do
			model.MissionModel:updateDailyMissionState(v.time_type , v.no , v.state);
		end
	else
		model.MissionModel:updateDailyMissionState(msg.time_type , msg.no , msg.state);
	end
	EventManager:FireEvent(EventType.UIRetMissionDailyRewardItem , msg);
end 

function NetworkMsg_Mission:onRetMissionDailyReward(msg)
	model.MissionModel:updateDailyMissionRewardState(msg.no);
	EventManager:FireEvent(EventType.UIRetMissionDailyReward , msg);
end

function NetworkMsg_Mission:onRetMissionLifeReward(msg)
	if msg.list then
		for k,v in pairs(msg.list) do
			model.MissionModel:updateLifeMissionGetTimes(v.no , v.getTimes , v.totalTimes);
		end
	else
		model.MissionModel:updateLifeMissionGetTimes(msg.no , msg.getTimes,msg.totalTimes);
	end
	EventManager:FireEvent(EventType.UIRetMissionLifeReward , msg);
end

function NetworkMsg_Mission:onRetMissionLifeGoalReward(msg)
	model.MissionModel:updateLifeMissionGoalState(msg.no)
	EventManager:FireEvent(EventType.UIRetMissionLifeGoalReward , msg);
end

return NetworkMsg_Mission;
