--networkMsg_Shop.lua

--========================================================================
--网络消息_商店

local NetworkMsg_Shop = class("NetworkMsg_Shop")
local CommonShopType = Enum:getTable('CommonShopType');

function NetworkMsg_Shop:ctor()
end

-----------------------------
--返回钻石商店信息
--@req
--@ret
-- table: free_yb
--		int id
--		int isExtra			0 for no; 1 for yes
-- table: gift
--		int id
--		int rest_times			-1 for unlimit; othters for rest count--
------------------------------
-- function NetworkMsg_Shop:onRetYbShopData( msg )
-- --	print("--------------------------onRetYbShopData--------------------------")
-- --	print(json.encode(msg))
-- --	print("-------------------------------------------------------------------")
-- 	if msg.code == 0 then
-- 		model.ShopModel:setYbShopData(msg.gift, msg.free_yb)
-- 		EventManager:FireEvent(EventType.UIFreshYbShop, msg.gift, msg.free_yb)
-- 	end
-- end

function NetworkMsg_Shop:onRetShopData(msg)
	model.ShopModel:Init(msg.shop);
	if (msg.index > 5 and  msg.index < 10) 
	or msg.index == CommonShopType.MAZE 
	or msg.index == CommonShopType.ARENA 
	or msg.index == CommonShopType.ADVENTURE1
	or msg.index == CommonShopType.ADVENTURE2
	or msg.index == CommonShopType.MULT_ARENA 
	or msg.index == CommonShopType.SPECIAL 
	or msg.index == CommonShopType.BUBBLE then
		EventManager:FireEvent(EventType.UIRetStoreInfo);
	elseif msg.index == CommonShopType.BATTLEPASS_1 or msg.index == CommonShopType.BATTLEPASS_2 then
		EventManager:FireEvent(EventType.UIRetBattlepassInfo,msg);
	else
		EventManager:FireEvent(EventType.UIRetShopInfo);
	end
end

------------------------------
--请求购买蓝钻
--@req
--int id
--@ret
--int code
------------------------------
-- function NetworkMsg_Shop:onRetBuyFreeYb( msg )
-- --	print("---------------------------onRetBuyFreeYb---------------------------")
-- --	print(json.encode(msg))
-- --	print("--------------------------------------------------------------------")
-- 	if msg.code == 0 then
-- 		model.ShopModel:retBuyFreeYb(msg);
-- 		EventManager:FireEvent(EventType.UIBuyYbSuccess,{})
-- 	else
-- 		EventManager:FireEvent(EventType.UIBuyYbFail, msg.code)
-- 	end
-- end

------------------------------
--请求购买礼盒
--@req
--int id
--@ret
--int code
------------------------------
function NetworkMsg_Shop:onRetBuyGift( msg )
	model.ShopModel:retBuyGift(msg);
	EventManager:FireEvent(EventType.UIBuyShopItemSuccess,msg)
	-- UIManager:push('RewardPanel', msg);
end

------------------------------
--请求购买商店物品
--@req
--int id
--int count
--@ret
--int code
--int count (req consume count)
------------------------------
function NetworkMsg_Shop:onRetBuyShopItem( msg )
	if msg.code == 0 then
		model.ShopModel:retBuyShopItem(msg);
		EventManager:FireEvent(EventType.UIBuyShopItemSuccess,msg)
	else
		EventManager:FireEvent(EventType.UIBuyShopItemFail, msg.code)
	end
end

function NetworkMsg_Shop:onRetGetStoreBuy(msg)
    if msg.code ~= 0 then
        return;
    end

    model.ShopModel:retStoreBuy(msg);
    EventManager:FireEvent(EventType.UIBuyStoreItemSuccess , msg);
end

function NetworkMsg_Shop:onRetBuyAvatar(msg)
	model.ShopModel:retAvatarBuy(msg);
	EventManager:FireEvent(EventType.UIBuyShopItemSuccess,msg)
end

function NetworkMsg_Shop:onRetBuyBattlepass(msg)
	model.ShopModel:retBattlepassBuy(msg);
	EventManager:FireEvent(EventType.UIRetBattlepassShopBuy,msg)
end

function NetworkMsg_Shop:onRetIsBuy(msg)
	EventManager:FireEvent("EGO_SHOP_IS_BUY",msg)
end

function NetworkMsg_Shop:onRetExange(msg)
	EventManager:FireEvent('PlayBallPanel:refreshTopItems');
end

function NetworkMsg_Shop:onRetShopGiftData(msg)
	model.ShopModel:retShopGiftData(msg);
end

return NetworkMsg_Shop;
