--NetworkMsg_User.lua

--========================================================================
--网络消息_用户

local NetworkMsg_User = class("NetworkMsg_User")

function NetworkMsg_User:ctor()
end    

--改变经验和等级
function NetworkMsg_User:onRetPlayerExpChange(msg)
	model.UserModel:setUserData(msg);
	EventManager:FireEvent(EventType.EventType.UIHeaderPanelUpdateUser);
end 


--设置头像
--@req
-- pid
--@ret
-- pid
function NetworkMsg_User:onRetSetHeadIcon(msg)
	model.UserModel:setHeadIcon(msg.no);
	local roleId = 1;
	if msg.no < 1000 then
		roleId = ResTable:getValue('role' , msg.no , 'role_id');
	else
		roleId = ResTable:getValue('role_avatar' , msg.no , 'role_id');
	end
	local name = ResTable:getValue('role_info' , roleId , 'name');
	Prompt:Show(string.format(LANG.UI_USER_1,(name and tostring(name) or '')));
	EventManager:FireEvent(EventType.UIHeaderPanelUpdateIcon);
end

--设置看板娘
--@req
-- pid
--@ret
-- pid
function NetworkMsg_User:onRetSetKanban(msg)
	model.UserModel:setKanban(msg.no);

	local roleId = ResTable:getValue('role' , msg.no , 'role_id');
	local name = ResTable:getValue('role_info' , roleId , 'name');
	Prompt:Show(string.format(LANG.UI_USER_1,(name and tostring(name) or '')));
	
	EventManager:FireEvent(EventType.UIMainPanelKanBan);
end

function NetworkMsg_User:onRetSetUI(msg)
	model.UserModel:setUI(msg.no)
end

function NetworkMsg_User:onRetSetBG(msg)
	model.UserModel:setMainBg(msg.no)
	Prompt:Show(LANG.UI_USER_2..msg.no);
	EventManager:FireEvent(EventType.UIMainPanelMainBg);
	UIManager:pop('BgSelectPanel');
end

-- 升级返回
function NetworkMsg_User:onRetLevelUp(msg)
	EventManager:FireEvent(EventType.UIUserLevelUpShow,msg);
end
function NetworkMsg_User:onRetGuideSave(msg)
	-- EventManager:FireEvent(EventType.UIUserLevelUpShow,msg);
end

function NetworkMsg_User:onRetCDKGift(msg)
	EventManager:FireEvent(EventType.NetworkRetCDKGift,msg);
end

return NetworkMsg_User;
