local ActivitySignTemplate = class("ActivitySignTemplate",function (  )
	return cc.Node:create();
end)
local fonts = Enum:getTable("SystemFont")

-- 未完成 缺可领取 已领取 未领取状态！！！

function ActivitySignTemplate:ctor()
	self:initItem()
end

function ActivitySignTemplate:initItem(  )

    local bg = ccui.ImageView:create('image/activity/sign/sign_2.png')
	bg:addTo(self);
	bg:setTouchEnabled(true);
    bg:addClickEventListener(handler(self , self.clickItem));
    bg:setSwallowTouches(false);

    self.signStateSp = cc.Sprite:create('image/activity/sign/sign_6.png')
    self.signStateSp:addTo(self);

	self.dayLabel = cc.Label:createWithTTF('Day1' , fonts.FONT_SIYUAN , 17);
	self.dayLabel:addTo(self);
	self.dayLabel:setPosition(cc.p(0 , 37));

	self.itemIcon = cc.Sprite:create();
	self.itemIcon:addTo(self);
	self.itemIcon:setPosition(0 , -6);
	self.itemIcon:setScale(0.7);

	self.itemNum = cc.Label:createWithTTF('' , fonts.FONT_SIYUAN , 16);
	self.itemNum:addTo(self);
	self.itemNum:setPosition(43 , -29);
	self.itemNum:setAnchorPoint(1 , 0.5);
	self.itemNum:enableOutline(cc.c3b(60 , 60 , 60),2);

	self.get = cc.Scale9Sprite:create('image/commonImg/bg_1_11_11_34_28.png');
	self.get:addTo(self);
	self.get:setCapInsets(cc.rect(11,11,34,28));
	self.get:setContentSize(cc.size(96 , 96));
	--self.get = cc.Sprite:create('image/activity/sign/sign_5.png');
	--self.get:addTo(self)
	
	local getImg = cc.Sprite:create('image/commonImg/geted.png');
	getImg:addTo(self.get);
	getImg:setPosition(self.get:getContentSize().width/2 , self.get:getContentSize().height/2);


	--self.get = require("app.template.GetTemplate"):create(self);
	--self.get:setPosition(0,14);

end

function ActivitySignTemplate:InitData( data )

	-- dump(data,'ActivitySignTemplate initData ===== ')

	self.day = data.day ;
	-- self.today = data.today;
	self.state = data.state;
	self.isRepaired = false ;



	self.dayLabel:setString(string.format(LANG.UI_ACTIVITY_45,data.day));
	local _,item = next(data.reward);
	self.reward = item;

	--self.item:Init(item[1],item[2])
	local iconFile , num = GlobalFunctions:getItemIconFileAndNum(item);
	self.itemIcon:setTexture(iconFile);
	self.itemNum:setString(tostring(num));
	self:setState(self.state);
end

function ActivitySignTemplate:setState( state )

	self.get:setVisible(state == 2)
	self.signStateSp:setVisible(state == 1);
end

function ActivitySignTemplate:setStateAction(callback,state)
	self.get:showAction(callback);
end

function ActivitySignTemplate:setRepairedState( bTrue )
	if self.state == 3 then
		self.isRepaired = true ;
		self.signStateSp:setVisible(bTrue);
	end
end


function ActivitySignTemplate:clickItem(  )

	if self.state == 1 then
		model.ActivityModel:reqActivitySignReward(self.day);
	elseif self.state == 3 and self.isRepaired then 
		local repairdTimes = model.ActivityModel:getSignRepaired();
		if repairdTimes <= 0 then
			Prompt:Show(LANG.UI_ACTIVITY_27)
		else
			model.ActivityModel:reqActivitySignReward(self.day);
		end
	else
		GlobalFunctions:showCommonInfo(self.reward[1],self.reward[2]);
	end
	

end


return ActivitySignTemplate;
