local ArenaMultRwdItem = class('ArenaMultRwdItem' , function()
	return  cc.Node:create();
end)
local fonts = Enum:getTable("SystemFont")

function ArenaMultRwdItem:ctor(father)
	self:addTo(father);

	local bg = cc.Sprite:create('image/arena/arenaReward/arena_reward_1.png');
	bg:addTo(self);

	local itemBg = cc.Scale9Sprite:create('image/commonImg/bg_1_11_11_34_28.png')
	itemBg:addTo(self)
	itemBg:setPosition(0,-30)
	itemBg:setContentSize(cc.size(140,180))

	self.nameLabel = cc.Label:createWithTTF('' , fonts.FONT_SIYUAN , 20);
	self.nameLabel:addTo(self);
	self.nameLabel:setPosition(0 , 103);
	self.nameLabel:enableOutline(cc.c4b(60 , 60 , 60 , 255),2);
	self.nameLabel:setTextColor(cc.c3b(220,200,120))
	local tmpLabel = cc.Label:createWithTTF(LANG.UI_L_REWARD_1 , fonts.FONT_SIYUAN , 20);
	tmpLabel:addTo(self);
	tmpLabel:setPosition(0 , 77);
	tmpLabel:enableOutline(cc.c4b(60 , 60 , 60 , 255),2);
	tmpLabel:setTextColor(cc.c3b(220,200,120))

	self.rankBg = cc.Sprite:create('image/shop/shop_icon/gift_15.png');
    self.rankBg:addTo(self);

	local msgLabel = cc.Label:createWithTTF(LANG.UI_ARENA_MU_4 , fonts.FONT_SIYUAN , 18);
	msgLabel:addTo(self);
	msgLabel:setPosition(0 , -80);

	local subIcon = cc.Sprite:create('image/icon/I10031.png')
	subIcon:addTo(self)
	subIcon:setPosition(-40, -105)
	subIcon:setScale(0.25)

	self.rankLevel = cc.Label:createWithTTF('' , fonts.FONT_SIYUAN , 18);
	self.rankLevel:addTo(self);
	self.rankLevel:setPosition(0 , -105);

	self.no = 0;

end
function ArenaMultRwdItem:initData(data)
	if data.rank[1] == data.rank[2] then
		self.nameLabel:setString( string.format(LANG.UI_ARENA_MU_12, tostring(data.rank[1])) )
	else
		local str = data.rank[1]..'~'..data.rank[2];
		self.nameLabel:setString( string.format(LANG.UI_ARENA_MU_12, str) )
	end

	self.rankLevel:setString(tostring(data.reward));
	-- self.rankBg:setTexture('image/arena/arena_rank_bg_'..rankData.rank..'.png');

end

function ArenaMultRwdItem:getNo()
	return self.no
end

return ArenaMultRwdItem;