local Common2RowItemCell = class("Common2RowItemCell" , function() 
	return ccui.Layout:create();
end)
local fonts = Enum:getTable('SystemFont')

function Common2RowItemCell:ctor(father)
	self:addTo(father);

	self.itemList = {}
	self.callback = nil;

	for i=1,5 do
		local mainNode = cc.Node:create()
		:addTo(self)
		:setPosition(60+(i-1)*115, 50)

		local itemNode = template.ItemCell:create()
		:addTo(mainNode)
		itemNode:setItemTag(i)
		itemNode:addItemClickEventListener(handler(self , self.clickBtn));

		table.insert( self.itemList, {mainNode=mainNode, itemNode=itemNode} ) --, flagNode=flagNode

	end

end

function Common2RowItemCell:initData( list, st )
	self.data = list;
	for i=1,5 do
		self.itemList[i].mainNode:setVisible(false)
		if self.data[i] then
			self.itemList[i].mainNode:setVisible(true)
			self.itemList[i].itemNode:Init(1, self.data[i]);
		end
	end

end

function Common2RowItemCell:setCallBack( callback )
	self.callback = callback;
end

function Common2RowItemCell:clickBtn(sender , event)
	local tag = sender:getTag();
	if self.callback then
		self.callback( self.data[tag] )
	end
end


return Common2RowItemCell;