local EventExitMapItem = class("EventExitMapItem", require("app.template.EventBaseMapItem"))

local fonts = Enum:getTable("SystemFont");
local FightType = Enum:getTable('FightType');
local imagePath = 'image/event/map/';
local MessageBoxType = Enum:getTable('MessageBoxType')

function EventExitMapItem:ctor(pos)

	EventExitMapItem.super.ctor(self, pos);

end

function EventExitMapItem:showSpine()
	local spine_res = ''
	if spine_res == '' then
		self.spine_res = '';
		if self.itemSpine ~= nil  then
			self.itemSpine:removeFromParent() ;
			self.itemSpine = nil;
		end
		return;
	end
	if cc.FileUtils:getInstance():isFileExist('spine/'..spine_res.."/"..spine_res..".json") then
		if self.itemSpine ~= nil and self.spine_res ~= spine_res then
			self.itemSpine:removeFromParent() ;
			self.itemSpine = nil;
		end
		if self.itemSpine == nil  then
			self.spine_res = spine_res;
			self.itemSpine = sp.SkeletonAnimation:create('spine/'..spine_res.."/"..spine_res..".json", 'spine/'..spine_res.."/"..spine_res..".atlas", 1)
			self.itemSpine:addTo(self)
			self.itemSpine:setAnimation(0, 'idle', true)
		end
	end
end

function EventExitMapItem:showItemInfo( bclick )
	print('fubin---exit---showItem:', self.pos)
end

return EventExitMapItem;
