local EventNpcMapItem = class("EventNpcMapItem", require("app.template.EventBaseMapItem"))

local fonts = Enum:getTable("SystemFont");
local FightType = Enum:getTable('FightType');
local imagePath = 'image/event/map/';
local MessageBoxType = Enum:getTable('MessageBoxType')

function EventNpcMapItem:ctor(pos)

	EventNpcMapItem.super.ctor(self, pos);

end

function EventNpcMapItem:showSpine()
	self.aniNode:removeAllChildren();
	if self.tileData.state == 1 then
		local spine_res = 'zhaohuan_spine';
		if cc.FileUtils:getInstance():isFileExist('spine/'..spine_res.."/"..spine_res..".json") then
			local spine = sp.SkeletonAnimation:create('spine/'..spine_res.."/"..spine_res..".json", 'spine/'..spine_res.."/"..spine_res..".atlas", 1)
			spine:addTo(self.aniNode)
			spine:setAnimation(0, "zhaohuan_spine", true)
		end
	end
end

function EventNpcMapItem:showItemInfo( bclick )
	if self.tileData.state == 1 then --state==1
		UIManager:push('EventNpcSelPanel', self.pos, bclick)
	end
	print('fubin---EventNpcMapItem---showItem:', self.pos)
end

return EventNpcMapItem;