--放在TableView中的IconTemplate
local IconNodeTemplate = class("IconNodeTemplate" , function()
	return ccui.Layout:create();
end)

function IconNodeTemplate:ctor()
	self.iconTemplate = template.IconTemplate:create(self);

	self.clickBtn = ccui.Layout:create();
	self.clickBtn:addTo(self);
	self.clickBtn:setAnchorPoint(0.5 , 0.5);
	self.clickBtn:setContentSize(cc.size(114 , 118));
	self.clickBtn:setSwallowTouches(false);
	self.clickBtn:setTouchEnabled(true);
end

function IconNodeTemplate:Init(id, count, star, level, pid)
	self.iconTemplate:Init(id, count, star, level, pid);

	self.clickBtn:setContentSize(cc.size(114 , 118));
	self.clickBtn:setSwallowTouches(false);
	self.clickBtn:setTouchEnabled(true);
end

function IconNodeTemplate:setIconTag(tag)
	self.clickBtn:setTag(tag);
end

function IconNodeTemplate:getIconTag()
	return self.clickBtn:getTag();
end

function IconNodeTemplate:addIconClickEventListener(callback)
	self.clickBtn:addClickEventListener(callback);
end

function IconNodeTemplate:setSelect(select)
	self.iconTemplate:setSelect(select);
end

function IconNodeTemplate:setEquipInSlot(bTrue)
	self.iconTemplate:setEquipInSlot(bTrue);
end

function IconNodeTemplate:checkRedDot(show)
	self.iconTemplate:showRedDot(show);
end

function IconNodeTemplate:setGachaProbablity(probablity)
	self.iconTemplate:setGachaProbablity(probablity);
end

return IconNodeTemplate;
