local RandomShopItemTemplate = class('RandomShopItemTemplate',function (  )
    return ccui.Layout:create();
end)
local fonts = Enum:getTable("SystemFont")
local MessageBoxType = Enum:getTable('MessageBoxType')


function RandomShopItemTemplate:ctor(  )
    -- body
    self:initItem()
end

function RandomShopItemTemplate:initItem(  )

    -- local bg = cc.Sprite:create('image/RandomShop/item_bg.png')
    --self.bg = ccui.ImageView:create('image/RandomShop/item_bg.png')
    --self.bg:addTo(self);
	--self.bg:setAnchorPoint(cc.p(0.5,0.5))
	--self.bg:setTouchEnabled(true);
	--self.bg:addClickEventListener(function ( sender,eventType )
	--	self:clickItem();
    --end);
    
    self.bg = ccui.ImageView:create('image/RandomShop/item_bg.png')
    self.bg:addTo(self);
	self.bg:setAnchorPoint(cc.p(0.5,0.5))

	self.title = cc.Label:createWithTTF('itemname' , fonts.FONT_SIYUAN , 20);
	self.title:addTo(self);
	self.title:setPosition(cc.p(0 , -39));
	self.title:setTextColor(cc.c4b(50 , 50 , 50 , 255));
    self.title:enableOutline(cc.c4b(255 , 255 , 255 , 255) , 2);

    self.item = template.IconTemplate:create(self);
    self.item:setPosition(cc.p(0,38))

    -- 折扣
    self.discountBg = cc.Sprite:create('image/RandomShop/item_discount_bg.png')
        :addTo(self)
        :setPosition(cc.p(-52,121))
        :setVisible(false)

    self.discountSp = cc.Label:createWithTTF(LANG.UI_SHOP_OFF[1] , fonts.FONT_SIYUAN , 20)
        :addTo(self)
        :setPosition(cc.p(-42,121))
        :setVisible(false)
        :enableOutline(cc.c4b(180 , 109 , 40 , 255) , 1);
    -- self.discountLabel = cc.Label:createWithTTF('9 折' , fonts.FONT_SIYUAN , 20);
    -- self.discountLabel:addTo(self);
    -- self.discountLabel:setRotation(-45)
	-- self.discountLabel:setPosition(cc.p(-68 , 96));
	-- self.discountLabel:setTextColor(cc.c4b(255 , 255 , 255 , 255));
    -- self.discountLabel:enableOutline(cc.c4b(60 , 60 , 60 , 255) , 2);

    -- 星级
    -- self.starBg = cc.Sprite:create('image/RandomShop/item_star_bg.png')
    -- self.starBg:addTo(self)
    -- self.starBg:setPosition(cc.p(-2,-49))
    
    -- self.starNode = cc.Node:create();
    -- self.starNode:addTo(self);
    -- self.starNode:setPosition(cc.p(0,-48))
    
    -- 剩余次数
    self.remainingTimeBg = cc.Sprite:create('image/RandomShop/item_remaining_g.png')
    self.remainingTimeBg:addTo(self)
    self.remainingTimeBg:setPosition(cc.p(35,97))
    self.remainingTimeBg:setVisible(false)

    self.remainingTimeLabel = cc.Label:createWithTTF(LANG.UI_SHOP_50 , fonts.FONT_SIYUAN , 15)
        :addTo(self.remainingTimeBg)
        :setPosition(self.remainingTimeBg:getContentSize().width/2 ,self.remainingTimeBg:getContentSize().height/2)
        :setTextColor(cc.c4b(255 , 255 , 255 , 255))
        :enableOutline(cc.c4b(180 , 0 , 60 , 255) , 2)

    -- 消耗货币
    self.moneyNode = cc.Node:create();
    self.moneyNode:addTo(self);
    self.moneyNode:setPosition(0 , -96);

    self.moneyBg = cc.Sprite:create('image/RandomShop/item_money_bg.png');
    self.moneyBg:addTo(self.moneyNode);
    --self.moneyBg:setPosition(cc.p(0,-96))

    self.moneyIcon = cc.Sprite:create('image/icon/I11001.png');
    self.moneyIcon:setPosition(cc.p(-42,0))
    self.moneyIcon:addTo(self.moneyNode);
    self.moneyIcon:setScale(0.4);

    self.moneyNum = cc.Label:createWithTTF('999999', fonts.FONT_SIYUAN, 20);
    self.moneyNum:addTo(self.moneyNode);
    self.moneyNum:setAnchorPoint(cc.p(0.5,0.5));
    self.moneyNum:setPosition(cc.p(18,0));
	self.moneyNum:setTextColor(cc.c4b(50 , 50 , 50 , 255));
    self.moneyNum:enableOutline(cc.c4b(255 , 255 , 255 , 255) , 2);

    self.eventLastTimesNode = cc.Node:create();
    self.eventLastTimesNode:addTo(self);
    self.eventLastTimesNode:setPosition(0 , -113);

    local bg = cc.Sprite:create('image/eventShop/event_shop_bg_3.png');
    bg:addTo(self.eventLastTimesNode);

    local label = cc.Label:createWithTTF(LANG.UI_SHOP_63, fonts.FONT_SIYUAN, 20);
    label:addTo(self.eventLastTimesNode);
    label:setPosition(-41 , 0);

    self.eventLastTimes = cc.Label:createWithTTF('0', fonts.FONT_SIYUAN, 20); 
    self.eventLastTimes:addTo(self.eventLastTimesNode);
    self.eventLastTimes:setPosition(28 , -3);
    self.eventLastTimes:setTextColor(cc.c4b(50 , 50 , 50 , 255));
    self.eventLastTimes:enableOutline(cc.c4b(255 , 255 , 255 , 255) , 2);

    self.limitBg = cc.Sprite:create('image/eventShop/event_shop_bg_4.png');
    self.limitBg:addTo(self);
    self.limitBg:setPosition(54 , 103);

    local limitSize = self.limitBg:getContentSize();
    local label = cc.Label:createWithTTF(LANG.UI_L_LIMIT, fonts.FONT_SIYUAN, 20);
    label:addTo(self.limitBg);
    label:setPosition(limitSize.width/2 , limitSize.height/2);
    label:enableOutline(cc.c4b(109 , 24 , 31 , 255) , 2);

    self.sellOutLabel = cc.Label:createWithTTF(LANG.UI_SHOP_62, fonts.FONT_SIYUAN, 20);
    self.sellOutLabel:addTo(self);
    -- self.sellOutLabel:setAnchorPoint(cc.p(0,0.5));
    self.sellOutLabel:setPosition(cc.p(0,-97));
	self.sellOutLabel:setTextColor(cc.c4b(50 , 50 , 50 , 255));
    self.sellOutLabel:enableOutline(cc.c4b(255 , 255 , 255 , 255) , 2);

end


function RandomShopItemTemplate:InitData(data)

    -- dump(data,'InitData ===== ')
    self.no = data.no ;
    self.discount = data.discount
    self.remainCount = data.times;
    self.remainTotalCount = data.totalCount;
    self.price = data.price;
    self.itemName = data.name;
    self.limit = data.limit;
    self.eventLimitType = data.eventLimitType;

    if self.eventLimitType == 2 and self.remainCount ~= -1 then
        self.title:setPosition(cc.p(0 , -33));
        self.item:setPosition(cc.p(0,44));
        self.remainingTimeBg:setPosition(cc.p(35,103));
        self.moneyNode:setPosition(0 , -69);
    else
        self.title:setPosition(cc.p(0 , -39));
        self.item:setPosition(cc.p(0,38));
        self.remainingTimeBg:setPosition(cc.p(35,97));
        self.moneyNode:setPosition(0 , -96);
    end 

    self.title:setString(tostring(data.name))
    local item = data.item;
    self.item:Init(item[1],item[2])
    
    self:showDiscount()
    self:showRemainCount()
    self:showLimit();
    --star
    -- self:showStar(item)
end

function RandomShopItemTemplate:showLimit()
    self.limitBg:setVisible(self.limit ~= nil and self.limit == 1);
end

function RandomShopItemTemplate:showDiscount( ... )


    local price = self.price;
    local data = ResTable:getRowData('item' , price[1]);
	self.moneyIcon:setTexture('image/icon/I'..data.icon..'.png')
    if not self.discount or self.discount >= 100 then
        self.discountBg:setVisible(false)
        self.discountSp:setVisible(false);
        if price[1] == MONEY_ID then
            self.moneyNum:setString(ConvertStrToDigitUnit(tostring(price[2])));
        else
            self.moneyNum:setString(tostring(price[2]));
        end
    else
        self.discountBg:setVisible(true)
        self.discountSp:setVisible(true);
        self.discountSp:setString( LANG.UI_SHOP_OFF[math.floor( self.discount/10 )] );
        -- self.discountSp:setTexture('image/RandomShop/discount_'..tostring(math.floor( self.discount/10 ))..'.png' )
        -- self.discountLabel:setString(tostring(self.discount/10)..' 折')
        local tPrice = math.ceil( price[2]*self.discount/100 )
        if price[1] == MONEY_ID then
            self.moneyNum:setString(ConvertStrToDigitUnit(tostring(tPrice)));
        else
            self.moneyNum:setString(tostring(tPrice));
        end
    end
end
function RandomShopItemTemplate:showRemainCount(  )

    local bShowRemainCount = self.remainCount ~= nil and self.remainCount > 0;

    if self.eventLimitType == 2 and self.remainCount ~= -1 then
        self.remainingTimeBg:setVisible(false);
        self.moneyNode:setVisible(true)
        self.sellOutLabel:setVisible(false)
        self.eventLastTimesNode:setVisible(true);
        self.eventLastTimes:setString(tostring(self.remainCount)..'/'..tostring(self.remainTotalCount or '0'));
    else
        self.eventLastTimesNode:setVisible(false);
        self.remainingTimeBg:setVisible(bShowRemainCount);
        self.remainingTimeLabel:setString(string.format(LANG.UI_SHOP_50 , tostring(self.remainCount)));

        local bShowSellOut = self.remainCount ~= nil and self.remainCount == 0
        self.moneyNode:setVisible(not bShowSellOut)
        self.sellOutLabel:setVisible(bShowSellOut)
    end
end

-- {id,num}
function RandomShopItemTemplate:showStar( item )
    -- local showStar = false;
    -- local id = item[1]
    -- local count = item[2]

    -- local itemData = nil 
    -- local starCount = 0 ;

    -- if id == ROLE_TYPE then
    --     showStar = true ;
    --     id = count;
	-- 	itemData = ResTable:getRowData('role' , id);
	-- 	starCount = ResTable:getValue('role_pre', itemData.role_id , 'initial_star');

    -- elseif id > 80000 and id < 90000 then
    --     --
    --     showStar = true ;
    --     itemData = ResTable:getRowData('equip', id)
    --     starCount = itemData.quality;
    -- else
    --     showStar = false;
    -- end

    -- self.starBg:setVisible(showStar);
    -- self.starNode:setVisible(showStar);
    
    -- if showStar then
    --     self.starNode:removeAllChildren();
    --     local color = math.ceil(starCount / 5);
    --     local num = starCount % 5;
    --     num = num == 0 and 5 or num;
    --     local posX = -(15 * num / 2) + 7.5;
    --     for i = 1 , num do
    --         local star = cc.Sprite:create('image/card/card_star_'..color..'.png');
    --         star:addTo(self.starNode);
    --         star:setPositionX(posX + 15 * (i - 1));
    --     end
    -- end

end

function RandomShopItemTemplate:addItemClickEventListener(callback)
    self.bg:setTouchEnabled(true);
    self.bg:addClickEventListener(callback);
    self.bg:setSwallowTouches(false);
end

function RandomShopItemTemplate:setItemTag(tag)
    self.bg:setTag(tag);
end

function RandomShopItemTemplate:clickItem(  )
    if self.remainCount <= 0 then
        return 
    end
    local costName = ResTable:getValue('item' , self.price[1] , 'name');
    local msg = string.format(LANG.UI_SHOP_61 , tostring(math.ceil( self.price[2]*self.discount/100 )), tostring(costName),tostring(self.itemName))

    MessageBox:create(msg , MessageBoxType.CANCEL_OK,function()
        model.ShopModel:reqRandomShopBuyItem(self.no,self.discount)
    end);
end

function RandomShopItemTemplate:setBgTouchEnabled(enabled)
    self.bg:setTouchEnabled(enabled);
end

-- function RandomShopItemTemplate:setItemCallback(callback)
-- 	self.itemCallback = callback;
-- end

return RandomShopItemTemplate