local ServerCellTemplate = class('ServerCellTemplate' , function()
	return  cc.Node:create();
end)
local fonts = Enum:getTable("SystemFont")

function ServerCellTemplate:ctor(father)
	self:addTo(father);

	self.bg = cc.Scale9Sprite:create('image/commonImg/top_1_bg_59_30.png');
	self.bg:addTo(self);
	-- self.bg:setDimensions(400, 69)
	self.bg:setAnchorPoint(0,0)
	self.bg:setContentSize(cc.size(310 , 69));

	local node = cc.Node:create()
	:addTo(self)
	:setPosition( 30, 35 )

	local rbg = cc.Sprite:create('image/commonImg/ric_27.png')
	:addTo(node)
	self.tbg = cc.Sprite:create('image/commonImg/ric_green.png')
	:addTo(node)

	self.namelabel = cc.Label:createWithTTF('' ,  fonts.FONT_SIYUAN , 18)
    self.namelabel:addTo(self);
    self.namelabel:setPosition(60 , 35);
    self.namelabel:setAnchorPoint(0 , 0.5);
	self.serverId = -1;
end

function ServerCellTemplate:initData(data)
	self.serverId = data.serverId;
	self.namelabel:setString( ResTable:getLangByNum( tonumber(data.serverName) ) )
	-- self.recNode:setVisible(false)

	local tbgName = ''
	if data.st then
		-- self.recNode:setVisible(false)
		if data.st==0 or data.st==3 then
			-- if self.uid == -1 then
			-- 	self.recNode:setVisible(true)
			-- end
			tbgName = 'ric_green.png'
		elseif data.st==1 then
			tbgName = 'ric_red.png'
		else
			tbgName = 'ric_grey.png'
		end
		self.tbg:setTexture('image/commonImg/'..tbgName);
	end
end

function ServerCellTemplate:getServer()
	return self.serverId
end

return ServerCellTemplate;